<?
#############################################################
# abfrage_suchen.php - Suchformular 
#
# letzte nderung:
# 18.3.2005, Annette Maile, UB Stuttgart
# Auslagerung Design in lib/design.php
# In Abhaengigkeit von $la kann das entsprechende Design eingelesen werden.
#
# Steuerung Institute: Unterscheidung, ob nur Fakultaeten/Fachbereiche
# oder auch Institute angezeigt werden sollen
#
# 11.5.2005, Birgit Dressler, SULB Saarbrcken
# Einfhrung der Mehrsprachigkeit (Variable $la)
# Textdatei: texte/$la/abfrage_suchen.conf
#
#############################################################

include ("../lib/class.configFile.php");
$conf = new configFile ("../lib/opus.conf");
$dbms = $conf->value("dbms");
$php = $conf->value("php");

include ("../lib/class.opus_$dbms.$php");
$opus = new opus;

$db = $conf->value("db");
$opustable = $conf->value("opus_table");
$url = $conf->value("url");
$doku_pfad = $conf->value("doku_pfad");
$opt_inst = $conf->value("opt_institute"); 
# BD steht nun in der Text-Datei
#$titel = $conf->value("titel_abfrage_suchen");;
#$ueberschrift = $conf->value("ueberschrift_abfrage_suchen");
// Anfang Collections
$coll_anzeigen = $conf->value( "coll_anzeigen" );
// Ende Collections

include ("../lib/stringValidation.php");
$la = $_REQUEST['la'];
if (! _is_valid($la,0,2,"[a-z]*")) {die ("Fehler in Parameter la");}

# A.Maile 10.2.05: Sprache einlesen aus opus.conf, falls nicht gesetzt
if (!$la){
       $la = $conf->value("la");
}

# BDressler Texte aus Textdatei in Programmvariablen fllen 
$texte = new configFile ("../texte/$la/abfrage_suchen.conf");
$titel = $texte->value("titel");
$ueberschrift = $texte->value("ueberschrift");
$text1 = $texte->value("text1");
$text2 = $texte->value("text2");
$exakte_suche = $texte->value("exakte_suche");
$teilwortsuche = $texte->value("teilwortsuche");
$treffer_seite = $texte->value("treffer_seite");
$t_alle = $texte->value("t_alle");
$t_sortierung = $texte->value("t_sortierung");
$t_jahr_titel = $texte->value("t_jahr_titel");
$t_titel = $texte->value("t_titel");
$t_jahr = $texte->value("t_jahr");
$t_sprache = $texte->value("t_sprache");
$t_klassifikation = $texte->value("t_klassifikation");
$t_person = $texte->value("t_person");
$t_freitext = $texte->value("t_freitext");
$t_schlagwort = $texte->value("t_schlagwort");
$t_koerperschaft = $texte->value("t_koerperschaft");
$t_fakultaet = $texte->value("t_fakultaet");
$t_institut = $texte->value("t_institut");
$t_abstract = $texte->value("t_abstract");
$t_collection = $texte->value("t_collection");
$t_dokumentart = $texte->value("t_dokumentart");
$t_quelle = $texte->value("t_quelle");
$t_und = $texte->value("t_und");
$t_oder = $texte->value("t_oder");
$text3 = $texte->value("text3");
$button1 = $texte->value("button1");
$button2 = $texte->value("button2");
$t_tip = $texte->value("t_tip");
$t_tip1 = $texte->value("t_tip1");
$t_tip2 = $texte->value("t_tip2");
$t_tip31 = $texte->value("t_tip31");
$t_tip32 = $texte->value("t_tip32");
$t_tip4 = $texte->value("t_tip4");
$t_tip51 = $texte->value("t_tip51");
$t_tip52 = $texte->value("t_tip52");

# Annette Maile, 18.3.05 Design aus lib/design.php einlesen
require ("../lib/design.$php");
$design = new design;
$design->head_titel($titel);
$design->head_javascript();
$design->head_ueberschrift($ueberschrift, $la);

print("<FORM NAME=\"suchform\" METHOD=\"GET\" ACTION=\"$url/ergebnis.$php\">

<input type=\"hidden\" name=\"la\" value=\"$la\">
");
# Waehlen Sie einen Suchmodus und die Suchfelder aus
#print("$text1$doku_pfad$text2");
print("$text1");

print("
</FONT>

<P>
<SELECT NAME=\"suchart\">
<OPTION VALUE=\"exakt\">$exakte_suche
<OPTION SELECTED VALUE=\"teil\">$teilwortsuche
</SELECT>

<SPACER type=horizontal size=25>
$treffer_seite
<SELECT NAME=\"Lines_Displayed\">
<OPTION>10
<OPTION>25
<OPTION>50
<OPTION VALUE=\"0\">$t_alle
</SELECT>

<SPACER type=horizontal size=20>
$t_sortierung
<SELECT NAME=\"sort\">
<OPTION VALUE=\"o.date_year DESC, o.title\">$t_jahr_titel
<OPTION VALUE=\"o.title\">$t_titel
<OPTION VALUE=\"o.date_year DESC\">$t_jahr
</SELECT>

<SPACER type=horizontal size=20>
$t_sprache
<SELECT NAME=\"sprache\">
");

$sock = $opus->connect();
if ( $sock < 0 ) {
	print("<FONT COLOR=red>");
	echo ("Error: $ERRMSG\n");
	print("</FONT>");
}

if ( $opus->select_db($db)  < 0 ) {
	print("<FONT COLOR=red>");
	echo ("Error: $ERRMSG\n");
	print("</FONT>");
}
$res = $opus->query("SELECT * FROM language_$la");
$num = $opus->num_rows($res);
print ("<OPTION VALUE='' SELECTED>$t_alle");
$i = 0;
while ( $i < $num ) {
    $i++;
    $mrow = $opus->fetch_row($res);
    print("<OPTION VALUE='$mrow[0]'>$mrow[1]");
}
$opus->free_result($res);
print("</SELECT>");

$res = $opus->query("SELECT table_name, name_kurz from klassifikation_$la");
$num = $opus->num_rows($res);
$i = 0;
$klassifikation = "<OPTION VALUE=\"\">$t_klassifikation";
while ( $i < $num ) {
	$i++;
	$mrow = $opus->fetch_row($res);
	$klassifikation = $klassifikation . "<OPTION VALUE='class_$mrow[0]'>$mrow[1] \n";
}
$opus->free_result($res);

?>

<P>
<SELECT NAME="suchfeld1" ONCHANGE="loadClassificationHelp(suchform.suchfeld1.options[suchform.suchfeld1.selectedIndex].value)">
<?
print("
<OPTION VALUE=\"o.title\">$t_titel
<OPTION VALUE=\"oa.person\">$t_person
<OPTION VALUE=\"o.freitext\" SELECTED>$t_freitext 
<OPTION VALUE=\"o.publisher_faculty\">$t_fakultaet
");

# Steuerung Institute: wenn Institute angezeigt werden sollen 
# kann auch danach gesucht werden, sonst nicht. 
if($opt_inst > 0) {
	print("<OPTION VALUE=\"oi.inst_nr\">$t_institut");
}
# Steuerung Institute Ende
print("
<OPTION VALUE=\"o.description\">$t_abstract
");

#<!-- // Anfang Collections //-->
if( $coll_anzeigen == "true" ) {
	echo "<OPTION VALUE=\"oc.coll_id\">$t_collection\n";
}
#<!-- // Ende Collections //-->

print("
<OPTION VALUE=\"o.type\">$t_dokumentart
<OPTION VALUE=\"o.source_title\">$t_quelle
<OPTION VALUE=\"o.date_year\">$t_year
<!--OPTION VALUE=\"o.subject_swd\">$t_schlagwort
<OPTION VALUE=\"o.creator_corporate\">$t_koerperschaft  //-->
");

#print("$klassifikation");

print("
</SELECT>

<INPUT SIZE=30 name=\"suchwert1\"> 

<SELECT NAME=\"opt1\">
<OPTION SELECTED VALUE=\"AND\"> $t_und
<OPTION VALUE=\"OR\"> $t_oder
</SELECT><BR> 

<SELECT NAME=\"suchfeld2\" ONCHANGE=\"loadClassificationHelp(suchform.suchfeld2.options[suchform.suchfeld2.selectedIndex].value)\">
<OPTION VALUE=\"o.title\">$t_titel
<OPTION VALUE=\"oa.person\" SELECTED>$t_person
<OPTION VALUE=\"o.freitext\">$t_freitext
<OPTION VALUE=\"o.publisher_faculty\">$t_fakultaet
");
# Steuerung Institute Start
if($opt_inst > 0) {
        print("<OPTION VALUE=\"oi.inst_nr\">$t_institut");
}
# Steuerung Institute Ende
print("
<OPTION VALUE=\"o.description\">$t_abstract
");

#-- // Anfang Collections --
if( $coll_anzeigen == "true" ){
	echo "<OPTION VALUE=\"oc.coll_id\">$t_collection\n";
}
# -- // Ende Collections --
print("
<OPTION VALUE=\"o.type\">$t_dokumentart
<OPTION VALUE=\"o.source_title\">$t_quelle
<OPTION VALUE=\"o.date_year\">$t_jahr
");

print("$klassifikation");

print("
</SELECT>

<INPUT SIZE=30 name=\"suchwert2\">
 
<SELECT NAME=\"opt2\">
<OPTION SELECTED VALUE=\"AND\"> $t_und
<OPTION VALUE=\"OR\"> $t_oder
</SELECT><BR> 

<SELECT NAME=\"suchfeld3\" ONCHANGE=\"loadClassificationHelp(suchform.suchfeld3.options[suchform.suchfeld3.selectedIndex].value)\">
<OPTION VALUE=\"o.title\">$t_titel
<OPTION VALUE=\"oa.person\">$t_person
<OPTION VALUE=\"o.freitext\">$t_freitext
<OPTION VALUE=\"o.publisher_faculty\">$t_fakultaet
");
# Steuerung Institute Start
if($opt_inst > 0) {
        print("<OPTION VALUE=\"oi.inst_nr\">$t_institut");
}
# Steuerung Institute Ende
print("
<OPTION VALUE=\"o.description\">$t_abstract
");
# Anfang Collections
if( $coll_anzeigen == "true" ) {
	echo "<OPTION VALUE=\"oc.coll_id\">$t_collection\n";
}
# Ende Collections

print("
<OPTION VALUE=\"o.type\">$t_dokumentart
<OPTION VALUE=\"o.source_title\">$t_quelle
<OPTION VALUE=\"o.date_year\" SELECTED>$t_jahr
");

print("$klassifikation");
?>

</SELECT>

<INPUT SIZE=30 name="suchwert3"><p>

<INPUT TYPE="hidden" NAME="startindex" VALUE="0" >
<INPUT TYPE="hidden" NAME="page"       VALUE="0" >
<INPUT TYPE="hidden" NAME="dir"        VALUE="2" >
<INPUT TYPE="hidden" NAME="suche"      VALUE=""  >

<P>
<?
print("$text3");
print("
<P> 
<INPUT TYPE=\"submit\" VALUE=\"$button1\">&nbsp;&nbsp;&nbsp;
<INPUT TYPE=\"reset\"  VALUE=\"$button2\"> 
<P>

<HR>
");

include("../lib/font.html"); 

print("
<A NAME=Tips></A><H3> $t_tip </H3>

<OL>
$t_tip1");

#<LI>Bei <B><I>exakter Suche</I></B> m&uuml;ssen die Suchbegriffe einschlie&szlig;lich Artikel etc. genau in der Reihenfolge eingegeben werden, in der sie auch in der Datenbank vorkommen.
#<LI>Bei <I><B>Teilwortsuche</B></I> k&ouml;nnen beliebige Begriffe oder Teile von Begriffen gesucht werden. Es kann jedoch nur <B>ein</B> Begriff pro Suchfeld eingegeben werden.
print("
$t_tip2
$t_tip31
");
#<LI>Zu einzelnen Suchfeldern existieren vorgegebene Begriffslisten. Sie sollten im Zweifelsfall <B>vor</B> einer Suche in den Feldern <I><B>

print("<A HREF=$url/fak_liste.$php?la=$la target=new>$t_fakultaet</A></B></I>, <I><B><A HREF=$url/inst_liste.$php?la=$la target=new>$t_institut</A></B></I> $t_oder <I><B><A HREF=$url/dokart_liste.$php?la=$la target=new>$t_dokumentart</A></B></I>");

print("$t_tip32");
print("$t_tip4");
print("$t_tip51 $t_tip52");
#print("$t_tip51 $titel $t_tip52");
#print("<LI>Im Suchfeld <I><B>Quelle</B></I> k&ouml;nnen Sie nach Parallelver&ouml;ffentlichungen (z.B. in einer Zeitschrift, einem Konferenzband etc.) von $titel-Dokumenten suchen."); 

print("</OL>"); 

$design->foot("abfrage_suchen.$php", $la);

