<?
#############################################################
# letzte nderung:
#
# 22.4.2005, Annette Maile, UB Stuttgart
# Auslagerung Design in lib/design.php
# In Abhaengigkeit von $la kann das entsprechende Design eingelesen werden.
#
#############################################################

include ("../../lib/class.configFile.php");
$conf = new configFile ("../../lib/opus.conf");
$dbms = $conf->value("dbms");
$php = $conf->value("php");

include ("../../lib/class.opus_$dbms.$php");
$opus = new opus;

$db = $conf->value("db");
$url = $conf->value("url");

$titel = $conf->value("titel_bereiche_auflisten");
$ueberschrift = $conf->value("ueberschrift_bereiche_auflisten");

include ("../../lib/stringValidation.php");
$source_opus = $_REQUEST['source_opus'];
if (! _is_valid($source_opus,1,10,"[0-9]+")) {die ("Fehler in Parameter source_opus");}
$jahr = $_REQUEST['jahr'];
if (! _is_valid($jahr,4,4,"[0-9]+")) {die ("Fehler in Parameter jahr");}
$bereich_id = $_REQUEST['bereich_id'];
if (! _is_valid($bereich_id,0,20,"[0-9]*")) {die ("Fehler in Parameter bereich_id");}
$la = $_REQUEST['la'];
if (! _is_valid($la,0,2,"[a-z]*")) {die ("Fehler in Parameter la");}


# A.Maile 22.4.05: Sprache einlesen aus opus.conf, falls nicht gesetzt
if (!$la){
       $la = $conf->value("la");
}

# Annette Maile, 22.4.05 Design aus lib/design.php einlesen
require ("../../lib/design.$php");
$design = new design;
$design->head_titel($titel);
$design->head_ueberschrift($ueberschrift, $la);

print("<FONT COLOR=red>");
$sock = $opus->connect();
if ( $sock < 0 ) { 
	echo ("Error: $ERRMSG\n"); 
} 
if ( $opus->select_db($db) < 0 ) {
	echo ("Error: $ERRMSG\n"); 
} 
print ("</FONT>\n");

print("\n<H3>Bitte neue Zugriffsbeschr&auml;nkung ausw&auml;hlen:</H3>\n");

print("<FORM METHOD = \"POST\" ACTION = \"$url/admin/bereich_aendern.$php\"> \n");
print("Bisherige Zugriffsbeschr&auml;nkung: ");
$res = $opus->query ("SELECT bereich, volltext_pfad FROM bereich_$la where bereich_id = $bereich_id");
$num = $opus->num_rows($res);
if ($num > 0) {
	$mrow = $opus->fetch_row($res);
	print("<b>$mrow[0]</b>\n<p>\n");
	$volltext_pfad_alt = $mrow[1];
	$opus->free_result($res);
}
print("Neue Zugriffsbeschr&auml;nkung:\n");
$res = $opus->query ("SELECT * FROM bereich_$la");
$num = $opus->num_rows($res);
if ($num > 0) {
	print("<SELECT NAME=\"bereich_id\" SIZE=1> \n");
	$i = 0;
	while ($i < $num) {
		$i++;
		$mrow = $opus->fetch_row($res);
		print("<OPTION VALUE=\"$mrow[0]\"");
		print("> $mrow[1] \n");
	}
	print("</SELECT> \n");
	$opus->free_result($res);
}

print("<P>\n<input type=\"hidden\" name=\"source_opus\" value=\"$source_opus\">");
print("<P>\n<input type=\"hidden\" name=\"volltext_pfad_alt\" value=\"$volltext_pfad_alt\">");
print("<P>\n<input type=\"hidden\" name=\"jahr\" value=\"$jahr\">");
print("\n<input type=\"hidden\" name=\"la\" value=\"$la\">");
print("\n<input type=\"submit\" value=\"Zugriffsbeschr&auml;nkung &auml;ndern\"> \n");
print("</FORM> \n");

$opus->close($sock);

$design->foot("bereiche_auflisten.$php", $la);
?>

