<?
include ("../../lib/class.configFile.php");
$conf = new configFile ("../../lib/opus.conf");
$dbms = $conf->value("dbms");
$php = $conf->value("php");

$db = $conf->value("db");
$url = $conf->value("url");
$home = $conf->value("home");

$projekt = $conf->value("projekt");

$titel = $conf->value("titel_collections_rename");
$ueberschrift = $conf->value("ueberschrift_collections_rename");

include ("../../lib/stringValidation.php");
$coll_id = $_REQUEST['coll_id'];
if (! _is_valid($la,0,10,"[0-9]*")) {die ("Fehler in Parameter coll_id");}
$neuer_name = $_REQUEST['neuer_name'];
$neuer_name = eregi_replace("[`\n\r]","",$neuer_name);
$la = $_REQUEST['la'];
if (! _is_valid($la,0,2,"[a-z]*")) {die ("Fehler in Parameter la");}

# A.Maile 22.4.05: Sprache einlesen aus opus.conf, falls nicht gesetzt
if (!$la){
       $la = $conf->value("la");
}

# Annette Maile, 22.4.05 Design aus lib/design.php einlesen
require ("../../lib/design.$php");
$design = new design;
$design->head_titel($titel);
$design->head_ueberschrift($ueberschrift, $la);

include ("../../lib/class.opus_$dbms.$php");
$opus = new opus;

$sock = $opus->connect();
if ($sock < 0 ) {
	echo ("Error: $ERRMSG\n");
}

if ($opus->select_db($db) < 0 ) {
echo ("Error: $ERRMSG\n");
}
print("</FONT>");

// Funktion, die gebraucht wird

function finde_parent_coll_id( $coll_id ) {
	
	global $opus;
	// Folgende query gibt alle Eltern, angefangen von sich selbst nach oben
	$query = "SELECT a.coll_id, (a.rgt - a.lft) AS height
				FROM collections AS a, collections AS b
				WHERE b.lft BETWEEN a.lft AND a.rgt
				AND b.rgt BETWEEN a.lft AND a.rgt
				AND b.coll_id = '$coll_id'
				ORDER BY height ASC;";
	$res = $opus->query( $query );
	$num = $opus->num_rows( $res );
	if( $num == 0 ) { return "problem"; }
	else {
		$opus->fetch_row( $res ); // Das erste Ergebnis ist die coll_id selbst. Eltern ist die zweite Reihe
		$mrow = $opus->fetch_row( $res );
		return $mrow[0];
	}
	$opus->free_result( $res );
	
}


//echo "<p>Id der Collection die umbenannt werden muss $coll_id</p>";
//echo "<p>Neuer Name: +${neuer_name}+</p>";



if( $neuer_name == "" ) {

    echo "<p>Es fehlt der neue Name f&uuml;r die Collection. Bitte mit Back-Button zur&uuml;ck!<p>\n";

} elseif( $coll_id == "" ) {

    echo "<p>Es fehlt die Collection, die umbenannt werden muss. Bitte mit Back-Button zur&uuml;ck!<p>\n";

} else {        
	
	// Wir stellen fest, ob es denselben Namen auf der Hierarchie schon gibt
	
	$check = 0;
	
	// Wie ist die coll_id des Elternknotens?
	
	$parent_id = finde_parent_coll_id( $coll_id );
	
//	echo "parent_id ist $parent_id <br>";
	
	// Nun checken wir, ob es eine andere Collection mit demselben Namen unter derselben parent_id gibt
	
	// Erst finden wir parent_lft und parent_rgt der zu verschiebenden coll_id raus
	
	$reslr = $opus->query( "SELECT lft, rgt FROM collections WHERE coll_id = $parent_id;" );
	$mrowlr = $opus->fetch_row( $reslr );
	$parent_lft = $mrowlr[0];
	$parent_rgt = $mrowlr[1];
	$opus->free_result( $reslr );
	
	// Und nun holen wir die anderen Collections auf derselben Ebene
	
	$query = "SELECT coll1.coll_id, coll1.coll_name, 
			IF (coll1.coll_id = coll1.root_id,
			round( (coll1.rgt - 2) / 2, 0),
			round( ( (coll1.rgt - coll1.lft - 1) / 2), 0)
		) AS children,
		COUNT(*) AS level 
		FROM collections as coll1, 
		collections as coll2 
		WHERE coll1.root_id = 1 
		AND coll2.root_id = 1 
		AND coll1.lft BETWEEN $parent_lft +1 AND $parent_rgt -1
		GROUP BY coll1.lft;";
		
	$res = $opus->query( $query );
	$num = $opus->num_rows( $res );
	if( $num > 0 ) { // Unter dem Elternknoten gibt es einen Hierarchiebaum
		
		// Wir checken, ob es den neuen Namen schon auf gleicher Ebene gibt.
		
		$i = 0;
		$check = 0;
		while( $i < $num ) {
			$mrow = $opus->fetch_row($res);
			$coll_id_sibling = $mrow[0];
			$coll_name_sibling = $mrow[1];
			$children = $mrow[2];
			$level = $mrow[3];
			
			if( $children ) { 
				
				if( $neuer_name == $coll_name_sibling) {
					$check = 1;
				} 
				$n = 0;
				while( $n < $children ) { // Hier werden die Kinder einfach ignoriert
					$mrow = $opus->fetch_row( $res );
					$n++;
					$i++;
				}
				$i++;
			} else {
				if( $neuer_name == $coll_name_sibling) {
					$check = 1;
				} 
				$i++;
			}
		}
		
	}

	if( $check == 0 ) {
	
		$query = "UPDATE collections
							SET coll_name = '$neuer_name'
							WHERE coll_id = '$coll_id';";
								
			$res = $opus->query( "LOCK TABLES collections WRITE" );
			$opus->free_result( $res );
			$res = $opus->query( $query );
			$opus->free_result( $res );
			$res = $opus->query( "UNLOCK TABLES" );
			$opus->free_result( $res );
			
		echo "<p>Die Collection wurde umbenannt</p>";
	
	} else {
		echo "<h3>Es gibt bereits eine Collection mit dem Namen \"$neuer_name\" auf derselben Hierarchieebene. Bitte geben Sie einen anderen Namen:</h3>\n";
		print("<form method=\"post\" action=\"$url/admin/collections_rename.$php\">\n
		<table border=0>\n	<tr><td colspan=2>\n
		<p>Bitte w&auml;hlen Sie die Collection aus, die umbenannt werden soll:</p>\n
		");
			
		$query = "SELECT coll1.coll_id, coll1.coll_name, 
					IF (coll1.coll_id = coll1.root_id,
					round( (coll1.rgt - 2) / 2, 0),
					round( ( (coll1.rgt - coll1.lft - 1) / 2), 0)
				) AS children,
				COUNT(*) AS level 
				FROM collections as coll1, 
				collections as coll2 
				WHERE coll1.root_id = 1 
				AND coll2.root_id = 1 
				AND coll1.lft BETWEEN coll2.lft AND coll2.rgt
				GROUP BY coll1.lft;";
			
		$res = $opus->query( $query );
		$num = $opus->num_rows( $res );
			
		if( $num > 0 ) {
			$i = 0;
			while( $i < $num ) {
				$mrow = $opus->fetch_row($res);
				$coll_id2 = $mrow[0];
				$coll_name = $mrow[1];
				$children = $mrow[2];
				$indent = str_repeat( "&nbsp;&nbsp;", $mrow[3] );
				echo "$indent <input type=\"radio\" name=\"coll_id\" value=\"$coll_id2\" ";
				if( $coll_id2 == $coll_id ) {
					echo "checked";
				}
				echo ">$coll_name (Anzahl Untercollections: $children)<br>\n";
				$i++;
			}
		} else {	// Vorhandene Eintrge werden mit der query nicht gefunden
			echo "<p>Houston, we have a problem</p>";
		}
		$opus->free_result( $res );
			
		print("</td></tr>
		<tr>
		<td>Neuer Name der ausgew&auml;hlten Collection:</td>
		<td><input type=\"text\" name=\"neuer_name\" size=\"40\"></td>
		</tr>
		<tr>
		<td><input type=\"submit\" value=\"Abschicken\"></td>
		<td><input type=\"reset\" value=\"L&ouml;schen\"></td>
		</tr></table>
		<input type=\"hidden\" name=\"la\" value=\"$la\">
		</form> 
		");

	}
    
}
    
echo "<p><a href=\"$url/admin/collections.php?la=$la\">Zur&uuml;ck zur Collection-Administration</a></p>";

$opus->close($sock);
$design->foot("collections_rename.$php", $la);
?>
