<?
#############################################################
# letzte nderung:
#
# 22.4.2005, Annette Maile, UB Stuttgart
# Auslagerung Design in lib/design.php
# In Abhaengigkeit von $la kann das entsprechende Design eingelesen werden.
#
#############################################################

include ("../../lib/class.configFile.php");
$conf = new configFile ("../../lib/opus.conf");
$dbms = $conf->value("dbms");
$php = $conf->value("php");

$db = $conf->value("db");
$url = $conf->value("url");
$home = $conf->value("home");

$projekt = $conf->value("projekt");

$titel = $conf->value("titel_collections_umbenennen");
$ueberschrift = $conf->value("ueberschrift_collections_umbenennen");

include ("../../lib/stringValidation.php");
$la = $_REQUEST['la'];
if (! _is_valid($la,0,2,"[a-z]*")) {die ("Fehler in Parameter la");}

# A.Maile 22.4.05: Sprache einlesen aus opus.conf, falls nicht gesetzt
if (!$la){
       $la = $conf->value("la");
}

# Annette Maile, 22.4.05 Design aus lib/design.php einlesen
require ("../../lib/design.$php");
$design = new design;
$design->head_titel($titel);
$design->head_ueberschrift($ueberschrift, $la);

include ("../../lib/class.opus_$dbms.$php");
$opus = new opus;

$sock = $opus->connect();
if ($sock < 0 ) {
	echo ("Error: $ERRMSG\n");
}

if ($opus->select_db($db) < 0 ) {
echo ("Error: $ERRMSG\n");
}
print("</FONT>");

print("<form method=\"post\" action=\"$url/admin/collections_rename.$php\">
<table border=0>	<tr><td colspan=2>
<p>Bitte w&auml;hlen Sie die Collection aus, die umbenannt werden soll:</p>
");
	
$query = "SELECT coll1.coll_id, coll1.coll_name, 
			IF (coll1.coll_id = coll1.root_id,
			round( (coll1.rgt - 2) / 2, 0),
			round( ( (coll1.rgt - coll1.lft - 1) / 2), 0)
		) AS children,
		COUNT(*) AS level 
		FROM collections as coll1, 
		collections as coll2 
		WHERE coll1.root_id = 1 
		AND coll2.root_id = 1 
		AND coll1.lft BETWEEN coll2.lft AND coll2.rgt
		GROUP BY coll1.lft;";
	
//	echo "<p>Query ist $query</p>";
$res = $opus->query( $query );
$num = $opus->num_rows( $res );
	
//	echo "<p>Num ist $num</p>";
	
if( $num > 0 ) {
	$i = 0;
//		echo "<p>Eishockey</p>";
	while( $i < $num ) {
		$mrow = $opus->fetch_row($res);
		$coll_id = $mrow[0];
		$coll_name = $mrow[1];
		$children = $mrow[2];
		$indent = str_repeat( "&nbsp;&nbsp;", $mrow[3] );
		print( "$indent <input type=\"radio\" name=\"coll_id\" value=\"$coll_id\">$coll_name (Anzahl Untercollections: $children)<br>
		");
		$i++;
	}
} else {	// Vorhandene Eintrge werden mit der query nicht gefunden
	echo "<p>Houston, we have a problem</p>";
}
$opus->free_result( $res );
	
print("</td></tr>
<tr>
<td>Neuer Name der ausgew&auml;hlten Collection:</td>
<td><input type=\"text\" name=\"neuer_name\" size=\"40\"></td>
</tr>
<tr>
<td><input type=\"submit\" value=\"Abschicken\"></td>
<td><input type=\"reset\" value=\"L&ouml;schen\"></td>
</tr></table>
<input type=\"hidden\" name=\"la\" value=\"$la\">
</form> 
");




echo "<p><a href=\"$url/admin/collections.php?la=$la\">Zur&uuml;ck zur Collection-Administration</a></p>";

$opus->close($sock);
$design->foot("collections_umbenennen.$php", $la);
?>

