<?
#############################################################
# letzte nderung:
#
# 22.4.2005, Annette Maile, UB Stuttgart
# Auslagerung Design in lib/design.php
# In Abhaengigkeit von $la kann das entsprechende Design eingelesen werden.
#
#############################################################

include ("../../lib/class.configFile.php");
$conf = new configFile ("../../lib/opus.conf");
$dbms = $conf->value("dbms");
$php = $conf->value("php");

include ("../../lib/class.opus_$dbms.$php");
$opus = new opus;

$url = $conf->value("url");
$email = $conf->value("email");
$ddb_email = $conf->value("ddb_email");
$home = $conf->value("home");

$titel = $conf->value("titel_ddb_email");
$ueberschrift = $conf->value("ueberschrift_ddb_email");

include ("../../lib/stringValidation.php");
$source_opus = $_REQUEST['source_opus'];
if (! _is_valid($source_opus,0,10,"[0-9]*")) {die ("Fehler in Parameter source_opus");}
$link_index = $_REQUEST['link_index'];
if (! _is_valid($link_index,0,500,"[A-Za-z0-9\:\/\.\_\-]+")) {die ("Fehler in Parameter link_index");}
$link_container = $_REQUEST['link_container'];
if (! _is_valid($link_container,0,500,"[A-Za-z0-9\:\/\.\_\-]*")) {die ("Fehler in Parameter link_container");}
$subject = $_REQUEST['subject'];
$subject = eregi_replace("[^A-Za-z0-9\:\/\.\,\ \_\-]","_",$subject);
$la = $_REQUEST['la'];
if (! _is_valid($la,0,2,"[a-z]*")) {die ("Fehler in Parameter la");}

# A.Maile 22.4.05: Sprache einlesen aus opus.conf, falls nicht gesetzt
if (!$la){
       $la = $conf->value("la");
}

# Annette Maile, 22.4.05 Design aus lib/design.php einlesen
require ("../../lib/design.$php");
$design = new design;
$design->head_titel($titel);
$design->head_ueberschrift($ueberschrift, $la);

$message = "$link_index \n";
if ($link_container != "") {
	$message = $message . "\n$link_container \n";
}
$subject = stripslashes($subject);
mail($ddb_email, $subject, $message, "from: $email\ncc: $email"); 

print("<P>Das Dokument mit der IDN $source_opus wurde der Deutschen Bibliothek gemeldet.\n<P> \n"); 

print("<P><A HREF=\"$home/admin/index.php?la=$la\">Adminseite</A>");

$design->foot("ddb_email.$php", $la);
?>

