<?
#############################################################
# letzte nderung:
#
# 22.4.2005, Annette Maile, UB Stuttgart
# Auslagerung Design in lib/design.php
# In Abhaengigkeit von $la kann das entsprechende Design eingelesen werden.
#
#############################################################

include ("../../lib/class.configFile.php");
$conf = new configFile ("../../lib/opus.conf");
$dbms = $conf->value("dbms");
$php = $conf->value("php");
$url = $conf->value("url");

$db = $conf->value("db");
$opus_table = $conf->value("opus_table");

$email = $conf->value("email");
$opusmail = $conf->value("opusmail");

$titel = "G&uuml;ltigkeitspr&uuml;fung";
$ueberschrift = "G&uuml;ltigkeitspr&uuml;fung";

include ("../../lib/stringValidation.php");
$la = $_REQUEST['la'];
if (! _is_valid($la,0,2,"[a-z]*")) {die ("Fehler in Parameter la");}

# A.Maile 22.4.05: Sprache einlesen aus opus.conf, falls nicht gesetzt
if (!$la){
       $la = $conf->value("la");
}

# Annette Maile, 22.4.05 Design aus lib/design.php einlesen
require ("../../lib/design.$php");
$design = new design;
$design->head_titel($titel);
$design->head_ueberschrift($ueberschrift, $la);

include ("../../lib/class.opus_$dbms.$php");
$opus = new opus;

$sock = $opus->connect();
if ( $sock < 0 ) { 
	echo ("Error: $ERRMSG\n"); 
} 
if ( $opus->select_db($db) < 0 ) {
	echo ("Error: $ERRMSG\n"); 
} 

$time = time();

$res = $opus->query ("SELECT source_opus from $opus_table where date_valid > 0 and date_valid < $time ");
$num = $opus->num_rows($res);
if ($num > 0) {
	$i = 0;
	while ($i < $num) {
		$i++;
		$mrow = $opus->fetch_row($res);
		$source_opus = $mrow[0];
		$message = "Das Dokument mit der IDN $source_opus\n\n";
		$message = $message . "ist nicht mehr gueltig und kann geloescht werden.";
		mail($email, "IDN $source_opus nicht mehr gueltig", $message, "from: $opusmail");
	}
	$opus->free_result($res);
}
print("Anzahl der nicht mehr g&uuml;ltigen Dokumente: $num");
$opus->close($sock);
$design->foot("gueltig.$php", $la);
?>

