<?
#############################################################
#
# Funktion: admin/index.php
#           Opus-Admin-Homepage 
# letzte nderung:
#
# 22.4.2005, Annette Maile, UB Stuttgart
# Auslagerung Design in lib/design.php
# In Abhaengigkeit von $la kann das entsprechende Design eingelesen werden.
#
#############################################################

include ("../../lib/class.configFile.php");
$conf = new configFile ("../../lib/opus.conf");
$dbms = $conf->value("dbms");
$php = $conf->value("php");

$opus_table = $conf->value("opus_table");
$temp_table = $conf->value("temp_table");


include ("../../lib/class.opus_$dbms.$php");
$opus = new opus;

$url = $conf->value("url"); 

// Anfang Collections
$coll_anzeigen = $conf->value( "coll_anzeigen" );
// Ende Collections

include ("../../lib/stringValidation.php");
$la = $_REQUEST['la'];
if (! _is_valid($la,0,2,"[a-z]*")) {die ("Fehler in Parameter la");}

# A.Maile 22.4.05: Sprache einlesen aus opus.conf, falls nicht gesetzt
if (!$la){
       $la = $conf->value("la");
}

$titel = $conf->value("titel_admin_index");
$ueberschrift = $conf->value("ueberschrift_admin_index");

# Annette Maile, 22.4.05 Design aus lib/design.php einlesen
require ("../../lib/design.$php");
$design = new design;
$design->head_titel($titel);
$design->head_ueberschrift($ueberschrift, $la);

print("<UL>
<LI><A HREF=\"./sulb_institute_aendern.php\"> Institute anlegen oder &auml;ndern</A>
<LI><A HREF=\"../report/publikationen_abfrage.php?la=$la\">Report der Demo-Jahresbibliographie</A>
<LI><A HREF=\"./abfrage_aendern.php?table=$temp_table&la=$la\"> Eintrag in TEMP &auml;ndern</A>
<LI><A HREF=\"./temp_browsen.php?la=$la\"> Inhalt von TEMP anzeigen</A>
<P>
<LI><A HREF=\"./abfrage_aendern.php?table=$opus_table&la=$la\"> Eintrag in OPUS &auml;ndern</A>
<P>");

// Anfang Collections

if( $coll_anzeigen == "true" ) {
	print("
	<LI><A HREF=\"./collections.php?la=$la\"> Collections verwalten</A>
	<P>");
}

// Ende Collections

print("
<LI><A HREF=\"./indexfile_abfrage.php?la=$la\">Indexdateien erstellen</A>
<LI><A HREF=\"../volltexte/opus-index/opus-indexliste.html\">Liste aller Indexdateien</A>
<P>
<LI><A HREF=\"./statistik_abfrage.php?la=$la\">Ver&ouml;ffentlichungsstatistik</A>
<P>
<LI><A HREF=\"./schriftenreihen.php?la=$la\">Schriftenreihen hinzuf&uuml;gen / &auml;ndern</A>
<P>
<LI><A HREF=\"./link_oai_schnittstelle.php?la=$la\">Link Oai-Schnittstelle</A>
<P>");

print("
</UL>
");
$design->foot("index.$php", $la)
?>

