<?
#############################################################
# letzte nderung:
#
# 22.4.2005, Annette Maile, UB Stuttgart
# Auslagerung Design in lib/design.php
# In Abhaengigkeit von $la kann das entsprechende Design eingelesen werden.
#
#############################################################

include ("../../lib/class.configFile.php");
$conf = new configFile ("../../lib/opus.conf");
$dbms = $conf->value("dbms");
$php = $conf->value("php");

include ("../../lib/class.opus_$dbms.$php");
$opus = new opus;

$db = $conf->value("db");
$table = $conf->value("temp_table");
$url = $conf->value("url");

$titel = $conf->value("titel_klassifikationen_auflisten");
$ueberschrift = $conf->value("ueberschrift_klassifikationen_auflisten");

include ("../../lib/stringValidation.php");
$source_opus = $_REQUEST['source_opus'];
if (! _is_valid($source_opus,1,10,"[0-9]+")) {die ("Fehler in Parameter source_opus");}
$la = $_REQUEST['la'];
if (! _is_valid($la,0,2,"[a-z]*")) {die ("Fehler in Parameter la");}

# A.Maile 22.4.05: Sprache einlesen aus opus.conf, falls nicht gesetzt
if (!$la){
       $la = $conf->value("la");
}

# Annette Maile, 22.4.05 Design aus lib/design.php einlesen
require ("../../lib/design.$php");
$design = new design;
$design->head_titel($titel);
$design->head_ueberschrift($ueberschrift, $la);

print("<FONT COLOR=red>");
$sock = $opus->connect();
if ( $sock < 0 ) { 
	echo ("Error: $ERRMSG\n"); 
} 
if ( $opus->select_db($db) < 0 ) {
	echo ("Error: $ERRMSG\n"); 
} 
print ("</FONT>\n");

print("\n<H3>Bitte Klassifikation ausw&auml;hlen:</H3>\n");

print("Klassifikation:         ");
print("<FORM METHOD = \"POST\" ACTION = \"$url/admin/klassifikationsfeld_anlegen.$php\"> \n");
$res = $opus->query ("SELECT * FROM klassifikation_$la");
$num = $opus->num_rows($res);
if ($num > 0) {
	print("<SELECT NAME=\"subject_type\" SIZE=1> \n");
	$i = 0;
	while ($i < $num) {
		$i++;
		$mrow = $opus->fetch_row($res);
		print("<OPTION VALUE=\"$mrow[0]\"");
		print("> $mrow[1] \n");
	}
	print("</SELECT> \n");
	$opus->free_result($res);
}

print("<P>\n<INPUT TYPE=\"hidden\" NAME=\"source_opus\" VALUE=\"$source_opus\">");
print("\n<input type=\"hidden\" name=\"la\" value=\"$la\">");
print("\n<INPUT TYPE = submit  VALUE=\"Klassifikationsfeld anlegen\"> \n");
print("</FORM> \n");

$opus->close($sock);

$design->foot("klassifikationen_auflisten.$php", $la);
?>

