<?
#############################################################
# letzte nderung:
#
# 22.4.2005, Annette Maile, UB Stuttgart
# Auslagerung Design in lib/design.php
# In Abhaengigkeit von $la kann das entsprechende Design eingelesen werden.
#
#############################################################

include ("../../lib/class.configFile.php");
$conf = new configFile ("../../lib/opus.conf");
$dbms = $conf->value("dbms");
$php = $conf->value("php");

include ("../../lib/class.opus_$dbms.$php");
$opus = new opus;

$oai_url = $conf->value("oai_url");
$projekt = $conf->value("projekt");
$titel = $conf->value("titel_link_oai_schnittstelle");
$ueberschrift = $conf->value("ueberschrift_link_oai_schnittstelle");

include ("../../lib/stringValidation.php");
$la = $_REQUEST['la'];
if (! _is_valid($la,0,2,"[a-z]*")) {die ("Fehler in Parameter la");}

# A.Maile 22.4.05: Sprache einlesen aus opus.conf, falls nicht gesetzt
if (!$la){
       $la = $conf->value("la");
}

# Annette Maile, 22.4.05 Design aus lib/design.php einlesen
require ("../../lib/design.$php");
$design = new design;
$design->head_titel($titel);
$design->head_ueberschrift($ueberschrift, $la);

print("
<P>
Der Basis-Link der Oai2-Schnittstelle lautet: <BR>
<B>$oai_url</B>

<P>
<a href=\"$oai_url?verb=Identify\">Link auf Oai2-Schnittstelle mit verb=Identify</a>

");

$design->foot("link_oai_schnittstelle.$php", $la);
?>

