<?
#############################################################
# letzte nderung:
#
# 22.4.2005, Annette Maile, UB Stuttgart
# Auslagerung Design in lib/design.php
# In Abhaengigkeit von $la kann das entsprechende Design eingelesen werden.
#
#############################################################

include ("../../lib/class.configFile.php");
$conf = new configFile ("../../lib/opus.conf");
$dbms = $conf->value("dbms");
$php = $conf->value("php");

$db = $conf->value("db");
$url = $conf->value("url"); 

$titel = $conf->value("titel_schriftenreihe");
$ueberschrift = $conf->value("ueberschrift_schriftenreihe");

include ("../../lib/stringValidation.php");
$la = $_REQUEST['la'];
if (! _is_valid($la,0,2,"[a-z]*")) {die ("Fehler in Parameter la");}

# A.Maile 22.4.05: Sprache einlesen aus opus.conf, falls nicht gesetzt
if (!$la){
       $la = $conf->value("la");
}

# Annette Maile, 22.4.05 Design aus lib/design.php einlesen
require ("../../lib/design.$php");
$design = new design;
$design->head_titel($titel);
$design->head_ueberschrift($ueberschrift, $la);

include ("../../lib/class.opus_$dbms.$php");
$opus = new opus;

print("<FONT COLOR=red>");
$sock = $opus->connect();
if ($sock < 0 ) { 
	echo ("Error: $ERRMSG\n"); 
} 

if ($opus->select_db($db)  < 0 ) {
	echo ("Error: $ERRMSG\n"); 
}
print("</FONT>");

$res = $opus->query("SELECT sr_id, name FROM schriftenreihen ORDER BY sr_id" );
$num = $opus->num_rows($res);
if ( $num > 0 ) {
	print("<TABLE WIDTH=90% ALIGN=CENTER BORDER=1> \n");
	print("    <TH VALIGN=TOP>ID </TH>\n");
	print("    <TH VALIGN=TOP>NAME </TH>\n");
	print("    <TH VALIGN=TOP>Aktion </TH>\n");

	$i = 0;
	while ( $i < $num  ) {
	    	$i++;
	        $mrow = $opus->fetch_row($res);
		$sr_id = $mrow[0];
		$sr_name = htmlspecialchars($mrow[1]);
	
		print("<TR>\n");
		print("<TD VALIGN=TOP ALIGN=RIGHT>$sr_id</TD>");
		print("<TD VALIGN=TOP>&nbsp; $sr_name</TD>");
		print("<TD VALIGN=TOP ALIGN=CENTER><A HREF=\"./sr_aendern.php?sr_id=$sr_id&la=$la\">&Auml;ndern</A> | <A HREF=\"./sr_loeschen.php?sr_id=$sr_id&la=$la\">L&ouml;schen</A>");
		print("</TR>\n");
	}
	
	print("</TABLE>\n");

	$opus->free_result($res);
	$opus->close($sock);
}

print("
<ul>
<li><a href=\"sr_hinzufuegen.php?la=$la\">Neue Schriftenreihe hinzuf&uuml;gen</a></li>
<li><a href=\"index.php?la=$la\">Zur&uuml;ck zur Admin Seite</a></li>
</ul>
");

$design->foot("schriftenreihen.$php", $la);
?>
