<?
#############################################################
# letzte nderung:
#
# 22.4.2005, Annette Maile, UB Stuttgart
# Auslagerung Design in lib/design.php
# In Abhaengigkeit von $la kann das entsprechende Design eingelesen werden.
#
#############################################################

include ("../../lib/class.configFile.php");
$conf = new configFile ("../../lib/opus.conf");
$dbms = $conf->value("dbms");
$php = $conf->value("php");

$db = $conf->value("db");
$url = $conf->value("url"); 

$titel = $conf->value("titel_sr_add");
$ueberschrift = $conf->value("ueberschrift_sr_add");

include ("../../lib/stringValidation.php");
$new_sr = $_REQUEST['new_sr'];
$new_sr = eregi_replace("[`\n\r]","",$new_sr);
$la = $_REQUEST['la'];
if (! _is_valid($la,0,2,"[a-z]*")) {die ("Fehler in Parameter la");}

# A.Maile 22.4.05: Sprache einlesen aus opus.conf, falls nicht gesetzt
if (!$la){
       $la = $conf->value("la");
}

# Annette Maile, 22.4.05 Design aus lib/design.php einlesen
require ("../../lib/design.$php");
$design = new design;
$design->head_titel($titel);
$design->head_ueberschrift($ueberschrift, $la);

include ("../../lib/class.opus_$dbms.$php");
$opus = new opus;

print("<FONT COLOR=red>");
$sock = $opus->connect();
if ($sock < 0 ) { 
	echo ("Error: $ERRMSG\n"); 
} 

if ($opus->select_db($db)  < 0 ) {
	echo ("Error: $ERRMSG\n"); 
}
print("</FONT>");

$res = $opus->query("SELECT name FROM schriftenreihen WHERE name='$new_sr'");
$num = $opus->num_rows($res);
$opus->free_result($res);

if ($num > 0) {

	print("Die Schriftenreihe \"$new_sr\" existiert bereits");

} else {

	$stat = $opus->query("INSERT INTO schriftenreihen (name) VALUES ('$new_sr')");
	if ($stat < 0) {print("ERROR $ERRMSG <p>ID $new_sr konnte nicht hinzugef&uuml;gt werden.");}
	else {
	print ("Schriftenreihe \"$new_sr\" hinzugef&uuml;gt \n");
	}
}

$opus->close($sock);

print("
<UL>
<LI><A HREF=\"schriftenreihen.php?la=$la\">Zur&uuml;ck</A></LI>
</UL>
");

$design->foot("sr_add.$php", $la);
?>
