<?
#############################################################
# letzte nderung:
#
# 22.4.2005, Annette Maile, UB Stuttgart
# Auslagerung Design in lib/design.php
# In Abhaengigkeit von $la kann das entsprechende Design eingelesen werden.
#
#############################################################

include ("../../lib/class.configFile.php");
$conf = new configFile ("../../lib/opus.conf");
$dbms = $conf->value("dbms");
$php = $conf->value("php");

include ("../../lib/class.opus_$dbms.$php");
$opus = new opus;

$db = $conf->value("db");

$url = $conf->value("url"); 

include ("../../lib/stringValidation.php");
$sr_id = $_REQUEST['sr_id'];
if (! _is_valid($sr_id,0,10,"[0-9]*")) {die ("Fehler in Parameter sr_id");}
$la = $_REQUEST['la'];
if (! _is_valid($la,0,2,"[a-z]*")) {die ("Fehler in Parameter la");}

# A.Maile 22.4.05: Sprache einlesen aus opus.conf, falls nicht gesetzt
if (!$la){
       $la = $conf->value("la");
}

$titel = $conf->value("titel_sr_aendern");
$ueberschrift = $conf->value("ueberschrift_sr_aendern") . " " . $sr_id;


# Annette Maile, 22.4.05 Design aus lib/design.php einlesen
require ("../../lib/design.$php");
$design = new design;
$design->head_titel($titel);
$design->head_ueberschrift($ueberschrift, $la);

print("<FONT COLOR=red>");
$sock = $opus->connect();
if ($sock < 0 ) { 
	echo ("Error: $ERRMSG\n"); 
} 

if ($opus->select_db($db)  < 0 ) {
	echo ("Error: $ERRMSG\n"); 
}
print("</FONT>");

$res = $opus->query("SELECT name FROM schriftenreihen WHERE sr_id=$sr_id" );
$num = $opus->num_rows($res);
if ( $num > 0 ) {

	$i = 0;
	while ( $i < $num  ) {
	    	$i++;
	        $mrow = $opus->fetch_row($res);
		$sr_name = htmlspecialchars($mrow[0]);
	
		print("Schriftenreihe ID: $sr_id; Bisheriger Name: \"$sr_name\"<p>");
		print("Neuer Name: \n");
?>
	<form method="post" action="sr_replace.php" name="ReplaceForm">
	<input type="text" name="new_name" size="60" maxlength="255" value="<?echo $sr_name;?>">
	<input type="hidden" name="sr_id" value="<?echo $sr_id;?>">
	<input type="hidden" name="la" value="<?echo $la;?>">
	
	<input type="submit" value="&Auml;ndern">
	</form>

	<script type="text/javascript">
	<!--
	document.ReplaceForm.new_name.focus();
	//-->
	</script>
	
	<UL>
	<LI><A HREF="schriftenreihen.php?la=<?echo $la;?>">Zur&uuml;ck</A></LI>
	</UL>
<?
	}
	

	$opus->free_result($res);
	$opus->close($sock);
}

$design->foot("sr_aendern.$php", $la);
?>
