<?
#############################################################
# browsen_uebersicht.php - Uebersicht der Browsingmoeglichkeiten 
#
# letzte nderung:
# 18.3.2005, Annette Maile, UB Stuttgart
# Auslagerung Design in lib/design.php
# In Abhaengigkeit von $la kann das entsprechende Design eingelesen werden.
#
# 9.6.2005, Birgit Dressler, SULB Saarbrcken
# Einfhrung der Mehrsprachigkeit (Variable $la)
# Textdatei: texte/$la/abfrage_suchen.conf
#
#############################################################

include ("../lib/class.configFile.php");
$conf = new configFile ("../lib/opus.conf");
$dbms = $conf->value("dbms");
$php = $conf->value("php");

include ("../lib/class.opus_$dbms.$php");
$opus = new opus;

$db = $conf->value("db");
$opustable = $conf->value("opus_table");
$url = $conf->value("url");
#BD steht nun auch in Textdatei
#$titel = $conf->value("titel_browsen_uebersicht");;
#$ueberschrift = $conf->value("ueberschrift_browsen_uebersicht");
// Anfang Collections
$coll_anzeigen = $conf->value( "coll_anzeigen" );
// Ende Collections

include ("../lib/stringValidation.php");
$la = $_REQUEST['la'];
if (! _is_valid($la,0,2,"[a-z]*")) {die ("Fehler in Parameter la");}

# A.Maile, 18.03.05: Sprache einlesen aus opus.conf, falls nicht gesetzt
if (!$la){
       $la = $conf->value("la");
}

# BDressler Texte aus Textdatei in Programmvariablen fllen 
$texte = new configFile ("../texte/$la/browsen_uebersicht.conf");
$titel = $texte->value("titel");
$ueberschrift = $texte->value("ueberschrift");
$text1 = $texte->value("text1");
$text2 = $texte->value("text2");
$text3 = $texte->value("text3");
$text4 = $texte->value("text4");
$text5 = $texte->value("text5");
$text6 = $texte->value("text6");
$text7 = $texte->value("text7");
$text8 = $texte->value("text8");
$text9 = $texte->value("text9");
$text10 = $texte->value("text10");
$text11 = $texte->value("text11");

# Annette Maile, 18.3.05 Design aus lib/design.php einlesen
require ("../lib/design.$php");
$design = new design;
$design->head_titel($titel);
$design->head_ueberschrift($ueberschrift, $la);

# Ueberblick ueber den Gesamtbestand an Dokumenten
print("
<H3>$text1</H3>

<UL>
");
#<LI><A HREF=\"$url/abfrage_browsen.$php?la=$la\">Dokumente nach Fakult&auml;ten geordnet</A> 
print("
<LI><A HREF=\"$url/abfrage_browsen.$php?la=$la\">$text2 </A> 
<P>
");
#<LI><A HREF=\"$url/browsen_sachgruppe.$php?la=$la\">Dokumente nach DDC-Sachgruppe geordnet</A>
#print("
#<LI><A HREF=\"$url/browsen_sachgruppe.$php?la=$la\">$text3 </A>
#<P>
#");

# <LI><A HREF=\"$url/dokumentart.$php?la=$la\">Dokumente nach Dokumentarten geordnet</A>
print("
<LI><A HREF=\"$url/dokumentart.$php?la=$la\">$text4 </A>
</UL>
");

#<LI><A HREF=\"$url/schriftenreihen.$php?la=$la\">Schriftenreihen</A>
#print("
#<LI><A HREF=\"$url/schriftenreihen.$php?la=$la\">$text5</A>
#<P>
#");

// Anfang Collections
if( $coll_anzeigen == "true" ) {
	# <LI><A HREF=\"$url/abfrage_collections.$php?la=$la\">Dokumente nach Collections geordnet</A>
	print( "
	<LI><A HREF=\"$url/abfrage_collections.$php?la=$la\">$text6 </A>
	<P>
	");
}
// Ende Collections

#<H3>&Uuml;berblick &uuml;ber Teilbest&auml;nde an Dokumenten</H3>

#<H3>$text7</H3>
#$text8
#<P>
#<UL>
#<LI><A HREF=\"$url/ccs.$php?la=$la\">$text9 </A>
#<P>

#<LI><A HREF=\"$url/msc.$php?la=$la\">$text10 </A>
#<P>

#<LI><A HREF=\"$url/pacs.$php?la=$la\">$text11 </A>
#</UL>
#");

$design->foot("browsen_uebersicht.$php", $la);
?>

