<?
#############################################################
# ccs_ebene3.php - Browsen nach CCS
#
# letzte nderung:
# 18.3.2005, Annette Maile, UB Stuttgart
# Auslagerung Design in lib/design.php
# In Abhaengigkeit von $la kann das entsprechende Design eingelesen werden.
#
#############################################################

include ("../lib/class.configFile.php");
$conf = new configFile ("../lib/opus.conf");
$dbms = $conf->value("dbms");
$php = $conf->value("php");

include ("../lib/class.opus_$dbms.$php");
$opus = new opus;

$db = $conf->value("db");
$opus_table = $conf->value("opus_table");
$url = $conf->value("url");
$table = $opus_table . "_ccs";

$titel = $conf->value("titel_ccs");
$ueberschrift = $conf->value("ueberschrift_ccs");

include ("../lib/stringValidation.php");
$buchstabe = $_REQUEST['buchstabe'];
if (! _is_valid($buchstabe,1,10,"[A-Z0-9\.]+")) {die ("Fehler in Parameter buchstabe");}
$anzahl = $_REQUEST['anzahl'];
if (! _is_valid($anzahl,1,10,"[0-9]*")) {die ("Fehler in Parameter anzahl");}
$la = $_REQUEST['la'];
if (! _is_valid($la,0,2,"[a-z]*")) {die ("Fehler in Parameter la");}

# A.Maile, 18.03.05: Sprache einlesen aus opus.conf, falls nicht gesetzt
if (!$la){
       $la = $conf->value("la");
}

# Annette Maile, 18.3.05 Design aus lib/design.php einlesen
require ("../lib/design.$php");
$design = new design;
$design->head_titel($titel);
$design->head_ueberschrift($ueberschrift, $la);

$sock = $opus->connect();
if ( $sock < 0 ) {
        fatal ("Error: $ERRMSG\n");
}
if ( $opus->select_db($db) < 0 ) {
        fatal ("Error: $ERRMSG\n");
}

$res = $opus->query ("SELECT * FROM ccs98 where class like '$buchstabe%' ");
 
$num = $opus->num_rows($res);
if ($num > 0) {
	$mrow = $opus->fetch_row($res);
	$class = $mrow[0];
	$bez = $mrow[1];
	/* wenn Dokumente nur grob klassifiziert werden, muss zusaetzlich */
	/* danach exakt gesucht werden */ 
	$bereich = $opus->query ("SELECT * FROM $table where class like '$buchstabe' ");
	$anz_bereich = $opus->num_rows($bereich);
	if ($anz_bereich > 0) {
		print("<H3><A HREF=\"$url/ergebnis.$php?suchart=teil&Lines_Displayed=10&sort=o.date_year+DESC%2C+o.title&suchfeld1=class_ccs&suchwert1=$buchstabe&opt1=AND&suchfeld2=oa.person&suchwert2=&opt2=AND&suchfeld3=o.date_year&suchwert3=&startindex=0&page=0&dir=2&suche=\">$class $bez</A> <FONT SIZE=2>( $anz_bereich Dok. ) (Gesamt: $anzahl Dok. )</FONT></H3> \n");
		$opus->free_result($bereich);	
	}
	else {
		print ("<H3>$class $bez <FONT SIZE=2>( $anzahl Dok. ) </FONT></H3> \n");
	}
	print("<UL> \n");
        $i = 1;
	$anfangliste = 0;
        $endeliste = 0;
        while ($i < $num) {
                $i++;
                $mrow = $opus->fetch_row($res);
                $class = $mrow[0];
                $bez = $mrow[1];

                if ($class != $class_alt) {
                        $res2 = $opus->query ("SELECT source_opus from $table where class like '$class' ");
                        $anzahl = $opus->num_rows($res2);
                        $opus->free_result($res2);

                        if ($endeliste == 1) {
                                print("</UL> \n");
                                $endeliste = 0;
				$anfangliste = 0;
                        }       
                        print("<P><LI><A HREF=\"$url/ergebnis.$php?suchart=teil&Lines_Displayed=10&sort=o.date_year+DESC%2C+o.title&suchfeld1=class_ccs&suchwert1=$class&opt1=AND&suchfeld2=oa.person&suchwert2=&opt2=AND&suchfeld3=o.date_year&suchwert3=&startindex=0&page=0&dir=2&suche=\">$class $bez</A> <FONT SIZE=2>( $anzahl Dok. )</FONT
> \n");
                }
                else {
			if ($anfangliste == 0) {
				print("<UL> \n");
				$anfangliste = 1;
				$endeliste = 1;
			}
                        print("<LI>$class $bez \n");
		}
		$class_alt = $class;
	}
        $opus->free_result($res);
        print("</UL>");
}

$design->foot("ccs_ebene3.$php", $la);
?>

