<?
#############################################################
# hilfe_formular.php - Hilfe zum Veroeffentlichungsformular 
#
# 15.9.2005, Birgit Dressler, SULB Saarbruecken
# Einfuehrung der Mehrsprachigkeit (Variable $la)
# Textdatei: texte/$la/hilfe_formular.conf
#
#############################################################

include ("../../lib/class.configFile.php");
$conf = new configFile ("../../lib/opus.conf");
$dbms = $conf->value("dbms");
$php = $conf->value("php");
$projekt = $conf->value("projekt");

include ("../../lib/class.opus_$dbms.$php");
$opus = new opus;

$doku_pfad = $conf->value("doku_pfad");

include ("../../lib/stringValidation.php");
$la = $_REQUEST['la'];
if (! _is_valid($la,0,2,"[a-z]*")) {die ("Fehler in Parameter la");}

# A.Maile 10.2.05: Sprache einlesen aus opus.conf, falls nicht gesetzt
if (!$la){
       $la = $conf->value("la");
}

# BDressler Texte aus Textdatei in Programmvariablen fllen 
$texte = new configFile ("../../texte/$la/doku/hilfe_formular.conf");
$titel = $projekt . "-" . $texte->value("titel");
$ueberschrift = $projekt . "-" . $texte->value("ueberschrift");

# Annette Maile, 18.3.05 Design aus lib/design.php einlesen
require ("../../lib/design.$php");
$design = new design;
$design->head_titel($titel);
$design->head_ueberschrift($ueberschrift, $la);

# Birgit Dressler, 19.9.05, Hilfetexte in Abhaengigkeit von der Sprache
# aus einer Datei lesen
include ("../../texte/$la/doku/hilfe_formular.inc.php");


$design->foot("hilfe_formular.$php", $la);
?>
