<?
#############################################################
# index.php - Homepage
#
# letzte nderung:
# 18.3.2005, Annette Maile, UB Stuttgart
# Auslagerung Design in lib/design.php
# In Abhaengigkeit von $la kann das entsprechende Design eingelesen werden.
#
# 21.9.2005, Annette Maile, UB Stuttgart 
# Einfuehrung der Mehrsprachigkeit (Variable $la)
# Textdatei: texte/$la/index.conf
#
#############################################################

include ("../lib/class.configFile.php");
$conf = new configFile ("../lib/opus.conf");
$dbms = $conf->value("dbms");
$php = $conf->value("php");
$projekt = $conf->value("projekt");

include ("../lib/class.opus_$dbms.$php");
$opus = new opus;

$url = $conf->value("url"); 

include ("../lib/stringValidation.php");
$la = $_REQUEST['la'];
if (! _is_valid($la,0,2,"[a-z]*")) {die ("Fehler in Parameter la");}

# A.Maile, 18.03.05: Sprache einlesen aus opus.conf, falls nicht gesetzt
if (!$la){
       $la = $conf->value("la");
}

# A. Maile: steht nun in der Textdatei
# $titel = $conf->value("titel_index");
# $ueberschrift = $conf->value("ueberschrift_index");

# A. Maile Texte aus Textdatei in Programmvariablen fllen
$texte = new configFile ("../texte/$la/index.conf");
$titel = $texte->value("titel");
$ueberschrift = $texte->value("ueberschrift");
$suche = $texte->value("suche");
$volltextsuche = $texte->value("volltextsuche");
$browsen = $texte->value("browsen");
$newest = $texte->value("newest");
$ueber = $texte->value("ueber");

# Annette Maile, 18.3.05 Design aus lib/design.php einlesen
require ("../lib/design.$php");
$design = new design;
$design->head_titel($titel);
$design->head_ueberschrift($ueberschrift, $la);

print("

    <h4>Allgemeines</h4>

Die Jahresbibliographie verzeichnet seit dem Berichtsjahr 1968 die Ver&ouml;ffentlichungen der
Angeh&ouml;rigen der Universit&auml;t des Saarlandes, seit 1973 auch die der anderen
Hochschulen
des Saarlandes. Als Printausgabe erschien sie zuletzt im Jahre 2000.
Die <a href=\"http://www.uni-saarland.de/z-einr/ub/uni-veroeff/jbanf_alt.html\">Online-Version
/ Kumulierte Ausgabe</a> beinhaltet die Titel der Jahre <a
 href=\"http://www.uni-saarland.de/z-einr/ub/uni-veroeff/jbanf_alt.html\">1993-2005</a>
sowie
zahlreiche Nachtr&auml;ge aus fr&uuml;heren Jahren. Mit der
vorliegenden, neukonzipierten Version werden die Titel ab dem
Erscheinungsjahr 2006 erfasst.<br>

    <h4>Ziele</h4>

\"Mit dem vorliegenden Schriftenverzeichnis verfolgt die Universit&auml;t des Saarlandes das
Ziel, die interessierte &Ouml;ffentlichkeit, aber auch die Mitglieder der
Universit&auml;t selbst &uuml;ber die wissenschaftlichen
Ver&ouml;ffentlichungen aus ihrem Bereich zu informieren. Zugleich soll damit darauf hingewiesen
werden, dass die wissenschaftliche Forschung neben der stetig
wachsenden Belastung in der Lehre nicht vernachl&auml;ssigt wird und
werden
darf.\" <br>

(Rektor Prof. Dr. Hellmuth Sitte, Vorwort zur
Jahresbibliographie 1968)
<br>
<br>
\"Da die Erfassung in erster Linie auf den freiwilligen Meldungen der
Autoren beruhte, konnte keine Vollst&auml;ndigkeit angestrebt werden.\"<br>
(O. Vinzent, Einf&uuml;hrung, a.a.O.)<br>
<br>
Die aktuelle Version wurde nach Vorgaben der Universit&auml;tsleitung
neu konzipiert. Sie bietet verbesserte Recherchem&ouml;glichkeiten und
l&auml;sst sich nach verschiedenen Gesichtspunkten statistisch
auswerten.<br>

<P>
&nbsp;
</P>

<LI><A HREF=\"./uni\">Ver&ouml;ffentlichung melden</A> 
<P>
<LI><A HREF=\"./newest.php?la=$la\">$newest</A>
<P>
<LI><A HREF=\"./ueber.php?la=$la\">$ueber</A>
</UL>
<P>
&nbsp;
</P>

");

$design->foot("index.$php", $la);
?>

