<? 
#############################################################
# letzte nderung:
#
# 22.4.2005, Annette Maile, UB Stuttgart
# Auslagerung Design in lib/design.php
# In Abhaengigkeit von $la kann das entsprechende Design eingelesen werden.
#
# 10.6.2005, Annette Maile, UB Stuttgart
# Einfhrung der Mehrsprachigkeit (Variable $la)
# Textdatei: texte/$la/inst_liste.conf
#
#############################################################

include ("../lib/class.configFile.php");
$conf = new configFile ("../lib/opus.conf");
$dbms = $conf->value("dbms");
$php = $conf->value("php");

$db = $conf->value("db");

# AM steht nun in der Textdatei
#$titel = $conf->value("titel_inst_liste");
#$ueberschrift = $conf->value("ueberschrift_inst_liste");

include ("../lib/stringValidation.php");
$la = $_REQUEST['la'];
if (! _is_valid($la,0,2,"[a-z]*")) {die ("Fehler in Parameter la");}

# A.Maile 22.4.05: Sprache einlesen aus opus.conf, falls nicht gesetzt
if (!$la){
       $la = $conf->value("la");
}

# Annette Maile Texte aus Textdatei in Programmvariablen fllen
$texte = new configFile ("../texte/$la/inst_liste.conf");
$titel = $texte->value("titel");
$ueberschrift = $texte->value("ueberschrift");

# Annette Maile, 22.4.05 Design aus lib/design.php einlesen
require ("../lib/design.$php");
$design = new design;
$design->head_titel($titel);
$design->head_ueberschrift($ueberschrift, $la);

include ("../lib/class.opus_$dbms.$php");
$opus = new opus;

print("<FONT COLOR=red>");
$sock = $opus->connect();
if ( $sock < 0 ) { 
        echo ("Error: $ERRMSG\n"); 
} 
if ( $opus->select_db($db)  < 0 ) {
        echo ("Error: $ERRMSG\n"); 
}
print("</H1></FONT>");

$res = $opus->query ("SELECT * FROM faculty_$la");
 
$num = $opus->num_rows($res);
if ($num > 0) {
        $opus->data_seek ( $res, 0);
        $j = 0;
        while ($j < $num) {
            $j++;
            $mrow = $opus->fetch_row($res);
            print("<b>$mrow[1]</b><br>\n");
            $res2 = $opus->query("SELECT * FROM institute_$la where fakultaet = '$mrow[0]'");
            $num2 = $opus->num_rows($res2);
            if ($num2 > 0) {
                $i = 0;
                while ($i < $num2) {
                    $i++;
                    $mrow2 = $opus->fetch_row($res2);
                    $mrow2[1] = htmlspecialchars($mrow2[1]);
                    print("- $mrow2[1]<br>\n");
                }
            }
            $opus->free_result($res2);
        }
}
$opus->free_result($res);

$design->foot("inst_liste.$php", $la);
?>

