<? 

#############################################################
# mailform.php - Weiterempfehlen eines Dokumentes per email
#
# 18.3.2005, Ulrich Herb, SULB Saarbrcken
# Textdatei: texte/$la/mailform.conf
#
#############################################################


include ("../lib/class.configFile.php");
$conf = new configFile ("../lib/opus.conf");
$dbms = $conf->value("dbms");
$php = $conf->value("php");

include ("../lib/class.opus_$dbms.$php");
$opus = new opus;

$db = $conf->value("db");
$opustable = $conf->value("opus_table");
$volltext_pfad = $conf->value("volltext_pfad");
$volltext_url = $conf->value("volltext_url");
$doku_pfad = $conf->value("doku_pfad");

include ("../lib/stringValidation.php");
$source_opus = $_REQUEST['source_opus'];
if (! _is_valid($source_opus,1,10,"[0-9]+")) {die ("Fehler in Parameter source_opus");}
$jahr = $_REQUEST['jahr'];
if (! _is_valid($jahr,4,4,"[0-9]+")) {die ("Fehler in Parameter jahr");}
$la = $_REQUEST['la'];
if (! _is_valid($la,0,2,"[a-z]*")) {die ("Fehler in Parameter la");}


# A.Maile 10.2.05: Sprache einlesen aus opus.conf, falls nicht gesetzt
if (!$la){
       $la = $conf->value("la");
}

# BDressler Texte aus Textdatei in Programmvariablen fllen 
$texte = new configFile ("../texte/$la/mailform.conf");
$titel = $texte->value("titel");
$ueberschrift = $texte->value("ueberschrift");
$text1 = $texte->value("text1");
$text2 = $texte->value("text2");
$t_id = $texte->value("t_id");
$t_titel = $texte->value("t_titel");
$t_dokumentart = $texte->value("t_dokumentart");
$t_empfname = $texte->value("t_empfname");
$t_empfmail = $texte->value("t_empfmail");
$t_sendname = $texte->value("t_sendname");
$t_sendmail = $texte->value("t_sendmail");
$t_kommentar = $texte->value("t_kommentar");
$t_button1 = $texte->value("t_button1");
$t_button2 = $texte->value("t_button2");
$t_fehler1 = $texte->value("t_fehler1");
$t_fehler2 = $texte->value("t_fehler2");

# Annette Maile, 18.3.05 Design aus lib/design.php einlesen
require ("../lib/design.$php");
$design = new design;
$design->head_titel($titel);
$design->head_ueberschrift($ueberschrift, $la);

print("<FONT COLOR=red>");
$sock = $opus->connect();
if ( $sock < 0 ) {
	echo ("Error: $ERRMSG\n");
}

if ( $opus->select_db($db) < 0 ) {
	echo ("Error: $ERRMSG\n");
}
print("</FONT> \n");

$res = $opus->query("SELECT * FROM $opustable WHERE source_opus = $source_opus ");

$num_res = $opus->num_rows($res);
if ($num_res > 0) {
$mrow = $opus->fetch_row($res);

$title  = htmlspecialchars($mrow[0]);

$type = $mrow[10];

$opus->free_result($res); 

$res = $opus->query("SELECT dokumentart FROM resource_type_$la WHERE typeid='$type'");
$mrow = $opus->fetch_row($res);
$dokumentart=$mrow[0];
$opus->free_result($res);

	print("$t_id $source_opus <p>");	
	print("$t_titel <strong>$title</strong><p>");	
	print("$t_dokumentart $dokumentart <p>");	

	print("$text1 $text2");
	print("<FORM METHOD = \"POST\" ACTION = \"mail_senden.php\"> \n");
#
print("<INPUT TYPE = HIDDEN name = \"source_opus\" value=\"$source_opus\"> <br> \n");
print("
	 <table width=\"80%\" border=\"0\" cellspacing=\"0\" cellpadding=\"0\">
	
	  <tr>
	    <td><font size=\"2\">$t_empfname </font></td>
	    <td><INPUT TYPE = TEXT name = \"empfaenger\" size=\"35\"></td>
	  </tr>
	  <tr>
	    <td><font size=\"2\">$t_empfmail</font></td>
	    <td><INPUT TYPE = TEXT name = \"empfaengermail\" size=\"35\"></td>
	  </tr>
	  <tr>
	    <td><font size=\"2\">$t_sendname </font></td>
	    <td><INPUT TYPE = TEXT name=\"sender\" size=\"35\"></td>
	  </tr>
	  <tr>
	    <td><font size=\"2\">$t_sendmail </font></td>
	    <td><INPUT TYPE = TEXT name=\"sendermail\" size=\"35\"></td>
	  </tr>
	  <tr>
	    <td valign=top><font size=\"2\">$t_kommentar</font></td>
	    <td><textarea name=\"kommentar\" cols=\"50\" rows=\"5\"></textarea> </td>
	  </tr>
	  </table>
	  <p>
      ");
	
	print("<INPUT TYPE = HIDDEN NAME =\"url\" VALUE =\"$volltext_url/$jahr/$source_opus/index.html\"> \n");
	print("<INPUT TYPE = hidden   NAME=\"la\" VALUE=\"$la\"> \n");
	print("<INPUT TYPE = reset  VALUE=\"$t_button1\"> \n");
	print("<INPUT TYPE = submit  VALUE=\"$t_button2\"> \n");
	print("</FORM> \n<P> \n");
	

}
else {
#print("IDN $source_opus nicht vorhanden.");
print("$t_fehler1 $source_opus $t_fehler2");
}
$opus->close($sock);
$design->foot("frontdoor.$php", $la);
?>
