<?
#############################################################
# newest.php - Listet die 10 neuesten Publikationen auf 
#
# letzte Änderung:
# 1.9.2005, Annette Maile, UB Stuttgart
# Auslagerung Design in lib/design.php
# In Abhaengigkeit von $la kann das entsprechende Design eingelesen werden.
#############################################################

include ("../lib/class.configFile.php");
$conf = new configFile ("../lib/opus.conf");
$dbms = $conf->value("dbms");
$php = $conf->value("php");

include ("../lib/class.opus_$dbms.$php");
$opus = new opus;

$db = $conf->value("db");
$opustable = $conf->value("opus_table");
$opustable_autor="opus_autor";
$Lines_Displayed=10;
$url = $conf->value("url");
$url_volltextsuche =  $conf->value("url_volltextsuche");

include ("../lib/stringValidation.php");
$la = $_REQUEST['la'];
if (! _is_valid($la,0,2,"[a-z]*")) {die ("Fehler in Parameter la");}

# A.Maile 1.9.05: Sprache einlesen aus opus.conf, falls nicht gesetzt
if (!$la){
       $la = $conf->value("la");
}

# A. Maile 1.9.05: Texte aus Textdatei in Programmvariablen füllen
$texte = new configFile ("../texte/$la/newest.conf");
$titel1 = $texte->value("titel1");
$titel2 = $texte->value("titel2");
$ueberschrift1 = $texte->value("ueberschrift1");
$ueberschrift2 = $texte->value("ueberschrift2");

$titel = "$titel1  $Lines_Displayed  $titel2";
$ueberschrift = "$ueberschrift1 $Lines_Displayed $ueberschrift2";

# A. Maile 1.9.05 Design aus lib/design.php einlesen
require ("../lib/design.$php");
$design = new design;
$design->head_titel($titel);
$design->head_ueberschrift($ueberschrift, $la);

print("<FONT COLOR=red>");
$sock = $opus->connect();
if ( $sock < 0 ) { 
	die("Error: $ERRMSG\n"); 
}
if ( $opus->select_db("$db")  < 0 ) {
	die("Error: $ERRMSG\n"); 
}
print "</FONT>";
$sql ="SELECT o.source_opus, o.title, o.date_creation, r.dokumentart ";
$sql.="FROM opus AS o INNER JOIN resource_type_$la AS r ON o.type = r.typeid ";
//$sql.="ORDER  BY o.source_opus DESC ";
$sql.="ORDER BY o.date_creation DESC ";
$sql.="LIMIT ".$Lines_Displayed;
$res = $opus->query($sql);
$num = $opus->num_rows($res);
if ( $num <= 0) {
    print ("Keine Datens&auml;tze gefunden.<br />\n");
    print ("<P>M&ouml;chten Sie eine <A HREF=$url_volltextsuche?method=and&format=builtin-long&sort=score&config=htdig&restrict=&exclude=html&words=$suche>Volltextsuche</A> durchf&uuml;hren?\n");
    print ("<P>Haben Sie schon unsere <A HREF=\"abfrage_suchen.$php#Tips\">Tipps zur Suche</A> gelesen?\n");
    die("<hr />\n");
}
print("<table border=\"1\"> \n");
print("<tr>\n<td valign=\"top\">Nr.</td>\n");
print("<td valign=\"top\">Titel </td>\n");
print("<td valign=\"top\">Autor </td>\n");
print("<td valign=\"top\">Datum, Typ</td>\n");
print("</tr>\n<tr> \n");
$i = 0;	$count = 1;
while ( $i < $num  ) {
    $i++;
    if ( $count <= $Lines_Displayed  ) {
	        $mrow = $opus->fetch_row($res);
	    	$count++;
		print("<td valign=\"top\">".$i."</td>\n");
		print("<td valign=\"top\">");
		$titel = $mrow[1] ;
		$source_opus = $mrow[0];
		$date_creation = $mrow[2];		
		$date_creation_format = strftime("%d.%m.%Y", $date_creation);
		$dok_art = $mrow[3];	$creator_name = "&nbsp;";
		$ausql="SELECT creator_name, reihenfolge from ".$opustable_autor." where source_opus=".$source_opus." ORDER BY reihenfolge";
		//echo $ausql;
		$autor = $opus->query($ausql);
		$num_autor = $opus->num_rows($autor);
		if ($num_autor > 0) {
			$mrow_autor = $opus->fetch_row($autor);
			$creator_name = $mrow_autor[0];
		}
		if ($num_autor > 1) {
			$creator_name = $creator_name . " et al.";
		}

		print( "<a href=\"$url/frontdoor.$php?source_opus=$source_opus\">$titel</a></td>\n");
		$opus->free_result($autor);
		if ($creator_name == "") {
			$creator_name = "&nbsp;";
		}
		print( "<TD valign=\"top\">$creator_name</td>\n");
		print( "<TD valign=\"top\">".$date_creation_format.", ".$dok_art."</td>\n");
		print( "</TR>\n<TR>\n" );
    }
}
echo "</tr></table>\n";
$opus->free_result($res);
$opus->close($sock);
$design->foot("newest.$php", $la);
?>


