<?
#############################################################
# pacs.php - Browsen nach PACS
#
# letzte nderung:
# 18.3.2005, Annette Maile, UB Stuttgart
# Auslagerung Design in lib/design.php
# In Abhaengigkeit von $la kann das entsprechende Design eingelesen werden.
#
#############################################################

include ("../lib/class.configFile.php");
$conf = new configFile ("../lib/opus.conf");
$dbms = $conf->value("dbms");
$php = $conf->value("php");

include ("../lib/class.opus_$dbms.$php");
$opus = new opus;

$db = $conf->value("db");
$opus_table = $conf->value("opus_table");
$url = $conf->value("url");
$table = $opus_table . "_pacs";

include ("../lib/stringValidation.php");
$la = $_REQUEST['la'];
if (! _is_valid($la,0,2,"[a-z]*")) {die ("Fehler in Parameter la");}

# A.Maile, 18.03.05: Sprache einlesen aus opus.conf, falls nicht gesetzt
if (!$la){
       $la = $conf->value("la");
}

$titel = $conf->value("titel_pacs");
$ueberschrift = $conf->value("ueberschrift_pacs");

# Annette Maile, 18.3.05 Design aus lib/design.php einlesen
require ("../lib/design.$php");
$design = new design;
$design->head_titel($titel);
$design->head_ueberschrift($ueberschrift, $la);

$sock = $opus->connect();
if ($sock < 0 ) {
        fatal ("Error: $ERRMSG\n");
}
if ($opus->select_db($db) < 0 ) {
        fatal ("Error: $ERRMSG\n");
}

$res = $opus->query ("SELECT * FROM pacs2003");
 
$num = $opus->num_rows($res);
if ($num > 0) {
	print("<UL> \n");
        $i = 0;
        while ($i < $num) {
                $i++;
                $mrow = $opus->fetch_row($res);
		$class = $mrow[0];
		$bez = $mrow[1];
		if (strlen($class) == 3 && substr($class,1,1) == "0") { 
			print ("<LI>$class \n");
			$zahl = substr($class,0,1);
			$res2 = $opus->query ("SELECT source_opus from $table where class like '$zahl%' ");
			$anzahl = $opus->num_rows($res2);
			$opus->free_result($res2);
                	print("<A HREF=\"$url/pacs_ebene2.$php?zahl=$zahl&anzahl=$anzahl&la=$la\">$bez</A> <FONT SIZE=2>( $anzahl Dok. )</FONT>\n<P>\n");
		}
        }
        $opus->free_result($res);
	print("</UL> \n");
}

$design->foot("pacs.$php", $la);
?>

