<?
#############################################################
# pacs_ebene3.php - Browsen nach PACS
#
# letzte nderung:
# 18.3.2005, Annette Maile, UB Stuttgart
# Auslagerung Design in lib/design.php
# In Abhaengigkeit von $la kann das entsprechende Design eingelesen werden.
#
#############################################################

include ("../lib/class.configFile.php");
$conf = new configFile ("../lib/opus.conf");
$dbms = $conf->value("dbms");
$php = $conf->value("php");

include ("../lib/class.opus_$dbms.$php");
$opus = new opus;

$db = $conf->value("db");
$opus_table = $conf->value("opus_table");
$url = $conf->value("url");
$table = $opus_table . "_pacs";

$titel = $conf->value("titel_pacs");
$ueberschrift = $conf->value("ueberschrift_pacs");

include ("../lib/stringValidation.php");
$zahl = $_REQUEST['zahl'];
if (! _is_valid($zahl,1,10,"[0-9\.]+")) {die ("Fehler in Parameter zahl");}
$anzahl = $_REQUEST['anzahl'];
if (! _is_valid($anzahl,1,10,"[0-9]*")) {die ("Fehler in Parameter anzahl");}
$la = $_REQUEST['la'];
if (! _is_valid($la,0,2,"[a-z]*")) {die ("Fehler in Parameter la");}

# A.Maile, 18.03.05: Sprache einlesen aus opus.conf, falls nicht gesetzt
if (!$la){
       $la = $conf->value("la");
}

# Annette Maile, 18.3.05 Design aus lib/design.php einlesen
require ("../lib/design.$php");
$design = new design;
$design->head_titel($titel);
$design->head_ueberschrift($ueberschrift, $la);

$sock = $opus->connect();
if ($sock < 0 ) {
        fatal ("Error: $ERRMSG\n");
}
if ($opus->select_db($db) < 0 ) {
        fatal ("Error: $ERRMSG\n");
}

$res = $opus->query ("SELECT * FROM pacs2003 where class like '$zahl%' ");
 
$num = $opus->num_rows($res);
if ($num > 0) {
	$mrow = $opus->fetch_row($res);
	$class = $mrow[0];
	$bez = $mrow[1];
	print ("<H3>$class $bez <FONT SIZE=2>( $anzahl Dok.)</FONT> </H3>");
	print("<UL> \n");
        $i = 1;
        while ($i < $num) {
                $i++;
                $mrow = $opus->fetch_row($res);
		$class = $mrow[0];
		$bez = $mrow[1];

		if (substr ($class,6,1) == "-") {
			$zahl = substr($class,0,5);
			$res2 = $opus->query ("SELECT source_opus from $table where class like '$zahl%' ");
			$anzahl = $opus->num_rows($res2);
			$opus->free_result($res2);

			print("<LI><A HREF=\"$url/pacs_ebene4.$php?zahl=$zahl&anzahl=$anzahl&la=$la\">$class $bez</A> <FONT SIZE=2>( $anzahl Dok. )</FONT>\n<P>\n");
		}
		else {
			if (substr ($class,6,1) == "+") {
				$res2 = $opus->query ("SELECT source_opus from $table where class like '$class%' ");
				$anzahl = $opus->num_rows($res2);
				$opus->free_result($res2);
				/* "+" muss url-codiert werden */
				$class_codiert = str_replace("+", "%2B", $class);

				print ("<LI>$class <A HREF=\"$url/ergebnis.$php?suchart=teil&Lines_Displayed=10&sort=o.date_year+DESC%2C+o.title&suchfeld1=class_pacs&suchwert1=$class_codiert&opt1=AND&suchfeld2=oa.person&suchwert2=&opt2=AND&suchfeld3=o.date_year&suchwert3=&startindex=0&page=0&dir=2&suche=&la=$la\">$bez</A> <FONT SIZE=2>( $anzahl Dok. )</FONT>\n<P>\n");
			}
		}
        }
        $opus->free_result($res);
	print("</UL> \n");
}

$design->foot("pacs_ebene3.$php", $la);
?>
