<?
#############################################################
#
# Funktion: uni/publikationen_abfrage.php
#
# letzte Aenderung
# 08.03.2007, Tobias Leidinger, SULB Saarbruecken
# Checkbox Print
# Textdatei: texte/$la/report/publikationen_abfrage.conf
#
#############################################################

include ("../../lib/class.configFile.php");
$conf = new configFile ("../../lib/opus.conf");
$dbms = $conf->value("dbms");
$php = $conf->value("php");
$db = $conf->value("db");
$url = $conf->value("url");
$doku_pfad = $conf->value("doku_pfad");
$projekt = $conf->value("projekt");
$mehrsprachig = $conf->value("mehrsprachig");

include ("../../lib/class.opus_$dbms.$php");
$opus = new opus;

include ("../../lib/stringValidation.php");
$la = $_REQUEST['la'];
if (! _is_valid($la,0,2,"[a-z]*")) {die ("Fehler in Parameter la");}

# BDressler, 8.7.04: Sprache einlesen aus opus.conf, falls nicht gesetzt
if (!$la){
       $la = $conf->value("la");
}

# O. Marahrens Automatisch alle Texte aus der Textdatei holen
$texte = new configFile ("../../texte/$la/report/publikationen_abfrage.conf");
foreach ($texte->config_values as $k => $v) {
    $$k = $v;
}

# Annette Maile, 17.3.05 Design aus lib/design.php einlesen
require ("../../lib/design.$php");
$design = new design;
$design->head_titel($titel);
$design->head_ueberschrift($ueberschrift, $la);

# Button fuer Anzeige des Skripts in weiteren Sprachen,
# falls mehrere Sprachen angeboten werden.
if ($mehrsprachig == 1) {
        $design->andere_sprache($la);
}

# T. Leidinger, 06.03.2007 - JavaScript fr CheckBox "Alle markieren"
print("
<script type=\"text/javascript\"><!--
		function SelectAll(form) {
			for (var i = 0 ; i < form.elements.length ; i++) {
				var x = form.elements[i];
				if (x.name != 'all') {
					x.checked = form.all.checked;
				}
			}
		}
		//--></script>
");

# T. Leidinger, 06.03.2007 - Formular erstellen
print("<FORM NAME=dcform METHOD=POST ACTION=$url/report/publikationen_report.php><P>
");
# BD/UH, 11.1.07, zustzliche Informationen zur Jahresbibliographie
print ($infotext);
print ("<P> $text1");
print("
<P>
<HR>
</FONT>
<P>
");
$sock = $opus->connect();
if ($sock < 0 ) {
        echo ("Error: $ERRMSG\n");
        }
if ($opus->select_db($db) < 0 ) {
        echo ("Error: $ERRMSG\n");
        }
print("
<P>
<TABLE BORDER=0 style=\"width:100%\">
");
# T. Leidinger, 06.03.2007 - Alle Dokumentarten auslesen und jeweils eine Checkbox
$res = $opus->query ("SELECT typeid, dokumentart FROM resource_type_$la order by dokumentart");
$num = $opus->num_rows($res);
if ($num > 0) {
        print("<TR>\n<TD>$dokumentart</TD>");
        print("<TD>\n");
        print("<input type=\"checkbox\" name=\"all\" value=\"0\" onclick=\"SelectAll(this.form)\" checked> $dokumentauswahl <br> \n");
        $i = 0;
        while ($i < $num) {
                $i++;
                $mrow = $opus->fetch_row($res);
                print("<input type=\"checkbox\" name=\"type[]\" value=\"$mrow[0]\" checked> $mrow[1] <br> \n");
        }
        print("</TD>\n</TR>\n");
        $opus->free_result($res);
}

# T. Leidinger, 06.03.2007 - InputBox Institutsnummer
print("
<TR>
   <TD><B>$instnr</B></TD>
   <TD><INPUT TYPE=TEXT NAME=\"nummer_institut\" SIZE=6 VALUE=\"0\" MAXLENGTH=6><BR></TD>
</TR>
");

# T. Leidinger, 06.03.2007 - InputBox Jahr
print("
<TR>
   <TD><B>$jahr</B></TD>
   <TD><INPUT TYPE=TEXT NAME=\"jahr\" SIZE=4 VALUE=\"".date("Y")."\" MAXLENGTH=4><BR></TD>
</TR>
");

print("
</TABLE>
<p>
<input type=\"hidden\" name=\"la\" value=\"$la\">
</p>
");
#t.leidinger, 08.03.2007 - Checkbox zum direkten Drucken
print("
<p>
<input type=\"checkbox\" name=\"print\" value=\"blabla\">Tabelle als pdf-Datei ausgeben
</p>
<INPUT TYPE=SUBMIT VALUE=\"$button1\">&nbsp;&nbsp;&nbsp;
<INPUT TYPE=RESET VALUE=\"$button2\">
</FORM>
<br>");

$opus->close($sock);
$design->foot("publikation_abfrage.$php", $la);
?>