<?
#############################################################
#
# Funktion: uni/index.php  
#
# (OPUS 2.x: ehemals Funktion neu_abfrage.php)
#
# letzte Aenderung 
# 12.7.2004, Birgit Dressler, SULB Saarbruecken
# Einfuehrung der Mehrsprachigkeit (Variable $la)
# Textdatei: texte/$la/uni_index.conf
#
# 30.12.2004, Birgit Dressler, SULB Saarbruecken
# neu_abfrage.php und index.php wurden zusammengefasst 
# Funktion heisst nun index.php als 1.Fenster zum Veroeffentlichen
#
# 17.3.2005, Annette Maile, UB Stuttgart
# Auslagerung Design in lib/design.php
# In Abhaengigkeit von $la kann das entsprechende Design eingelesen werden. 
#
# 28.7.2005, Annette Maile, UB Stuttgart
# Einfuegen Lizenzvertrag ($lic)
#
#############################################################

include ("../../lib/class.configFile.php");
$conf = new configFile ("../../lib/opus.conf");
$dbms = $conf->value("dbms");
$php = $conf->value("php");


include ("../../lib/class.opus_$dbms.$php");
$opus = new opus;

$db = $conf->value("db");
$url = $conf->value("url");
$doku_pfad = $conf->value("doku_pfad");
$projekt = $conf->value("projekt");
$db = $conf->value("db");
$url = $conf->value("url");
$doku_pfad = $conf->value("doku_pfad");

include ("../../lib/stringValidation.php");
# BD/UH, 5.5.06, Variablen einlesen bei bergabe von jahrbib_einfuegen
# Bei Erstaufruf ist der Dokumenttyp leer
$type = 0;
# wenn bergabe aus vorheriger Verffentlichung gewnscht
$type = $_REQUEST['type'];
# BD/UH, 5.5.06,  Variablenbergabe beim Melden mehrerer Dokumente
$creator_name = $_REQUEST['creator_name'];
$publisher_inst = $_REQUEST['publisher_inst'];
$verification = $_REQUEST['verification'];
$bem_intern = $_REQUEST['bem_intern'];
$date_year = $_REQUEST['date_year'];

$la = $_REQUEST['la'];
if (! _is_valid($la,0,2,"[a-z]*")) {die ("Fehler in Parameter la");}

# BDressler, 8.7.04: Sprache einlesen aus opus.conf, falls nicht gesetzt
if (!$la){
       $la = $conf->value("la");
}

# BDressler Texte in Programmvariablen fllen 
$texte = new configFile ("../../texte/$la/uni_index.conf");
$titel = $texte->value("titel");
$ueberschrift = $texte->value("ueberschrift");
$text_pdf = $texte->value("text_pdf");
$text1 = $texte->value("text1");
$dokumentart = $texte->value("dokumentart");
$dokumentauswahl = $texte->value("dokumentauswahl");
$anzverfasser = $texte->value("anzverfasser");
$anzinstitute = $texte->value("anzinstitute");
$lizenz = $texte->value("lizenz");
$text_lizenz = $texte->value("text_lizenz");
$mehr_info = $texte->value("mehr_info");
$button1 = $texte->value("button1");
$button2 = $texte->value("button2");

# BD, 8.7.04, steht nun in der Textdatei, nicht mehr in opus.conf
# $titel = $conf->value("titel_neu_abfrage");
# $ueberschrift = $conf->value("ueberschrift_neu_abfrage");

# Annette Maile, 17.3.05 Design aus lib/design.php einlesen
require ("../../lib/design.$php");
$design = new design;
$design->head_titel($titel);
$design->head_ueberschrift($ueberschrift, $la);

print("<FORM NAME=dcform METHOD=POST ACTION=$url/uni/neu_allg.php><P>
");
print ($text_pdf);
print ("<P> $text1");
print("
<P>
<HR>
</FONT>
<P>
");
print("<FONT COLOR=red>");
$sock = $opus->connect();
if ($sock < 0 ) {
        echo ("Error: $ERRMSG\n");
        }
if ($opus->select_db($db) < 0 ) {
        echo ("Error: $ERRMSG\n");
        }
print("</FONT>");

print("
<P>
<TABLE BORDER=0>
");

$res = $opus->query ("SELECT typeid, dokumentart FROM resource_type_$la order by dokumentart");
$num = $opus->num_rows($res);
if ($num > 0) {
	print("<TR>\n<TD><A HREF=\"$doku_pfad/hilfe_formular.php#type\"><B>$dokumentart</A></B></TD>");

# BD/UH, 12.5.06, Dokumenttyp aus vorherigen Angaben bernehmen
        print("<TD><SELECT NAME=\"type\" SIZE = 1> \n ");
        if ($type == "")
        {
            # wenn Dokumenttyp nicht besetzt, "bitte Dokumentauswahl" anzeigen
            print("<OPTION VALUE = \"0\"> $dokumentauswahl  \n");
        }
        $i = 0;
        while ($i < $num) {
        $i++;
        $mrow = $opus->fetch_row($res);
        if ($type == $mrow[0])
        {
                   # Dokumenttyp von vorherigem Aufruf anzeigen
                    print("<OPTION VALUE =\"$mrow[0]\" SELECTED = \"SELECTED\"> ");
        }
        else
        {
                    print("<OPTION VALUE=\"$mrow[0]\"> ");
        }
                    print("$mrow[1] \n");
        }
        print("</SELECT></TD>\n</TR>\n");
        $opus->free_result($res);
}


print("
<TR>
   <TD><B>$anzverfasser</B></TD>
   <TD><INPUT TYPE=TEXT NAME=\"anzahl_creator_name\" SIZE=3 VALUE=1 MAXLENGTH=3><BR></TD>
</TR>

<TR>
   <TD><B>$anzinstitute</B></TD>
   <TD><INPUT TYPE=TEXT NAME=\"anzahl_publisher_inst\" SIZE=3 VALUE=1 MAXLENGTH=3><BR></TD>
</TR>
");

# Start Lizenzvertrag
$lic_active = $conf->value("license_active");
if ($lic_active > 0) {
#    print("<tr><td colspan=\"1\" align=\"right\">");
    print("<tr>\n   <td>");
    $lic_standard = $conf->value("standard_license");
    $lic_info = $conf->value("license_info");
    if ($lic_active <= 2) {
        print("\n<input type=hidden name=\"lic\" value=\"$lic_standard\">\n");
    } else {
        $licres = $opus->query ("SELECT shortname,longname,link,pod_allowed from license_$la where active = 1 order by sort, longname");
        $licnum = $opus->num_rows($licres);
        if ($licnum > 0) {
            print("<b><a href=\"$lic_info?la=$la\" target=\"_blank\">$lizenz</a></b>&nbsp;&nbsp;</td>\n   <td><select name=\"lic\" size=\"1\">\n");
	    print("<option value=\"\">$text_lizenz");
            $licount = 0;
            while ($licount < $licnum) {
                $licount++;
                $licrow = $opus->fetch_row($licres);
                $licname = $licrow[0];
#                if ($licname == $lic_standard) {
#                    print ("<option selected value=\"$licname\">");
#                } else {
                    print ("<option value=\"$licname\">");
#                }
                print $licrow[1];
                print ("</option>\n");
            }
            print("</select>\n");
        } else {
            print("\n<input type=hidden value=\"$lic_standard\" name=\"lic\">\n");
        }
        print("<a href=\"$lic_info?la=$la\" target=\"_blank\">$mehr_info</a><p>\n");
    }
    print("   </td>\n</tr>");
}
# Ende Lizenzvertrag

print("
</TABLE>
");

# BD/UH, 28.4.06 Knopf "Weiteren Titel in der Jahresbibliographie melden
# sinnvolle Felder sollen bernommen werden
print("

<INPUT TYPE=hidden NAME=\"creator_name[]\" VALUE=\"$creator_name[0]\"> \n
<INPUT TYPE=hidden NAME=\"publisher_inst[]\" VALUE=\"$publisher_inst[0]\"> \n
<INPUT TYPE=hidden NAME=\"date_year\" VALUE=\"$date_year\">
<INPUT TYPE=hidden NAME=\"verification\" VALUE=\"$verification\">
<INPUT TYPE=hidden NAME=\"bem_intern\" VALUE=\"$bem_intern\">

<input type=\"hidden\" name=\"la\" value=\"$la\">
<P>
<INPUT TYPE=SUBMIT VALUE=\"$button1\">&nbsp;&nbsp;&nbsp;
<INPUT TYPE=RESET VALUE=\"$button2\">
</FORM>
");

$opus->close($sock);
$design->foot("index.$php", $la);
?>

