<?
#############################################################
#
# Funktion: uni/neu_allg.php Veroeffentlichungsformular
# 
# letzte Aenderung:
# 8.4..2005, Birgit Dressler, SULB Saarbruecken
# Einfuehrung der Mehrsprachigkeit (Variable $la)
# Textdatei: texte/$la/neu_allg.conf
#
# 17.3.2005, Annette Maile, UB Stuttgart
# Auslagerung Design in lib/design.php
# In Abhaengigkeit von $la kann das entsprechende Design eingelesen werden.
#
# 18.4.2005, Annette Maile, UB Stuttgart
# Zugriff auf Volltexte weltweit/campusweit/weitere Bereiche
#
# 28.7.2005, Annette Maile, UB Stuttgart
# Einfuegen Lizenzvertrag ($lic)
#
# 12, 2005: BD/UH: Anpassung fr Jahresbibliographie
# 12.05.2006: BD/UH: Fehlerberprfung aus neu.php in neu_allg.php integriert
#############################################################
include ("../../lib/class.configFile.php");
$conf = new configFile ("../../lib/opus.conf");
$dbms = $conf->value("dbms");
$php = $conf->value("php");
$db = $conf->value("db");
$url = $conf->value("url");
$projekt = $conf->value("projekt");
$doku_pfad = $conf->value("doku_pfad");
$projekt = $conf->value("projekt");
$home = $conf->value("home");
$opt_inst = $conf->value("opt_institute"); 
$gueltig_anzeigen = $conf->value("gueltig_anzeigen");
$schriftenreihe_user = $conf->value("schriftenreihe_user");


include ("../../lib/stringValidation.php");
$type = $_REQUEST['type'];
if (! _is_valid($type,0,5,"[0-9]*")) {die ("Fehler in Parameter type");}
$title = $_REQUEST['title'];
$title = eregi_replace("[`\n\r]","",$title);
$title_en = $_REQUEST['title_en'];
$title_en = eregi_replace("[`\n\r]","",$title_en);
$title_de = $_REQUEST['title_de'];
$title_de = eregi_replace("[`\n\r]","",$title_de);
$creator_name = $_REQUEST['creator_name'];
if (is_array($creator_name)) {
  array_walk($creator_name, '_array_zeichen_loeschen');
}
else {$creator_name = array();}
$anzahl_creator_name = $_REQUEST['anzahl_creator_name'];
if (! _is_valid($anzahl_creator_name,0,10,"[0-9]*")) {die ("Fehler in Parameter anzahl_creator_name");}
$publisher_inst = $_REQUEST['publisher_inst'];
if (is_array($publisher_inst)) {
        foreach ($publisher_inst as $i) {
          if (! _is_valid($i,0,10,"[A-Za-z0-9]*")) {die ("Fehler in Parameter publisher_inst");}
        }
}
else {$publisher_inst = array();}
$anzahl_publisher_inst = $_REQUEST['anzahl_publisher_inst'];
if (! _is_valid($anzahl_publisher_inst,0,10,"[0-9]*")) {die ("Fehler in Parameter anzahl_publisher_inst");}
$creator_corporate = $_REQUEST['creator_corporate'];
$creator_corporate = eregi_replace("[`\n\r]","",$creator_corporate);
$contributors_name = $_REQUEST['contributors_name'];
$contributors_name = eregi_replace("[`\n\r]","",$contributors_name);
$contributors_corporate = $_REQUEST['contributors_corporate'];
$contributors_corporate = eregi_replace("[`\n\r]","",$contributors_corporate);
$publisher_faculty = $_REQUEST['publisher_faculty'];
if (! _is_valid($publisher_faculty,0,5,"[A-Za-z0-9\-]*")) {die ("Fehler in Parameter publisher_faculty");}
$advisor = $_REQUEST['advisor'];
$advisor = eregi_replace("[`\n\r]","",$advisor);
$subject_swd = $_REQUEST['subject_swd'];
$subject_swd = eregi_replace("[`\n\r]","",$subject_swd);
$subject_uncontrolled_german = $_REQUEST['subject_uncontrolled_german'];
$subject_uncontrolled_german = eregi_replace("[`\n\r]","",$subject_uncontrolled_german);
$subject_uncontrolled_english = $_REQUEST['subject_uncontrolled_english'];
$subject_uncontrolled_english = eregi_replace("[`\n\r]","",$subject_uncontrolled_english);
$subject_type = $_REQUEST['subject_type'];
$subject_type = eregi_replace("[`\n\r]","",$subject_type);
$subject_value = $_REQUEST['subject_value'];
$subject_value = eregi_replace("[`\n\r]","",$subject_value);
$description_lang = $_REQUEST['description_lang'];
if (! _is_valid($description_lang,0,3,"[A-Za-z]*")) {die ("Fehler in Parameter description_lang");}
$description = $_REQUEST['description'];
$description = eregi_replace("[`]","",$description);
$description2_lang = $_REQUEST['description2_lang'];
if (! _is_valid($description2_lang,0,3,"[A-Za-z]*")) {die ("Fehler in Parameter description2_lang");}
$description2 = $_REQUEST['description2'];
$description2 = eregi_replace("[`]","",$description2);
$publisher_university = $_REQUEST['publisher_university'];
$publisher_university = eregi_replace("[`\n\r]","",$publisher_university);
$date_year = $_REQUEST['date_year'];
if (! _is_valid($date_year,0,4,"[0-9]*")) {die ("Fehler in Parameter date_year");}
$tag_pruef = $_REQUEST['tag_pruef'];
if (! _is_valid($tag_pruef,0,2,"[0-9]*")) {die ("Fehler in Parameter tag_pruef");}
$monat_pruef = $_REQUEST['monat_pruef'];
if (! _is_valid($monat_pruef,0,2,"[0-9]*")) {die ("Fehler in Parameter monat_pruef");}
$jahr_pruef = $_REQUEST['jahr_pruef'];
if (! _is_valid($jahr_pruef,0,4,"[0-9]*")) {die ("Fehler in Parameter jahr_pruef");}
$language = $_REQUEST['language'];
if (! _is_valid($language,0,3,"[A-Za-z]*")) {die ("Fehler in Parameter language");}
$isbn = $_REQUEST['isbn'];
if (! _is_valid($isbn,0,30,"[0-9xX-]*")) {die ("Fehler in Parameter isbn");}
$source_title = $_REQUEST['source_title'];
$source_title = eregi_replace("[`]","",$source_title);
$anzahlfiles = $_REQUEST['anzahlfiles'];
if (! _is_valid($anzahlfiles,0,10,"[0-9]*")) {die ("Fehler in Parameter anzahlfiles");}
$verification = $_REQUEST['verification'];
$verification = eregi_replace("[`\n\r]","",$verification);
$dauer = $_REQUEST['dauer'];
if (! _is_valid($dauer,0,10,"[0-9]*")) {die ("Fehler in Parameter dauer");}
$bereich = $_REQUEST['bereich'];
if (! _is_valid($bereich,0,20,"[0-9]*")) {die ("Fehler in Parameter bereich");}
$la = $_REQUEST['la'];
if (! _is_valid($la,0,2,"[a-z]*")) {die ("Fehler in Parameter la");}
$bem_intern = $_REQUEST['bem_intern'];
$bem_intern = eregi_replace("[`\n\r]","",$bem_intern);


# BDressler, 8.7.04: Sprache einlesen aus opus.conf, falls nicht gesetzt
if (!$la){
       $la = $conf->value("la");
}
$texte = new configFile ("../../texte/$la/neu_allg.conf");

# BDressler Texte aus Textdatei in Programmvariablen fuellen 
$titel = $texte->value("titel");
$ueberschrift = $texte->value("ueberschrift");
$text1 = $texte->value("text1");
$text2 = $texte->value("text2");
$text3 = $texte->value("text3");
$text4 = $texte->value("text4");
$text5 = $texte->value("text5");
$text6 = $texte->value("text6");
$text7 = $texte->value("text7");
$dokumentart = $texte->value("dokumentart");
$doktitel = $texte->value("doktitel");
$doktitel_zu = $texte->value("doktitel_zu");
$doktitel_en = $texte->value("doktitel_en");
$doktitel_de = $texte->value("doktitel_de");
$verfasser = $texte->value("verfasser");
$verfasser2 = $texte->value("verfasser2");
$text8 = $texte->value("text8");
$text9 = $texte->value("text9");
$text10 = $texte->value("text10");
$text11 = $texte->value("text11");
$institut = $texte->value("institut");
$text12 = $texte->value("text12");
$text13 = $texte->value("text13");
$text14 = $texte->value("text14");
$text15 = $texte->value("text15");
$text16 = $texte->value("text16");
$urheber = $texte->value("urheber");
$sonstige_personen = $texte->value("sonstige_personen");
$sonstige_institution = $texte->value("sonstige_institution");
$text17 = $texte->value("text17");
$text18 = $texte->value("text18");
$text19 = $texte->value("text19");
$fakultaet = $texte->value("fakultaet");
$hauptberichter = $texte->value("hauptberichter");
$sachgruppe_ddc = $texte->value("sachgruppe_ddc");
$text_ddc = $texte->value("text_ddc");
$schlagwoerter_swd = $texte->value("schlagwoerter_swd");
$text20 = $texte->value("text20");
$buttontext = $texte->value("buttontext");
$text21 = $texte->value("text21");
$text22 = $texte->value("text22");
$schlagwoerter_frei = $texte->value("schlagwoerter_frei");
$text23 = $texte->value("text23");
$schlagwoerter_engl = $texte->value("schlagwoerter_engl");
$text24 = $texte->value("text24");
$fachklassifikation = $texte->value("fachklassifikation");
$text25 = $texte->value("text25");
$text26 = $texte->value("text26");
$text27 = $texte->value("text27");
$text28 = $texte->value("text28");
$text29 = $texte->value("text29");
$text30 = $texte->value("text30");
$text31 = $texte->value("text31");
$schriftenreihe = $texte->value("schriftenreihe");
$text_schriftenreihe = $texte->value("text_schriftenreihe");
$schriftenreihe_auswahl = $texte->value("schriftenreihe_auswahl");
$bandnummer = $texte->value("bandnummer");
$inhalt_orig = $texte->value("inhalt_orig");
$zeichen  = $texte->value("zeichen");
$inhalt_zusatz = $texte->value("inhalt_zusatz");
$hochschule = $texte->value("hochschule");
$jahr = $texte->value("jahr");
$pruefung_muendlich = $texte->value("pruefung_muendlich");
$form_sprache = $texte->value("form_sprache");
$januar = $texte->value("januar");
$februar = $texte->value("februar");
$maerz = $texte->value("maerz");
$april = $texte->value("april");
$mai = $texte->value("mai");
$juni = $texte->value("juni");
$juli = $texte->value("juli");
$august = $texte->value("august");
$september = $texte->value("september");
$oktober = $texte->value("oktober");
$november = $texte->value("november");
$dezember = $texte->value("dezember");
$text_isbn1 = $texte->value("text_isbn1");
$text_isbn2 = $texte->value("text_isbn2");
$quelle1 = $texte->value("quelle1");
$quelle2 = $texte->value("quelle2");
$anzahl_dateien = $texte->value("anzahl_dateien");
$email_adr = $texte->value("email_adr");
$text32 = $texte->value("text32");
$gueltigkeit = $texte->value("gueltigkeit");
$zugriff = $texte->value("zugriff");
$anmelden = $texte->value("anmelden");
$formular_loeschen = $texte->value("formular_loeschen");
$patent_titel = $texte->value("patent_titel");
$patent_applikation = $texte->value("patent_applikation");
$patent_erfinder = $texte->value("patent_erfinder");
$patent_erfinder2 = $texte->value("patent_erfinder2");
$patent_anmelder = $texte->value("patent_anmelder");
$patent_anmeldejahr = $texte->value("patent_anmeldejahr");
$patent_erteilung = $texte->value("patent_erteilung");
$patent_laender = $texte->value("patent_laender");
$patent_nummer = $texte->value("patent_nummer");
$bemerk_int = $texte->value("bemerk_int");

#BD/UH, 12.5.06, Integration der Fehlerberprfung aus neu.php
$backbutton = $texte->value("backbutton");
$dokartfehlt = $texte->value("dokartfehlt");
$anzverffehlt = $texte->value("anzverffehlt");
$anzinstfehlt = $texte->value("anzinstfehlt");
$lizenzfehlt = $texte->value("lizenzfehlt");

# Fehlerberprfung von Formular von index.php
if ($type == "0") {
	print ("<H3>$dokartfehlt <P>");
	print("$backbutton</H3>");
	exit();
}

if ($type == "7" || $type == "8" || $type == "19" || $type == "24" || $type == "25") {
	if ($anzahl_creator_name < 1) {
	        print ("<H3>$anzverffehlt<P>");
	        print("$backbutton</H3>");
	        exit();
	}
}

if ($anzahl_publisher_inst < 1) {
        print ("<H3>$anzinstfehlt <P>");
        print("$backbutton</H3>");
        exit();
}

$lic_active = $conf->value("license_active");
if($lic_active > 0 && $lic == "") { 
        print ("<H3>$lizenzfehlt <P>");
        print("$backbutton</H3>");
        exit();
}


#BD/UH, 12.5.06, Ende der Integration der Fehlerberprfung aus neu.php

# BD/UH, 11/2005
# wenn Dokumenttyp = 56 = Patent, besetzt man die Variablen mit den 
# Werten der Patentvariablen um, damit z.B. statt Verfasser Erfinder erscheint
if ($type == "56") 
{
  $verfasser = $patent_erfinder;
  $verfasser2 = $patent_erfinder2;
  $inhalt_orig = $patent_applikation;
  $inhalt_zusatz = $patent_laender;
  $sonstige_personen = $patent_anmelder;
  $jahr = $patent_anmeldejahr;
  $schlagwoerter_engl = $patent_erteilung;
  $quelle1 = $patent_nummer;
  $quelle2 = " ";
}

# BD, 8.7.04, steht nun in der Textdatei, nicht mehr in opus.conf
#$titel = $conf->value("titel_neu_allg");
#$ueberschrift = $conf->value("ueberschrift_neu_allg");

$title = stripslashes(htmlspecialchars($title));
$title_en = stripslashes(htmlspecialchars($title_en));
$title_de = stripslashes(htmlspecialchars($title_de));
$description = stripslashes(htmlspecialchars($description));
$description2 = stripslashes(htmlspecialchars($description2));
$source_title = stripslashes(htmlspecialchars($source_title));
$subject_swd  = stripslashes(htmlspecialchars($subject_swd));
$subject_uncontrolled_german = stripslashes(htmlspecialchars($subject_uncontrolled_german));
$subject_uncontrolled_english = stripslashes(htmlspecialchars($subject_uncontrolled_english));
$advisor  = stripslashes(htmlspecialchars($advisor));
$creator_corporate = stripslashes(htmlspecialchars($creator_corporate));
$contributors_name = stripslashes(htmlspecialchars($contributors_name));
$contributors_corporate = stripslashes(htmlspecialchars($contributors_corporate));


/* Falls das Formular ohne Parameter aufgerufen wird, wird zu index.php umgeleitet */
if ($type == "" || $type == "$" . "type" || $anzahl_publisher_inst < 1 || $anzahl_publisher_inst == "$" . "anzahl_publisher_inst") { 
        header("Location: $url/uni/index.$php");
}
else {
include ("../../lib/class.opus_$dbms.$php");
$opus = new opus;


# Annette Maile, 17.3.05 Design aus lib/design.php einlesen
require ("../../lib/design.$php");
$design = new design;
$design->head_titel($titel);
$design->head_javascript();
$design->head_ueberschrift($ueberschrift, $la);


print("<FONT COLOR=red>");
$sock = $opus->connect();
if ($sock < 0 ) {
        echo ("Error: $ERRMSG\n");
}
if ($opus->select_db($db) < 0 ) {
        echo ("Error: $ERRMSG\n");
}
print("</FONT>\n");

print("<FORM NAME=dcform METHOD=POST ACTION=$url/uni/meta.$php>
$text1 <font color=red>(1)</font> von (2):  
   $text2
   $projekt 
   $text3
<IMG SRC=\"../Icons/u76.gif\" HEIGHT=15 WIDTH=15 ALIGN=BOTTOM>
   $text4
   $text5
   $text6
   $text7

<P>
<HR>
</FONT>

<P>
<IMG SRC=\"../Icons/u76.gif\" HEIGHT=15 WIDTH=15 ALIGN=BOTTOM>
<B>$dokumentart</B>&nbsp;
");

$res = $opus->query ("SELECT dokumentart FROM resource_type_$la where typeid = '$type'");
 
$num = $opus->num_rows($res);
if ($num > 0) {
	$mrow = $opus->fetch_row($res);
	print("<INPUT TYPE=\"hidden\" NAME =\"type\" VALUE=\"$type\"><B>$mrow[0]</B> \n");
}


print("<P> \n");

/* Bei Dissertation, Habilitation und  Pruefungsarbeiten ist Verfasser Pflicht */
if ($type == "8" || $type == "24" || $type == "7" || $type == "19" || $type == "25") 
{ 
    print("<IMG SRC=\"../Icons/u76.gif\" HEIGHT=15 WIDTH=15 ALIGN=BOTTOM> "); 
} 
$anzahl_creator_name = $anzahl_creator_name;

# UH 2005-11-21 Feld Verfasser bei Dokumenttyp "50 = Zeitschrift (Herausgeber) und 55 = Buch (Herausgeberschaft) nicht angeben
if ($type != "50" || $type != "55") {
	if ($anzahl_creator_name > 0) { 
	$creator_name[0] = stripslashes(htmlspecialchars($creator_name[0]));
	print("<B>$verfasser</B> $text10<BR>");
	print("<INPUT TYPE=TEXT NAME=\"creator_name[]\" VALUE=\"$creator_name[0]\" SIZE=80 MAXLENGTH=100><BR>");
	$i =1;
	while ($i < $anzahl_creator_name) {
		$j = $i;
		$i++;
		$creator_name[$j] = stripslashes(htmlspecialchars($creator_name[$j]));
        # UH 11/2005 56 = Patent
        if ($type == "56") {
		print("<B>$i. $patent_erfinder2</B> $text11<BR>\n");
        }
        else
        {
		print("<B>$i. $verfasser2</B> $text11<BR>\n");
        }
		print("<INPUT TYPE=TEXT NAME=\"creator_name[]\" VALUE=\"$creator_name[$j]\" SIZE=80 MAXLENGTH=100><BR>\n");
	}
	}
}
print ("<INPUT TYPE=\"hidden\" NAME=\"anzahl_creator_name\" VALUE=\"$anzahl_creator_name\"> \n");



# BD/UH, 15.12.05: Feld Titel soll den Inhalt: Titel : Titelzusatz haben
# damit Benutzer beides richtig eingibt, blenden wir 2 Felder vor
# in meta.php werden die beiden Felder in dem einen Feld title zusammengefasst
# dies gilt fr alle Typen auer Patent, Patent hat nur 1 Titelfeld
   print("
   <P>
   <IMG SRC=\"../Icons/u76.gif\" HEIGHT=15 WIDTH=15 ALIGN=BOTTOM>
   <B>$doktitel</B> <BR>
   <TEXTAREA NAME=\"title_1\" COLS=80 ROWS=2>$title_1</TEXTAREA><BR>
   ");
if ($type != "56") 
{
   print("
   <B>$doktitel_zu</B> <BR>
   <TEXTAREA NAME=\"title_2\" COLS=80 ROWS=2>$title_2</TEXTAREA><BR>
   ");
}

/* Bei Diss. und Habil. ist Titel in Englisch Pflicht. */
#if ($type == "8" || $type == "24") {
#	print("<IMG SRC=\"../Icons/u76.gif\" HEIGHT=15 WIDTH=15 ALIGN=BOTTOM> \n");
#}

#if ($type == "8" || $type == "24") {
#	print("<IMG SRC=\"../Icons/u76.gif\" HEIGHT=15 WIDTH=15 ALIGN=BOTTOM>
#<B><A HREF=\"$doku_pfad/hilfe_formular.php?la=$la#title\">$doktitel_de</A></B> $text9 <BR>
#<TEXTAREA NAME=\"title_de\" COLS=80 ROWS=2>$title_de</TEXTAREA><BR>
#");
#}

print("
<P>
<IMG SRC=\"../Icons/u76.gif\" HEIGHT=15 WIDTH=15 ALIGN=BOTTOM>
");




$res = $opus->query("SELECT f.nr, i.nr, f.fakultaet, i.name
	FROM faculty_$la = f, institute_$la = i
	WHERE f.nr = i.fakultaet
	ORDER BY i.nr, f.nr");

 
$num = $opus->num_rows($res);
$anzahl_publisher_inst = $anzahl_publisher_inst;
if ($num > 0) {
	$j = 0;
	while ($j < $anzahl_publisher_inst) {
                $n = $j + 1;
                print("<B>$institut&nbsp;$n</B><BR> \n")
;
# BD/UH 12.5.06 wenn publisher_inst aus vorheriger Ausgabe bernommen wird, diesen Wert anzeigen
                print("<SELECT NAME=\"publisher_inst[]\" SIZE=1> \n");
                if ($publisher_inst[0] == "")
                {
                    print("<OPTION VALUE=\"0\">$text12 \n");
                }
	
		$opus->data_seek ( $res, 0);
		$fak_alt = "";
		$i = 0;
		while ($i < $num) {
			$i++;
			$mrow = $opus->fetch_row($res);
			# Steuerung Institute: wenn Institute angezeigt werden sollen (opt_inst = 1) 
			# werden Fakultaet und Institut ausgegeben, sonst nur die Fakultaet.         
			if($opt_inst > 0) {
				if ($mrow[0] != $fak_alt) {
					print("<OPTION VALUE=\"0\">$mrow[2] \n");
					$fak_alt = $mrow[0];
				}
				print("<OPTION VALUE=\"$mrow[1]\" \n");
				if (($mrow[1] == $publisher_inst[$j])OR ($mrow[1] == $publisher_inst))  { 
					print("SELECTED");
				}
				print(">&nbsp;&nbsp;- $mrow[3] \n");
			}
			else {
				if ($mrow[0] == $fak_alt) {
					print("<OPTION VALUE=\"0\">$mrow[2] \n");
					$fak_alt = $mrow[0];
				}
				print("<OPTION VALUE=\"$mrow[1]\" \n");
				if (($mrow[1] == $publisher_inst[$j]) OR ($mrow[1] == $publisher_inst)) {
					print("SELECTED"); 
				}
				print(">&nbsp;&nbsp; $mrow[3] \n");
			}
		}
                print("</SELECT><BR> \n\n");
                $j++;
		}
}

print("<INPUT TYPE=\"hidden\" NAME=\"anzahl_publisher_inst\" VALUE=\"$anzahl_publisher_inst\">");

# Wenn keine Diss und keine Habil. und keine Pruefungsarbeite, werden Urheber etc. angezeigt #
if ($type != "8" && $type != "24" && $type != "7" && $type != "19" && $type != "25") {


# UH 2005-11-11 Beginn Aenderung: Urheber auskommentieren
#print("
#<P>
#<B>$urheber</B> 
#$text13
#<INPUT TYPE=TEXT NAME=\"creator_corporate\" VALUE=\"$creator_corporate\" SIZE=80 MAXLENGTH=150>
# UH 2005-11-11 Ende Aenderung: Urheber auskommentieren; anschlieender Print-Kommentar zusaetzlich eingefuegt

print ("
<!-- UH 2005-11-11: Beginn Aenderung, Sonstige Institution auskommentiert
<P><B>$sonstige_institution</B> $text16<BR>
<INPUT TYPE=TEXT NAME=\"contributors_corporate\" VALUE=\"$contributors_corporate\" SIZE=80 MAXLENGTH=150> UH 2005-11-11 Ende Aenderung, Sonstige Institution auskommentiert//-->
");
}

/* Bei Dissertationen und Habilitationen muss ausser dem Institut */
/* zusaetzlich die Fakultaet angegeben werden.*/
/* Wenn allderdings nur Fakultaeten/Fachbereiche angezeigt werden, */
/* (opt_inst = 0) fungiert das Feld Institut als Feld Fakultaet. */
/* Daher muss nur bei opt_inst > 0 das Feld Fakultaet ausgegeben werden. */
if ($type == "8" || $type == "24") {
	if ($opt_inst > 0) {
		print("<P>
<IMG SRC=\"../Icons/u76.gif\" HEIGHT=15 WIDTH=15 ALIGN=BOTTOM><B>
$fakultaet</B>$text17
<SELECT NAME=\"publisher_faculty\" SIZE=1>
<OPTION VALUE=\"-1\">$text18\n
");
	}
	$res = $opus->query ("SELECT nr, fakultaet FROM faculty_$la");

	$num = $opus->num_rows($res);
	if ($num > 0) {
		$i = 0;
		while ($i < $num){
			$i++;
			$mrow = $opus->fetch_row($res);
			print("<OPTION VALUE=\"$mrow[0]\"");
			if ($mrow[0] ==  $publisher_faculty) {
				print(" SELECTED");
			}
			print(">$mrow[1] \n");
       	 	}
	}
	print("</SELECT><BR>\n\n");

	print("
<P>
<IMG SRC=\"../Icons/u76.gif\" HEIGHT=15 WIDTH=15 ALIGN=BOTTOM>
<B> <!--A HREF=\"$doku_pfad/hilfe_formular.php?la=$la#advisor\"-->$hauptberichter<!--/A--></B> $text19
<INPUT TYPE=TEXT NAME=\"advisor\" VALUE=\"$advisor\" SIZE=80 MAXLENGTH=100>
");
}

#SCHLAGWORTE
# UH 2005-11-11: Beginn Aenderungen SWD-Schlagworte, freie Schlagworte deutsch/englisch, DDC-Klassifikation, Fachklassifikation auskommentiert
#print("
#<P>
#<IMG SRC=\"../Icons/u76.gif\" HEIGHT=15 WIDTH=15 ALIGN=BOTTOM>
#<B><A HREF=\"$doku_pfad/hilfe_formular.php?la=$la#keywords\">$schlagwoerter_swd</A></B><BR>
#$text20
#<input type=submit name=\"button\" value=\"$buttontext\"> 
#$text21
#$text22
#<INPUT TYPE=TEXT NAME=\"subject_swd\" value=\"$subject_swd\" SIZE=80 MAXLENGTH=150><BR>
#
#<P>
#<B><A HREF=\"$doku_pfad/hilfe_formular.php?la=$la#keywords\">$schlagwoerter_frei</A></B><BR>
#$text23
#<INPUT TYPE=TEXT NAME=\"subject_uncontrolled_german\" VALUE=\"$subject_uncontrolled_german\" SIZE=80 MAXLENGTH=150><BR>

#<P>
#");

#/* englische Schlagwoerter Pflicht bei Diss. und Habil. */
#if ($type == "8" || $type == "24") {
#	print("<IMG SRC=\"../Icons/u76.gif\" HEIGHT=15 WIDTH=15 ALIGN=BOTTOM> \n");
#} 


#<P>
#<B><A HREF=\"$doku_pfad/hilfe_formular.php?la=$la#ddc\">$sachgruppe_ddc</A></B><BR>
#");

#$res = $opus->query ("SELECT * FROM sachgruppe_ddc_$la where nr <> 'no'");
#$num = $opus->num_rows($res);
#if ($num > 0) {
#        print("<SELECT NAME=\"sachgruppe_ddc\" SIZE=1> \n");
#        print("<OPTION VALUE=\"\">$text_ddc \n");
#        $i = 0;
#        while ($i < $num) {
#                $i++;
#                $mrow = $opus->fetch_row($res);
#                print("<OPTION VALUE=\"$mrow[0]\"");
#                if ($sachgruppe_ddc == "$mrow[0]") {
#                        print(" SELECTED");
#                }
#                print(">$mrow[0] $mrow[1] \n");
#        }
#        print("</SELECT> \n");
#        $opus->free_result($res);
#}

#print("
#<P>
#<B><A HREF=\"$doku_pfad/hilfe_formular.php?la=$la#classification\">$fachklassifikation</A></B> <A HREF=\"$doku_pfad/klassifikation.php\" target=\"new\">$text25</A> $text26
#$text27
#$text28
#<A HREF=\"$doku_pfad/klassifikation.php\" target=\"new\">$text29</A> $text30 
#");

#$res = $opus->query("SELECT table_name, name from klassifikation_$la");
#$num = $opus->num_rows($res);
#$i = 0;
#print("<SELECT NAME=\"subject_type\" ONCHANGE=\"loadClassificationHelp(dcform.subject_type.options[dcform.subject_type.selectedIndex].value)\"> \n");
#print("<OPTION VALUE=\"\">$text31");
#while ( $i < $num ) {
#        $i++;
#        $mrow = $opus->fetch_row($res);
#        print("<OPTION VALUE='$mrow[0]'");
#	if ($subject_type == "$mrow[0]") {
#		print(" SELECTED> $mrow[1] \n");
#	}
#	else {
#		print("> $mrow[1] \n");
#	}
#}
#$opus->free_result($res);
#print("</SELECT> \n");
#
#print("
#<BR>
#<INPUT TYPE=TEXT NAME=\"subject_value\" VALUE=\"$subject_value\" SIZE=80 MAXLENGTH=150>
#");
# UH 2005-11-11: Ende Aenderungen SWD-Schlagworte, freie Schlagworte deutsch/englisch, DDC-Klassifikation, Fachklassifikation auskommentiert

/***** Schriftenreihe Start *****/
if ($schriftenreihe_user == 1) {
	$res = $opus->query("SELECT sr_id, name FROM schriftenreihe");
	$num = $opus->num_rows($res);
	if ($num > 0) {
		$i = 0;
		print("<P><B><A HREF=\"$doku_pfad/hilfe_formular.php?la=$la#schriftenreihe\">$schriftenreihe</A></B><BR>$text_schriftenreihe<BR>");
		print("<SELECT NAME=\"sr_id\" SIZE=1>\n");
		print("<OPTION VALUE=\"\">$schriftenreihe_auswahl \n");
		while ( $i < $num ) {
			$i++;
			$mrow = $opus->fetch_row($res);
			print("<OPTION VALUE='$mrow[0]'> $mrow[1] \n");
		}
		print("</SELECT> \n");
		print("<BR> \n");
		print("$bandnummer: <INPUT TYPE=TEXT NAME=\"sr_band\" VALUE=\"\" SIZE=10 MAXLENGTH=10>");
	}
	$opus->free_result($res);
}
/***** Schriftenreihe Ende *****/

print("
<P>
<B>$inhalt_orig </B>
");

$sprache = $opus->query ("SELECT * FROM language_$la");

$num = $opus->num_rows($sprache);
if ($num > 0) {
        print("<SELECT NAME=\"description_lang\" SIZE=1> \n");
        $i = 0;
        while ($i < $num) {
                $i++;
                $mrow = $opus->fetch_row($sprache);
                print("<OPTION VALUE=\"$mrow[0]\"");
		if ($mrow [0] == $description_lang) {
			print(" SELECTED");
		}
                print(">$mrow[1] \n");
        }
        print("</SELECT> \n");
}

print("
 max. 5000 $zeichen<BR>
<TEXTAREA NAME=\"description\" COLS=115 ROWS=3>$description</TEXTAREA>

<P>

");

# Beginn Aenderung: Rote Raute ausgeblendet 
#if ($type == "8" || $type == "24") {
#	print("<IMG SRC=\"../Icons/u76.gif\" HEIGHT=15 WIDTH=15 ALIGN=BOTTOM> \n");
#}
#

if ($type == "56")
{
print("
<B>$inhalt_zusatz
</B><BR>
<!--SELECT NAME=\"description2_lang\" SIZE=1//--> \n
");

#$opus->data_seek ($sprache, 0);
#$i = 0;
#while ($i < $num) {
#        $i++;
#        $mrow = $opus->fetch_row($sprache);
#       print("<OPTION VALUE=\"$mrow[0]\"");
#	if ($mrow [0] == $description2_lang) {
#		print(" SELECTED");
#	}
#
#        print(">$mrow[1] \n");
#}


print("
<!--/SELECT//--> 
<INPUT TYPE=TEXT NAME=\"description2\" VALUE=\"$description2\" SIZE=80 MAXLENGTH=100>
");
}

print ("
<P>
<TABLE BORDER=0>
<TR> 
<TD>
<!-- UH 2005-11-11 Feld Hochschule versteckt und mit Default gefllt //-->
<!-- IMG SRC=\"../Icons/u76.gif\" HEIGHT=15 WIDTH=15 ALIGN=BOTTOM //-->
<!-- B><A HREF=\"$doku_pfad/hilfe_formular.php?la=$la#publisher\">$hochschule</A></B //-->
<!-- /TD //-->
<!-- TD //-->");

# UH 2005-11-11 Beginn Aenderung Select-Feld in Hidden Text umgewandelt
$res = $opus->query ("SELECT * FROM university_$la");
$num = $opus->num_rows($res);
if ($num > 0) {
        print("<INPUT TYPE=\"HIDDEN\" NAME=\"publisher_university\" ");
        $i = 0;
        while ($i < $num) {
                $i++;
                $mrow = $opus->fetch_row($res);
#                print("VALUE=\"$mrow[0]\">$mrow[1] \n");
                print("VALUE=\"$mrow[0]\">\n");
        }

#        print("</SELECT> \n
#	");
# UH 2005-11-11  Ende Aenderung Select-Feld in Hidden Text umgewandelt
        $opus->free_result($res);
}

print("
<!-- /TD //-->
<!-- /TR //-->
");

 
# wenn Jahreszahl noch leer, mit 200 vorbesetzen, ansonsten wird sie aus der vorherigen Eingabe bernommen
if ($date_year == "")
{
   $date_year = "200";
}
print("
<TR>
<TD>
<IMG SRC=\"../Icons/u76.gif\" HEIGHT=15 WIDTH=15 ALIGN=BOTTOM>
<B><font size=\"-1\">$jahr</font></B> 
</TD>
<TD>
 <INPUT TYPE=TEXT NAME=\"date_year\" VALUE=\"$date_year\" SIZE=4 MAXLENGTH=4>
</TD>
</TR>
");

# Datum der Patenterteilung
if ($type == "56")
{
print("
   <P><B>$schlagwoerter_engl</B>
   $text24
   <INPUT TYPE=TEXT NAME=\"subject_uncontrolled_english\" VALUE=\"$subject_uncontrolled_english\" SIZE=10 MAXLENGTH=10><BR>
");
}

if ($type == "8" || $type =="24") {
	print("<TR>
<TD>
<NOBR>
<IMG SRC=\"../Icons/u76.gif\" HEIGHT=15 WIDTH=15 ALIGN=BOTTOM>
<!--B><A HREF=\"$doku_pfad/hilfe_formular.php?la=$la#date\">$pruefung_muendlich </B-->
<B><font size =\"-1\">$pruefung_muendlich </font></B>
</NOBR>
</TD>
<TD>
<SELECT NAME=\"tag_pruef\" SIZE=1>");
$i=0;
while ($i < 31) {
        $i++;
        print("<OPTION");
	if ($i == $tag_pruef) {
		print(" SELECTED");
	}
	print(">$i");
}
print("
</SELECT>

<SELECT NAME=\"monat_pruef\" SIZE=1>
<OPTION VALUE=\"1\"");
if ($monat_pruef == "1") {
        print (" SELECTED");
}
print(">$januar
<OPTION VALUE=\"2\"");
if ($monat_pruef == "2") {
        print (" SELECTED");
}
print(">$februar
<OPTION VALUE=\"3\"");
if ($monat_pruef == "3") {
        print (" SELECTED");
}
print(">$maerz
<OPTION VALUE=\"4\"");
if ($monat_pruef == "4") {
        print (" SELECTED");
}
print(">$april
<OPTION VALUE=\"5\"");
if ($monat_pruef == "5") {
        print (" SELECTED");
}
print(">$mai
<OPTION VALUE=\"6\"");
if ($monat_pruef == "6") {
        print (" SELECTED");
}
print(">$juni
<OPTION VALUE=\"7\"");
if ($monat_pruef == "7") {
        print (" SELECTED");
}
print(">$juli
<OPTION VALUE=\"8\"");
if ($monat_pruef == "8") {
        print (" SELECTED");
}
print(">$august
<OPTION VALUE=\"9\"");
if ($monat_pruef == "9") {
        print (" SELECTED");
}
print(">$september
<OPTION VALUE=\"10\"");
if ($monat_pruef == "10") {
        print (" SELECTED");
}
print(">$oktober
<OPTION VALUE=\"11\"");
if ($monat_pruef == "11") {
        print (" SELECTED");
}
print(">$november
<OPTION VALUE=\"12\"");
if ($monat_pruef == "12") {
        print (" SELECTED");
}
print(">$dezember
</SELECT>
");

# BD/UH, 12.5.2006, Jahr mit 200 vorbesetzten
$jahr_pruef = "200";
print("
<INPUT TYPE=TEXT NAME=\"jahr_pruef\" VALUE=\"$jahr_pruef\" SIZE=5 MAXLENGTH=5>
</TD>
</TR>
");
}


# UH 2005-11-11  Beginn Aenderung: Sprache ausgeblendet 
#print("
#<TR>
#<TD>
#<IMG SRC=\"../Icons/u76.gif\" HEIGHT=15 WIDTH=15 ALIGN=BOTTOM>
#<B><A HREF=\"$doku_pfad/hilfe_formular.php?la=$la#language\">$form_sprache</A>
#</TD>
#<TD>
#");

#print("<SELECT NAME=\"language\" SIZE=1> \n");
#$opus->data_seek ($sprache, 0);
#$i = 0;
#while ($i < $num) {
#	$i++;
#	$mrow = $opus->fetch_row($sprache);
#	print("<OPTION VALUE=\"$mrow[0]\"");
#	if ($mrow[0] == $language) {
#		print(" SELECTED");
#	}
#	print(">$mrow[1] \n");
#}
#print("</SELECT> \n");
#$opus->free_result($sprache);
# UH 2005-11-11  Ende Aenderung: Sprache ausgeblendet 

################################
### BD, 19.11.04, bis hierhin Mehrsprachigkeit!!! 
################################
print("</TD>
</TR>
</TABLE>

");

# BD/UH, 05-12-16: Patent (56) - Formular fr die Felder ab "Quelle"----------

# UH 2005-11-14 source_title auer bei Patent durch mehrere Variablen ersetzt, die in meta.php in einen string $source_title geschrieben werden 

if ($type == "56")
{
    print ("
    <B>$quelle1</B>
    $quelle2
    <BR><INPUT TYPE=TEXT NAME=\"source_title\" VALUE=\"$source_title\" SIZE=80 MAXLENGTH=300>
    <P>
");

# 56 = Patent $contributors_name umgewandelt fr Patentanmelder
print(" 
<B>$sonstige_personen</A></B>
$text14
$text15

<INPUT TYPE=TEXT NAME=\"contributors_name\" VALUE=\"$contributors_name\" SIZE=100 MAXLENGTH=200>
<P>
");
}



# Formularausgabe fuer Quelle bei Artikel in Zeitschriften oder ----------
# bersichtsartikel-------------- (Dokumenttyp 51, 52, 57) ---------------


# Titel der Zeitschrift, in dem der Beitrag erschienen ist 
#                                           = $quelle_werktitel
if ($type == "51" || $type == "52" || $type == "57")
{
    print("<P><IMG SRC=\"../Icons/u76.gif\" HEIGHT=15 WIDTH=15 ALIGN=BOTTOM>
<B>Titel der Zeitschrift, in der der Beitrag erschienen ist: </B><BR>
    <INPUT TYPE=TEXT NAME=\"quelle_werktitel\" VALUE=\"In: $quelle_werktitel\" SIZE=120 MAXLENGTH=200>
    \n");

# Band, Heft und Seitenanzahl
# BD/UH, 2,06:soll kein Pflichtfeld sein  <IMG SRC=\"../Icons/u76.gif\" HEIGHT=15 WIDTH=15 ALIGN=BOTTOM> 
    print ("
    <P>
    <B>Band/Volume (Bitte als Zahl eingeben): </B>
    <BR><INPUT TYPE=TEXT NAME=\"quelle_band\" VALUE=\"$quelle_band\" SIZE=10 MAXLENGTH=10>
    <P>
    <B>Heft/Issue (Bitte als Zahl eingeben): </B>
    <BR><INPUT TYPE=TEXT NAME=\"quelle_heft\" VALUE=\"$quelle_heft\" SIZE=60 MAXLENGTH=100>
    <P>
    <B>Seite <INPUT TYPE=TEXT NAME=\"quelle_startseite\" VALUE=\"S. $quelle_startseite\" SIZE=7 MAXLENGTH=12> - 
    <INPUT TYPE=TEXT NAME=\"quelle_endseite\" VALUE=\"$quelle_endseite\" SIZE=7 MAXLENGTH=12></B>
    <P>
    ");
}
# Ende Artikel in Zeitschriften ------------------------------------------



# Formularausgabe fuer Quelle bei Buch etc. -----------------------------------
# BD/UH, 05-12-16: Zeitschrift/Herausgeberschaft (50), Buchbeitrag (53), Buch/Autor (54), Buch/Herausgeber (55)
#                   Weitere Publikationen (58, 59) vorlaeufig
#                  auch wie Buchbeitrag (also 53)
#
# Titel des Werkes, in dem der Beitrag erschienen ist 
#       = $quelle_werktitel, werktitel_1 = Titel des Werkes, 
#         werktitel_2 = Zusatz des Titels des Werkes, in dem der 
#         Beitrag erschienen ist
if ($type == "53" || $type == "58" || $type == "59")
{
	print("
        <P><IMG SRC=\"../Icons/u76.gif\" HEIGHT=15 WIDTH=15 ALIGN=BOTTOM>

        <B>Titel des Werkes, in dem der Beitrag erschienen ist: </B><BR>
        <INPUT TYPE=TEXT NAME=\"quelle_werktitel_1\" VALUE=\"$quelle_werktitel_1\" SIZE=120 MAXLENGTH=200><BR>
        <B>Titelzusatz: </B><BR>
        <INPUT TYPE=TEXT NAME=\"quelle_werktitel_2\" VALUE=\"$quelle_werktitel_2\" SIZE=120 MAXLENGTH=200>
        \n");
}
print("<P>");
# Dokumenttyp 50, 53, 55, opus-Feld Herausgeber oder Sonstige beteiligte Personen
# UH 2005-11-14 Bei Dokumenttypen Buchbeitrag, Buch (Herausgeberschaft) Herausgeber als Pflichtfeld markiert
if ($type == "53" || $type == "50" || $type == "55")
{
	print("<IMG SRC=\"../Icons/u76.gif\" HEIGHT=15 WIDTH=15 ALIGN=BOTTOM> \n");
}
# 50 = Zeitschrift (Herausgeberschaft) 53 = Buchbeitrag, 55 = Buch/Herausgeberschaft, 58, 59 = Weitere Publikationen 
if ($type == "50" || $type == "53" || $type == "55" || $type == "58" || $type == "59") 
{
print(" 
<B>$sonstige_personen</B>
$text14
$text15

<INPUT TYPE=TEXT NAME=\"contributors_name\" VALUE=\"Hrsg.: $contributors_name\" SIZE=100 MAXLENGTH=200>
<P>
");
}


  
if ($type == "50" || $type == "53" || $type == "54" || $type == "55" || $type == "58" || $type == "59")
{
    print ("
    <B>Auflage: </B>
    <BR><INPUT TYPE=TEXT NAME=\"quelle_auflage\" VALUE=\"$quelle_auflage\" SIZE=50 MAXLENGTH=50>
    <P>
    <B>Band: </B>
    <BR><INPUT TYPE=TEXT NAME=\"quelle_band\" VALUE=\"$quelle_band\" SIZE=20 MAXLENGTH=50>
    <P>
    <P><IMG SRC=\"../Icons/u76.gif\" HEIGHT=15 WIDTH=15 ALIGN=BOTTOM> 
    <B>Ort: </B>
    <BR><INPUT TYPE=TEXT NAME=\"quelle_ort\" VALUE=\"$quelle_ort\" SIZE=60 MAXLENGTH=100>
    <P>
    <B>Verlag</B>
    <BR><INPUT TYPE=TEXT NAME=\"quelle_verlag\" VALUE=\"$quelle_verlag\" SIZE=60 MAXLENGTH=100>
    <P>
    <B>Gesamttitel ; Band</B>
    <BR><INPUT TYPE=TEXT NAME=\"quelle_gestitel\" VALUE=\"$quelle_gestitel\" SIZE=100 MAXLENGTH=100>
    <P>
    ");
}

# 53 = Buchbeitrag: Seite1 - Seite2
if ($type == "53" || $type == "58" || $type == "59") {
print ("
<B>Seite <INPUT TYPE=TEXT NAME=\"quelle_startseite\" VALUE=\"S. $quelle_startseite\" SIZE=7 MAXLENGTH=12> - 
<INPUT TYPE=TEXT NAME=\"quelle_endseite\" VALUE=\"$quelle_endseite\" SIZE=7 MAXLENGTH=12></B>
<P>
");
}

# sonst: Seitenanzahl = $quelle_seiten angeben
if ($type == "54" || $type == "55")
{
   print("
   <B>Seitenanzahl: </B><BR>
   <INPUT TYPE=TEXT NAME=\"quelle_seiten\" VALUE=\"S. $quelle_seiten\" SIZE=10 MAXLENGTH=12>
   \n");
}
# ISBN/ISSN Angabe
if ($type == "50" || $type == "53" || $type == "54" || $type == "55" || $type == "58" || $type == "59") 
{
   print ("
   <P>
   <B>$text_isbn1</B>
   <BR><INPUT TYPE=TEXT NAME=\"isbn\" VALUE=\"$isbn\" SIZE=30 MAXLENGTH=30>
   <P>
   ");
}
# ENDE  Zeitschrift/Herausgeber (50) Buchbeitrag (53), Buch/Autor (54), Buch/Herausgeber (55)
#                  Weitere Publikationen (58, 59) vorlaeufig
#                  auch wie Buchbeitrag (also 53)

# Ende Ausgabe des Feldes Quelle in Verffentlichungsmaske---------------------

print("

<!-- UH 2005-11-11 Beginn Aenderung: Anzahl Dateien ausgeblendet >
<P>
<IMG SRC=\"../Icons/u76.gif\" HEIGHT=15 WIDTH=15 ALIGN=BOTTOM>
<B><A HREF=\"$doku_pfad/hilfe_formular.php?la=$la#number\">$anzahl_dateien</A></B>
<BR><INPUT TYPE=text NAME=\"anzahlfiles\" VALUE=\"$anzahlfiles\" SIZE=3 MAXLENGTH=3>
<UH 2005-11-11 Ende Aenderung: Anzahl Dateien ausgeblendet //-->


<!-- BD/UH, 16.3.06, Anzahl der Dateien fest und versteckt auf Eins gesetzt, damit Hochladen aus Jahresbibliographie in SciDok mglich//-->
<INPUT TYPE=hidden NAME=\"anzahlfiles\" VALUE=\"0\">

<P>
<B>$email_adr</B><BR>
<INPUT TYPE=TEXT NAME=\"verification\" VALUE=\"$verification\" SIZE=88 MAXLENGTH=150>

<P>
<IMG SRC=\"../Icons/u76.gif\" HEIGHT=15 WIDTH=15 ALIGN=BOTTOM>
<B>$bemerk_int</B><BR>
<TEXTAREA NAME=\"bem_intern\" VALUE=\"$bem_intern\" COLS=115 ROWS=4 >$bem_intern</TEXTAREA>



<BR>
$text32
");

if ($gueltig_anzeigen) {
	if ($type == "8" || $type == "24" || $type == "7" || $type == "19" || $type == "25") {
		print("<INPUT TYPE=HIDDEN NAME=\"dauer\" VALUE=\"0\">");
	}
	else {
		print("
<P>
<IMG SRC=\"../Icons/u76.gif\" HEIGHT=15 WIDTH=15 ALIGN=BOTTOM>
<B><A HREF=\"$doku_pfad/hilfe_formular.php?la=$la#dauer\">$gueltigkeit</A></B><BR>
");

		$res = $opus->query ("SELECT wert, name FROM gueltig_$la");
 
		$num = $opus->num_rows($res);
		if ($num > 0) {
		        print("<SELECT NAME=\"dauer\" SIZE=1> \n");
		        $opus->data_seek ( $res, 0);
		        $i = 0;
		        while ($i < $num) {
		                $i++;
		                $mrow = $opus->fetch_row($res);
				if ($mrow[0] == "0") {
					print("<OPTION VALUE=\"$mrow[0]\" SELECTED> ");
				}
				else {
			                print("<OPTION VALUE=\"$mrow[0]\"> ");
				}
				print("$mrow[1] \n");
        		}
			print("</SELECT> \n");
			$opus->free_result($res);
		}
	}
}
else {
	print("<INPUT TYPE=HIDDEN NAME=\"dauer\" VALUE=\"0\">");
}

# Zugriff auf Volltexte weltweit/campusweit/weitere Bereiche 
# UH 2005-11-11 Beginn Aenderung: Zugriffsformular ausgeblendet
# print("
#<p>
#<IMG SRC=\"../Icons/u76.gif\" HEIGHT=15 WIDTH=15 ALIGN=BOTTOM>
#<b><a href=\"$doku_pfad/hilfe_formular.php?la=$la#bereich\">$zugriff</a></b><br>
#");
#
#$res = $opus->query ("SELECT * FROM bereich_$la");
#
#$num = $opus->num_rows($res);
#
#if ($num > 0) {
#        printf("<select name=\"bereich\" size=1> \n");
#        $opus->data_seek ( $res, 0);
#        $i = 0;
#        while ($i < $num) {
#		$i++;
#		$mrow = $opus->fetch_row($res);
#		print("<OPTION VALUE=\"$mrow[0]\"");
#		if ($mrow[0] == $bereich) {
#			print(" SELECTED");
#		}
#		print(">$mrow[1] \n");
#        }
#        printf("</select> \n");
#        $opus->free_result($res);
#}
# Ende Zugriff auf Volltexte weltweit/campusweit/weitere Bereiche
# UH 2005-11-11 Ende Aenderung: Zugriffsformular ausgeblendet

print("
     <INPUT TYPE=\"Hidden\" NAME=\"bereich\" Value=\"1\">
"); 

print("
<P>
");

# Text zur Veroeffentlichungserklaerung wird aus eigener include-Datei 
# bernommen und kann so frei gestaltet werden
# include("../../texte/$la/veroeffentlichungserklaerung.inc.php");

print("
<input type=hidden name=\"ruecksprung\" value=\"$home/uni/neu_allg.php\">
<input type=\"hidden\" name=\"la\" value=\"$la\">
");

# Start Lizenzvertrag
$lic_active = $conf->value("license_active");
if ($lic_active > 0) {
	$lic = $_REQUEST['lic'];
	$lic = eregi_replace("[`\n\r]","",$lic);
	print("\n<input type=\"hidden\" name=\"lic\" value=\"$lic\">\n");
}
# Ende Lizenzvertrag

print("
<P>
<HR>
<INPUT TYPE=SUBMIT name=\"button\" VALUE=\"$anmelden\">&nbsp;&nbsp;&nbsp;
<INPUT TYPE=RESET VALUE=\"$formular_loeschen\">

</FORM>
");

$opus->close($sock);
$design->foot("neu_allg.$php", $la);
}

?>

