<?
#############################################################
# letzte nderung:
#
# 22.4.2005, Annette Maile, UB Stuttgart
# Auslagerung Design in lib/design.php
# In Abhaengigkeit von $la kann das entsprechende Design eingelesen werden.
#
#############################################################

include ("../../lib/class.configFile.php");
$conf = new configFile ("../../lib/opus.conf");
$dbms = $conf->value("dbms");
$php = $conf->value("php");

include ("../../lib/class.opus_$dbms.$php");
$opus = new opus;

$opus_table = $conf->value("opus_table");
$temp_table = $conf->value("temp_table");
$url = $conf->value("url");

$titel = $conf->value("titel_abfrage_loeschen");
$ueberschrift = $conf->value("ueberschrift_abfrage_loeschen");

include ("../../lib/stringValidation.php");
$table = $_REQUEST['table'];
if ($table != $opus_table && $table != $temp_table) {die ("Fehler in Parameter table");}
$jahr = $_REQUEST['jahr'];
if (! _is_valid($jahr,0,10,"[0-9]*")) {die ("Fehler in Parameter jahr");}
$source_opus = $_REQUEST['source_opus'];
if (! _is_valid($source_opus,1,10,"[0-9]+")) {die ("Fehler in Parameter source_opus");}
$type = $_REQUEST['type'];
if (! _is_valid($type,1,10,"[0-9]+")) {die ("Fehler in Parameter type");}
$title = $_REQUEST['title'];
$title = eregi_replace("[`\n\r]","",$title);
$creator_name = $_REQUEST['creator_name'];
$creator_name = eregi_replace("[`\n\r]","",$creator_name);
$la = $_REQUEST['la'];
if (! _is_valid($la,0,2,"[a-z]*")) {die ("Fehler in Parameter la");}

# A.Maile 22.4.05: Sprache einlesen aus opus.conf, falls nicht gesetzt
if (!$la){
       $la = $conf->value("la");
}

# Annette Maile, 22.4.05 Design aus lib/design.php einlesen
require ("../../lib/design.$php");
$design = new design;
$design->head_titel($titel);
$design->head_ueberschrift($ueberschrift, $la);

$title = stripslashes($title);
$creator_name = stripslashes($creator_name);

print("
Soll der Datensatz: <br> 
<h3>Titel: $title <br> 
Autor: $creator_name</h3> 
in der Tabelle <font size=+2><b>$table</b></font> gel&ouml;scht werden?</H3> 

<table>
<tr>
<td>
<FORM METHOD = \"POST\" ACTION = \"$url/admin/loeschen.$php\">
<INPUT TYPE = submit  VALUE=\"L&ouml;schen\">
<INPUT TYPE = hidden NAME = \"table\" VALUE = \"$table\">
<INPUT TYPE = hidden NAME = \"jahr\" VALUE = \"$jahr\">
<INPUT TYPE = hidden NAME = \"source_opus\" VALUE = \"$source_opus\">
<INPUT TYPE = hidden NAME = \"type\" VALUE = \"$type\">
<input type=\"hidden\" name=\"la\" value=\"$la\">
</FORM>
</td>

<td>
<FORM METHOD = \"POST\" ACTION = \"$url/admin/\">
<INPUT TYPE = submit  VALUE=\"Nein\">
</FORM>
</td>
</tr>
</table>
");
$design->foot("abfrage_loeschen.$php", $la);
?>

