<?
#############################################################
#
# Funktion: admin/aendern.php
#           Aendern der Metadaten / Upload/Loeschen von Dateien
# letzte Aenderung:
# 20.4.2005, Annette Maile UB Stuttgart
# Auslagerung Design in lib/design.php
# In Abhaengigkeit von $la kann das entsprechende Design eingelesen werden.
#
# Zugriff auf Volltexte weltweit/campusweit/weitere Bereiche
#
# 28.7.2005, Annette Maile, UB Stuttgart
# Einfuegen Lizenzvertrag 
#
#############################################################

include ("../../lib/class.configFile.php");
$conf = new configFile ("../../lib/opus.conf");
$dbms = $conf->value("dbms");
$php = $conf->value("php");

$db = $conf->value("db");
$opus_table = $conf->value("opus_table");
$temp_table = $conf->value("temp_table");
$url = $conf->value("url");
$home = $conf->value("home");
$opt_inst = $conf->value("opt_institute"); 
$gueltig_anzeigen = $conf->value("gueltig_anzeigen");
$nbn = $conf->value("nbn");

// Anfang Collections
$coll_anzeigen = $conf->value( "coll_anzeigen" );
// Ende Collections

include ("../../lib/stringValidation.php");
$table = $_REQUEST['table'];
if ($table != $opus_table && $table != $temp_table) {die ("Fehler in Parameter table");}
$suchfeld = $_REQUEST['suchfeld'];
if (! _is_valid($suchfeld,0,30,"[a-z0-9\.\_]*")) {die ("Fehler in Parameter suchfeld");}
$suchwert = $_REQUEST['suchwert'];
$suchwert = eregi_replace("[`\n\r]","",$suchwert);
$zusatzautor = $_REQUEST['zusatzautor'];
if (! _is_valid($zusatzautor,0,1,"[0-9]*")) {die ("Fehler in Parameter zusatzautor");}
$zusatzinst = $_REQUEST['zusatzinst'];
if (! _is_valid($zusatzinst,0,1,"[0-9]*")) {die ("Fehler in Parameter zusatzinst");}
$la = $_REQUEST['la'];
if (! _is_valid($la,0,2,"[a-z]*")) {die ("Fehler in Parameter la");}

# A.Maile 10.2.05: Sprache einlesen aus opus.conf, falls nicht gesetzt
if (!$la){
$la = $conf->value("la");
}

// Anfang Collections
if( $coll_anzeigen == "true" ) {
$zusatzcoll = $_REQUEST['zusatzcoll'];
if (! _is_valid($zusatzcoll,0,1,"[0-9]*")) {die ("Fehler in Parameter zusatzcoll");}
}
// Ende collections

$projekt = $conf->value("projekt");

$titel_aendern = "titel_" . $table . "_aendern";
$ueberschrift_aendern = "ueberschrift_" . $table . "_aendern";

$titel = $conf->value("$titel_aendern");
$ueberschrift = $conf->value("$ueberschrift_aendern");

$table_autor = $table . "_autor";
$table_inst = $table . "_inst";
$table_diss = $table . "_diss";

// Anfang collections
$table_coll = $table . "_coll";
// Ende collections

include ("../../lib/class.opus_$dbms.$php");
$opus = new opus;

# Annette Maile, 20.4.05 Design aus lib/design.php einlesen
require ("../../lib/design.$php");
$design = new design;
$design->head_titel($titel);
$design->head_ueberschrift($ueberschrift, $la);

$sock = $opus->connect();
if ($sock < 0 ) {
echo ("Error: $ERRMSG\n");
}

if ($opus->select_db($db) < 0 ) {
echo ("Error: $ERRMSG\n");
}
print("</FONT>");

if ($suchfeld == "source_opus") {
$res = $opus->query ("SELECT * FROM $table WHERE source_opus = $suchwert");
}
else {
if ($suchfeld == "creator_name") {
	$res = $opus->query ("SELECT * FROM $table o, $table_autor oa where oa.creator_name like '$suchwert%' and o.source_opus = oa.source_opus ");
}
else {
	$res = $opus->query("SELECT * FROM $table WHERE $suchfeld LIKE '%$suchwert%'");
}
}

$num = $opus->num_rows($res);
if ( $num  > 0 ) {
$mrow = $opus->fetch_row($res);
$title  = htmlspecialchars($mrow[0]);
$creator_corporate = htmlspecialchars($mrow[1]);
$subject_swd = htmlspecialchars($mrow[2]);
$description = htmlspecialchars($mrow[3]);
$publisher_university = $mrow[4];
$contributors_name = htmlspecialchars($mrow[5]);
$contributors_corporate = htmlspecialchars($mrow[6]);
$date_year = $mrow[7];
$date_creation = $mrow[8];
$date_modified_old = $mrow[9];
$type = $mrow[10];
$source_opus = $mrow[11];
$source_title = htmlspecialchars($mrow[12]);
$source_swb = $mrow[13];
$language = $mrow[14];
$verification= $mrow[15];
$subject_uncontrolled_german = htmlspecialchars($mrow[16]);
$subject_uncontrolled_english= htmlspecialchars($mrow[17]);
$title_en = htmlspecialchars($mrow[18]);
$description2 = htmlspecialchars($mrow[19]);
$subject_type = $mrow[20];
$date_valid = $mrow[21];
$description_lang = $mrow[22];
$description2_lang = $mrow[23];
$sachgruppe_ddc = $mrow[24];
if ($table == $temp_table) {
	$status = $mrow[25];
}
else {
	$urn = $mrow[25];
}
# Zugriff auf Volltexte weltweit/campusweit/weitere Bereiche
$bereich_id = $mrow[26];
$lic =  $mrow[27];
$isbn = $mrow[28];
$bem_intern = $mrow[29];
$bem_extern = $mrow[30];

$opus->free_result($res);

/* Bei Dissertation (type 8) und Habilitation (type 24) zusaetzlich */
/* Tag der muendlichen Pruefung (bzw. des Kolloquiums) und Hauptberichter anzeigen */
if ($type == "8" || $type == "24") {
	$res = $opus->query("SELECT * FROM $table_diss WHERE source_opus = $source_opus");
	$anz = $opus->num_rows($res);
	if ( $anz  > 0 ) {
		$mrow = $opus->fetch_row($res);
		$date_accepted = $mrow[1];
		$advisor = htmlspecialchars($mrow[2]);
		$title_de = htmlspecialchars($mrow[3]);
		$publisher_faculty = $mrow[4];
		}
		$opus->free_result($res);
	}
	else {
		$date_accepted = "";
		$advisor = "";
		$title_de = "";
		$publisher_faculty = "";
	}
}

$i = $suchwert;
$vor = $i + 1;
$back = $i - 1;

if ($zusatzautor == "") {
        $zusatzautor = 0;
}
$zusatzautor = $zusatzautor;

if ($zusatzinst == "") {
        $zusatzinst = 0;
}
$zusatzinst = $zusatzinst;

/* an die Variable $date_modified wird das Systemdatum uebergeben */
$date_modified = mktime();

$jahr = date("Y", $date_creation);

if ($num == 0) {
	include("../../lib/font.html");
	print("$suchfeld $suchwert nicht vorhanden!");
	print("<P><A HREF=\"$home/admin/\">Adminseite</A>");
	print("</FONT");
}

else {
print("\n<TABLE BORDER = 0> \n");
print("<TR> \n");
print("<TD VALIGN = TOP> \n");
print("<FORM METHOD=\"POST\" ACTION =\"$url/admin/aendern.$php\"> \n");
print("<INPUT TYPE=\"hidden\" NAME=\"table\" VALUE=\"$table\"> \n");
print("<INPUT TYPE=\"hidden\" NAME=\"suchfeld\" VALUE=\"source_opus\"> \n");
print("<INPUT TYPE=\"hidden\" NAME=\"suchwert\" VALUE=$source_opus > \n");
$autor_plus = $zusatzautor + 1;
print("<INPUT TYPE=\"hidden\" NAME=\"zusatzautor\" VALUE =\"$autor_plus\"> \n");
print("<INPUT TYPE=\"submit\" VALUE=\"Zus&auml;tzliches Autorenfeld anfordern\"> \n");
print("</FORM> \n");
print("</TD> \n");

print("<TD VALIGN = TOP> \n");
print("<FORM METHOD=\"POST\" ACTION=\"$url/admin/aendern.$php\"> \n");
print("<INPUT TYPE=\"hidden\" NAME=\"table\" VALUE=\"$table\"> \n");
print("<INPUT TYPE=\"hidden\" NAME=\"suchfeld\" VALUE=\"source_opus\"> \n");
print("<INPUT TYPE=\"hidden\" NAME=\"suchwert\" VALUE=$source_opus > \n");
$inst_plus = $zusatzinst + 1;
print("<INPUT TYPE=\"hidden\" NAME=\"zusatzinst\" VALUE=\"$inst_plus\"> \n");
print("<INPUT TYPE=\"submit\" VALUE=\"Zus&auml;tzliches Institutsfeld anfordern\"> \n");
print("</FORM> \n");
print("</TD> \n");

print("</TR> \n");

// Anfang Collections

if( $coll_anzeigen == "true" ) {
	print("<TR> \n");
	print("<TD VALIGN = TOP> \n");
	print("<FORM METHOD = \"POST\" ACTION = \"$url/admin/aendern.$php\"> \n");
	print("<INPUT TYPE = hidden NAME = \"table\" VALUE = \"$table\"> \n");
	print("<INPUT TYPE = hidden NAME = \"suchfeld\" VALUE = \"source_opus\"> \n");
	print("<INPUT TYPE = hidden NAME = \"suchwert\" VALUE = $source_opus > \n");
	$coll_plus = $zusatzcoll + 1;
	print("<INPUT TYPE = hidden NAME = \"zusatzcoll\" VALUE =\"$coll_plus\"> \n");
	print("<INPUT TYPE = submit VALUE=\"Zus&auml;tzliches Collectionfeld anfordern\"> \n");
	print("</FORM> \n");
	print("</TD> \n");
	print("</TR> \n");
}
// Ende Collections

print("</TABLE> \n");

print("<FORM METHOD=\"POST\" ACTION=\"$url/admin/db_aendern.$php\"> \n");
# print("* nur Pflicht bei Dissertation und Habilitation. Deutscher Titel nur Pflicht, wenn Originaltitel nicht deutsch ist. \n");
print("<TABLE> \n");
print("<TR>\n  <TD valign=\"top\">");
#print("Originaltitel:</TD>\n  <TD><INPUT TYPE=TEXT NAME=\"title\" SIZE=60 MAXLENGTH=\"250\" VALUE=\"$title\">");
print("Originaltitel:</TD>\n  <TD><TEXTAREA NAME=\"title\" COLS=60 ROWS=2>$title</TEXTAREA>");
print("</TD>\n</TR> \n");
print("<TR>\n  <TD valign=\"top\">");
#print("Englischer Titel:</TD>\n  <TD><INPUT TYPE=TEXT NAME=\"title_en\" SIZE=60 MAXLENGTH=\"250\" VALUE=\"$title_en\">");
#print("Englischer Titel:</TD>\n  <TD><TEXTAREA NAME=\"title_en\" COLS=60 ROWS=2>$title_en</TEXTAREA>");
#print("</TD>\n</TR> \n");
#print("<TR>\n  <TD valign=\"top\">");
#print("Deutscher Titel:(*)</TD>\n  <TD><INPUT TYPE=TEXT NAME=\"title_de\" SIZE=60 MAXLENGTH=\"250\" VALUE=\"$title_de\">");
#print("Deutscher Titel:(*)</TD>\n  <TD><TEXTAREA NAME=\"title_de\" COLS=60 ROWS=2>$title_de</TEXTAREA>");
#print("</TD>\n</TR> \n");

$autor = $opus->query("SELECT creator_name, reihenfolge FROM $table_autor WHERE source_opus = $source_opus order by reihenfolge");
$anzahl_creator_name = $opus->num_rows($autor);
$i = 0;
if ( $anzahl_creator_name  > 0 ) {
	while ($i < $anzahl_creator_name) {
		$mrow = $opus->fetch_row($autor);
		$creator_name = htmlspecialchars($mrow[0]);
		$i++;
		print("<TR>\n  <TD>");
		print("$i. Verfasser:</TD>\n  <TD><INPUT TYPE=TEXT NAME=\"creator_name[]\" SIZE=80 MAXLENGTH=200 VALUE=\"$creator_name\"> \n");
		print("</TD>\n</TR> \n");
	}
	if ($zusatzautor > 0) {
		$num = $anzahl_creator_name + $zusatzautor;
		while ($i < $num) {
			$i++;
			print("<TR>\n  <TD>");
			print("$i. Verfasser:</TD>\n  <TD><INPUT TYPE=TEXT NAME=\"creator_name[]\" SIZE=80 MAXLENGTH=200 VALUE=\"\"> \n");
			print("</TD>\n</TR> \n");

		}
	}
}
else {
        if ($anzahl_creator_name == 0 && $zusatzautor > 0) {
                $i = 0;
                while ($i < $num) {
                        $i++;
                        print("<TR>\n  <TD>");
			print("$i. Verfasser:</TD>\n  <TD><INPUT TYPE=TEXT NAME=\"creator_name[]\" SIZE=80 MAXLENGTH=200 VALUE=\"\"> \n");
			print("</TD>\n</TR> \n");

                }
        }
}

$inst = $opus->query("SELECT inst_nr from $table_inst where source_opus = $source_opus ");
$anzahl_inst = $opus->num_rows($inst);
if ($anzahl_inst == 0) {
	$anzahl_inst = 1;
}
$res2 = $opus->query("SELECT i.nr, i.name, f.nr, f.fakultaet from institute_$la i, faculty_$la f where i.fakultaet=f.nr order by i.nr");
$num2 = $opus->num_rows($res2);
if ($num2 > 0) {
	$i = 0;
	while ($i < $anzahl_inst) {
		$mrow = $opus->fetch_row($inst);
		$inst_nr = $mrow[0];
		$i++;
		print("<TR>\n  <TD>");
		print("Institut $i:</TD>\n  <TD>");
		print("<SELECT NAME=\"publisher_inst[]\" SIZE=1>\n");
		print("<OPTION VALUE=\"0\">Bitte Institut w&auml;hlen \n");
		$opus->data_seek ( $res2, 0);
		$fak_alt = "";
		$j = 0;
		while ($j < $num2) {
			$j++;
			$mrow2 = $opus->fetch_row($res2);
                        /* Steuerung Institute: wenn Institute angezeigt werden sollen (opt_inst = 1) */
                        /* werden Fakultaet und Institut ausgegeben, sonst nur die Fakultaet.         */
			if($opt_inst > 0) {
				if ($mrow2[2] != $fak_alt) {
					print("<OPTION VALUE=\"0\">$mrow2[3] \n");
					$fak_alt = $mrow2[2];
				}
				print("<OPTION VALUE=\"$mrow2[0]\" \n");
				if ($mrow2[0] == $inst_nr) {
					print(" selected");
					$fak = $mrow2[2];
				}
				print(">&nbsp;&nbsp;- $mrow2[1] \n");
			}
			else {
				if ($mrow2[2] == $fak_alt) {
					print("<OPTION VALUE=\"0\">$mrow2[3] \n");
					$fak_alt = $mrow2[2];
				}
				print("<OPTION VALUE=\"$mrow2[0]\" \n");
				if ($mrow2[0] == $inst_nr) {
					print(" selected"); $fak = $mrow2[2];
				}
				print("> $mrow2[1] \n");
			}
		}
		print("</SELECT> \n");
		print("</TD>\n</TR> \n");
	}
	if ($zusatzinst > 0) {
		$num = $anzahl_inst + $zusatzinst;
		while ($i < $num) {
			$i++;
			print("<TR>\n  <TD>");
			print("Institut $i:</TD>\n  <TD>");
			print("<SELECT NAME=\"publisher_inst[]\" SIZE=1>\n");
			print("<OPTION VALUE=\"0\">Bitte Institut w&auml;hlen \n");
			$opus->data_seek ( $res2, 0);
			$fak_alt = "";
			$j = 0;
			while ($j < $num2) {
				$j++;
				$mrow2 = $opus->fetch_row($res2);
				/* Steuerung Institute: wenn Institute angezeigt werden sollen (opt_inst = 1) */
				/* werden Fakultaet und Institut ausgegeben, sonst nur die Fakultaet.         */
				if($opt_inst > 0) {
					if ($mrow2[2] != $fak_alt) {
						print("<OPTION VALUE=\"0\">$mrow2[3] \n");
						$fak_alt = $mrow2[2];
					}
					print("<OPTION VALUE=\"$mrow2[0]\" \n");
					print(">&nbsp;&nbsp;- $mrow2[1] \n");
				}
				else {
					if ($mrow2[2] == $fak_alt) {
						print("<OPTION VALUE=\"0\">$mrow2[3] \n");
						$fak_alt = $mrow2[2];
					}
					print("<OPTION VALUE=\"$mrow2[0]\" \n");
					print(">$mrow2[1] \n");
				}
			}
			print("</SELECT> \n");
			print("</TD>\n</TR> \n");
		}
	}
}
$opus->free_result($res2);

#print("<TR>\n  <TD>");
#print("Urheber:</TD>\n  <TD><INPUT TYPE=TEXT NAME=\"creator_corporate\" SIZE=80 MAXLENGTH=200 VALUE=\"$creator_corporate\"> \n");
#print("</TD>\n</TR> \n");
print("<TR>\n  <TD>");
print("Herausgeber oder Patentanmelder:</TD>\n  <TD<INPUT TYPE=TEXT NAME=\"contributors_name\" SIZE=200 MAXLENGTH=200 VALUE=\"$contributors_name\"> \n");
print("</TD>\n</TR> \n");
#print("<TR>\n  <TD>");
#print("Sonst. bet. Inst.:</TD>\n  <TD<INPUT TYPE=TEXT NAME=\"contributors_corporate\" SIZE=80 MAXLENGTH=200 VALUE=\"$contributors_corporate\"> \n");
#print("</TD>\n</TR> \n");
#print("<TR>\n  <TD>");
#print("Schlagw&ouml;rter <A HREF=\"http://www.bsz-bw.de/cgi-bin/oswd-suche.pl\" target=\"new\">SWD</A>:</TD>\n  <TD<INPUT TYPE=TEXT NAME=\"subject_swd\" SIZE=80 MAXLENGTH=200 VALUE=\"$subject_swd\">");
#print("</TD>\n</TR> \n");
#print("<TR>\n  <TD>");
#print("SW unkontr. deutsch:</TD>\n  <TD<INPUT TYPE=TEXT NAME=\"subject_uncontrolled_german\" SIZE=80 MAXLENGTH=150 VALUE=\"$subject_uncontrolled_german\"> \n");
#print("</TD>\n</TR> \n");
print("<TR>\n  <TD>");
print("Datum der Patenterteilung:</TD>\n  <TD<INPUT TYPE=TEXT NAME=\"subject_uncontrolled_english\" SIZE=80 MAXLENGTH=150 VALUE=\"$subject_uncontrolled_english\"> \n");
print("</TD>\n</TR> \n");
print("<TR>\n  <TD>");
print("Abstract Originalsprache/ Patentapplikation:</TD>\n  <TD");

$sprache = $opus->query ("SELECT * FROM language_$la");
$num = $opus->num_rows($sprache);
if ($num > 0) {
        print("<SELECT NAME=\"description_lang\" SIZE=1> \n");
        $i = 0;
        while ($i < $num) {
                $i++;
                $mrow = $opus->fetch_row($sprache);
                print("<OPTION VALUE=\"$mrow[0]\"");
                if ($mrow [0] == $description_lang) {
                        print(" SELECTED");
                }
                print(">$mrow[1] \n");
        }
        print("</SELECT> \n");
}
print("</TD>\n</TR> \n");

print("</TABLE> \n\n");

print("<TEXTAREA NAME=\"description\" COLS=80 ROWS=10>$description</TEXTAREA> \n\n");

print("<TABLE> \n");
print("<TR>\n  <TD>");
print("Patentl&auml;nder:</TD>\n  ");
#print("Patentl&auml;nder:</TD>\n  <TD>\n<SELECT NAME=\"description2_lang\" SIZE=1>");

#$opus->data_seek ($sprache, 0);
#$i = 0;
#while ($i < $num) {
#        $i++;
#        $mrow = $opus->fetch_row($sprache);
#        print("<OPTION VALUE=\"$mrow[0]\"");
#        if ($mrow [0] == $description2_lang) {
#                print(" SELECTED");
#        }

#        print(">$mrow[1] \n");
#}
#print("</SELECT> \n");
#print("</TD>\n</TR> \n");

print("<TD><INPUT TYPE= TEXT NAME=\"description2\" SIZE=100 >$description2</TEXTAREA> \n\n");
print("</TD> \n");
print("</TABLE> \n");
print("<TABLE> \n");
print("<TR>\n  <TD>");
print("Universitt:</TD>\n  <TD><INPUT TYPE=TEXT NAME=\"publisher_university\" SIZE=30 MAXLENGTH=\"250\" VALUE=\"$publisher_university\">");
#$res = $opus->query ("SELECT * FROM university_$la");
#$num = $opus->num_rows($res);
#if ($num > 0) {
#        print("<SELECT NAME=\"publisher_university\" SIZE=1> \n");
#        $i = 0;
#        while ($i < $num) {
#                $i++;
#                $mrow = $opus->fetch_row($res);
#                print("<OPTION VALUE=\"$mrow[0]\"");
#                if ($mrow [0] == $publisher_university) {
#                        print(" SELECTED");
#                }
#                print(">$mrow[0] \n");
#        }
#        print("</SELECT> \n");
#	$opus->free_result($res);	
#}
#print("</TD>\n</TR> \n");

print("<TR>\n  <TD>");
print("Erstellungsjahr/<BR>Patentanmeldejahr:</TD>\n  <TD><INPUT TYPE=TEXT NAME=\"date_year\" SIZE=4 MAXLENGTH=4 VALUE=\"$date_year\"> \n");
print("</TD>\n</TR> \n");
print("<TR>\n  <TD>");
print("Dokumentart:</TD>\n  <TD>");
$res = $opus->query ("SELECT typeid, dokumentart FROM resource_type_$la");
 
$num = $opus->num_rows($res);
if ($num > 0) {
	print("<SELECT NAME=\"type\" SIZE=1> \n");
	$i = 0;
	while ($i < $num) {
		$i++;
		$mrow = $opus->fetch_row($res);
		print("<OPTION VALUE=\"$mrow[0]\"");
		if ($type == "$mrow[0]") {
			print(" SELECTED> $mrow[1] \n");
		}
		else {
			print("> $mrow[1] \n");
		}
	}
	print("</SELECT> \n");
	$opus->free_result($res);

}
print("</TD>\n</TR> \n");

#BD, 28.4.06, Fakultatswerte in array merken, um sie spter an SciDok zu bergeben
$fak_array = array();

if ($opt_inst > 0) {
	print("<TR>\n  <TD>");
	print("Fakult&auml;t:*</TD>\n  <TD>");
	$res = $opus->query ("SELECT * FROM faculty_$la");
 
	$num = $opus->num_rows($res);
	if ($num > 0) {
	        print("<SELECT NAME=\"publisher_faculty\" SIZE=1> \n");
		print("<OPTION VALUE=\"-1\">Fakult&auml;t bitte ausw&auml;hlen \n");
        	$opus->data_seek ( $res, 0);
	        $i = 0;
        	while ($i < $num) {
	                $i++;
        	        $mrow = $opus->fetch_row($res);
                        $fak_array[i-1] = $mrow;
                	print("<OPTION VALUE=\"$mrow[0]\"");
	                if ($publisher_faculty == "$mrow[0]") {
        	                print(" SELECTED> $mrow[1] \n");
                	}
	                else {
        	                print("> $mrow[1] \n");
                	}
	        }
        	print("</SELECT> \n");
	        $opus->free_result($res);

	}
	print("</TD>\n</TR> \n");
}

print("<TR>\n  <TD>");
print("Hauptberichter:*</TD>\n  <TD><INPUT TYPE=TEXT NAME=\"advisor\" SIZE=80 MAXLENGTH=100 VALUE=\"$advisor\"> \n");
print("</TD>\n</TR> \n");
print("<TR>\n  <TD>");
if ($date_accepted > 0) {
	$date_accepted_format = strftime("%d.%m.%Y", $date_accepted);
	print("m&uuml;ndliche Pr&uuml;fung:*</TD>\n  <TD><INPUT TYPE=TEXT NAME=\"date_accepted\" SIZE=11 MAXLENGTH=11 VALUE=\"$date_accepted_format\"> \n");
}
else {
	print("m&uuml;ndliche Pr&uuml;fung:*</TD>\n  <TD><INPUT TYPE=TEXT NAME=\"date_accepted\" SIZE=11 MAXLENGTH=11> \n");
}
print("</TD>\n</TR> \n");

// Anfang Collections
if( $coll_anzeigen == "true" ){
	$query = "SELECT coll_id FROM $table_coll WHERE source_opus = $source_opus ;";
	$coll1 = $opus->query( $query );
	$anzahl_coll = $opus->num_rows( $coll1 );
	
	$coll_query = "SELECT coll_id, coll_name FROM collections ORDER BY lft;";
	$res2 = $opus->query( $coll_query );
	$num2 = $opus->num_rows( $res2 );
	if( $num2 > 0 ) {
		
		$i = 0;
		while( $i < $anzahl_coll ) {
			$mrow = $opus->fetch_row( $coll1 );
			$coll_id = $mrow[0];
			$i++;
			print("<TR>\n  <TD>");
			print("Collection $i:</TD>\n  <TD>");
			print("<select name=\"collection[]\" size=1> \n");
			print("<option value=\"0\">Bitte Collection w&auml;hlen \n");
			$opus->data_seek( $res2, 0 );
			$j = 0;
			while( $j < $num2 ) {
				$j++;
				$mrow2 = $opus->fetch_row( $res2 );
				$coll_id2 = $mrow2[0];
				$coll_name = $mrow2[1];
				
				// Noch die Eltern herausfinden
				
				$query3 = "SELECT a.coll_name, (a.rgt - a.lft) AS height
							FROM collections AS a, collections AS b
							WHERE b.lft BETWEEN a.lft AND a.rgt
							AND b.rgt BETWEEN a.lft AND a.rgt
							AND b.coll_id = '$coll_id2'
							ORDER BY height DESC;";
				$res3 = $opus->query( $query3 );
				$num3 = $opus->num_rows( $res3 );
				print("<option value=\"$coll_id2\" ");
				if( $coll_id2 == $coll_id ) {
					print( " selected" );
				}
				print ">";
				$m = 0;
				while( $m < $num3 ) {
					$mrow3 = $opus->fetch_row( $res3 );
					$coll_name3 = $mrow3[0];
					if( $coll_name3 != $coll_name ) {
						echo "$coll_name3 -> ";
					} else {
						echo "$coll_name3 \n";
					}
					$m++;
				}

			}
			print("</select>\n" );
			print("</TD>\n</TR> \n");
		}
		
	}
	
	if( $zusatzcoll > 0 ) {
		
		$num = $anzahl_coll + $zusatzcoll;
		while( $i < $num ) {
			$mrow = $opus->fetch_row( $coll1 );
			$coll_id = $mrow[0];
			$i++;
			print("<TR>\n  <TD>");
			print("Collection $i:</TD>\n  <TD>");
			print("<select name=\"collection[]\" size=1> \n");
			print("<option value=\"0\">Bitte Collection w&auml;hlen \n");
			$opus->data_seek( $res2, 0 );
			$j = 0;
			while( $j < $num2 ) {
				$j++;
				$mrow2 = $opus->fetch_row( $res2 );
				$coll_id2 = $mrow2[0];
				$coll_name = $mrow2[1];

				// Noch die Eltern herausfinden
				
				$query3 = "SELECT a.coll_name, (a.rgt - a.lft) AS height
							FROM collections AS a, collections AS b
							WHERE b.lft BETWEEN a.lft AND a.rgt
							AND b.rgt BETWEEN a.lft AND a.rgt
							AND b.coll_id = '$coll_id2'
							ORDER BY height DESC;";
				$res3 = $opus->query( $query3 );
				$num3 = $opus->num_rows( $res3 );
				print("<option value=\"$coll_id2\" ");
				if( $coll_id2 == $coll_id ) {
					print( " selected" );
				}
				print ">";
				$m = 0;
				while( $m < $num3 ) {
					$mrow3 = $opus->fetch_row( $res3 );
					$coll_name3 = $mrow3[0];
					if( $coll_name3 != $coll_name ) {
						echo "$coll_name3 -> ";
					} else {
						echo "$coll_name3 \n";
					}
					$m++;
				}

			}
			print("</select>\n" );
			print("</TD>\n</TR> \n");
		}
	}
	$opus->free_result( $coll1 );
	$opus->free_result( $res2 );
}

// Ende Collections

#print("<TR>\n  <TD>");
#print("<A HREF=\"show_ddc.php?la=$la\" target=\"new\">DDC-Sachgruppe:</a></TD>\n  <TD>");
#$res = $opus->query ("SELECT * FROM sachgruppe_ddc_$la");
#$num = $opus->num_rows($res);
#if ($num > 0) {
#	print("<SELECT NAME=\"sachgruppe_ddc\" SIZE=1> \n");
#	$i = 0;
#	while ($i < $num) {
#		$i++;
#		$mrow = $opus->fetch_row($res);
#		print("<OPTION VALUE=\"$mrow[0]\"");
#		if ($sachgruppe_ddc == "$mrow[0]") {
#			print(" SELECTED");
#		}
#		print(">$mrow[0] $mrow[1] \n");
#	}
#	print("</SELECT> \n");
#	$opus->free_result($res);
#}
#print("</TD>\n</TR> \n");

#print("<TR>\n  <TD>");
#print("Sprache:</TD>\n  <TD>");
#$res = $opus->query ("SELECT * FROM language_$la");
 
#$num = $opus->num_rows($res);
#if ($num > 0) {
#        print("<SELECT NAME=\"language\" SIZE=1> \n");
#        $i = 0;
#        while ($i < $num) {
#                $i++;
#                $mrow = $opus->fetch_row($res);
#                print("<OPTION VALUE=\"$mrow[0]\"");
#                if ($language == "$mrow[0]") {
#                        print(" SELECTED> $mrow[1] \n");
#                }
#                else {
#                        print("> $mrow[1] \n");
#                }
#        }
#        print("</SELECT> \n");
#        $opus->free_result($res);
#
#}
#print("</TD>\n</TR> \n");
print("<TR>\n  <TD>");
print("ISBN:</TD>\n  <TD><INPUT TYPE=TEXT NAME=\"isbn\" SIZE=30 MAXLENGTH=30 VALUE=\"$isbn\"> \n");
print("</TD>\n</TR> \n");
print("<TR>\n  <TD>");
print("Quelle:</TD>\n  <TD><INPUT TYPE=TEXT NAME=\"source_title\" SIZE=120 MAXLENGTH=450 VALUE=\"$source_title\"> \n");
print("</TD>\n</TR> \n");
#print("<TR>\n  <TD>");
#print("SWB-Ident-Nr.:</TD>\n  <TD><INPUT TYPE=TEXT NAME=\"source_swb\" SIZE=10 MAXLENGTH=10 VALUE=\"$source_swb\"> \n");
#print("</TD>\n</TR> \n");
print("<TR>\n  <TD>");
print("Email:\n</TD>  <TD><INPUT TYPE=TEXT NAME=\"verification\" SIZE=80 MAXLENGTH=200 VALUE=\"$verification\"> \n");
print("<TR>\n  <TD>");


if ($gueltig_anzeigen) {
	print("<TR>\n  <TD>");
	if ($date_valid > 0 || $date_valid == NULL) {
		$date_valid_format = strftime("%d.%m.%Y", $date_valid);
		print("G&uuml;ltig bis:</TD>\n  <TD><INPUT TYPE=TEXT NAME=\"date_valid\" SIZE=11 MAXLENGTH=11 VALUE=\"$date_valid_format\"> (Format 31.01.2000, 0 f&uuml;r unbeschr&auml;nkt) \n");
	}
	else {
		print("G&uuml;ltig bis:</TD>\n  <TD><INPUT TYPE=TEXT NAME=\"date_valid\" SIZE=11 MAXLENGTH=11 VALUE=\"$date_valid\"> (Format 31.01.2000, 0 f&uuml;r unbeschr&auml;nkt) \n");
	}
	print("<TR>\n  <TD>");
}
else {
	print(" <INPUT TYPE=\"hidden\"  NAME=\"date_valid\" VALUE=\"0\">");
}

if ($subject_type != "") {
	print("<INPUT TYPE=\"hidden\" NAME=\"subject_type\" VALUE=\"$subject_type\">");	
	print("<TR>\n  <TD>");
	$res = $opus->query("SELECT name from klassifikation_$la where table_name = '$subject_type' ");
	$mrow = $opus->fetch_row($res);
	$class_name = $mrow[0];
	$opus->free_result($res);

	$table_subject_type = $table . "_" . $subject_type;
        $res = $opus->query("SELECT class from $table_subject_type where source_opus = $source_opus ");
        $num = $opus->num_rows($res);
        if ($num > 0) {
                $mrow = $opus->fetch_row($res);
                $class = $mrow[0];
                $i = 1;
                while ($i < $num) {
                        $i++;
                        $mrow = $opus->fetch_row($res);
                        $class = "$class , $mrow[0]";
                }
		$opus->free_result($res);
		$res = $opus->query("SELECT name from klassifikation_$la where table_name = '$subject_type' ");
		$mrow = $opus->fetch_row($res);
		$class_name = $mrow[0];
                print("$class_name:</TD>\n  <TD><INPUT TYPE=TEXT NAME=\"subject_value\" SIZE=80 MAXLENGTH=100 VALUE=\"$class\"> \n");
	}
	else {
		print("$class_name:</TD>\n  <TD><INPUT TYPE=TEXT NAME=\"subject_value\" SIZE=80 MAXLENGTH=100> \n");
	}
        $opus->free_result($res);
	print("</TD>\n</TR> \n");
}
else {
	print("<INPUT TYPE=\"hidden\" NAME=\"subject_type\" VALUE=\"\"> \n");
}

/***** Schriftenreihe Start *****/
#print("<TR>\n  <TD>");
#print("Schriftenreihe:</TD>\n  <TD>");
#$table_sr = $table . "_schriftenreihe";

#$sr_id = "";
#$sr_band = "";

#$res = $opus->query ("SELECT sr_id, sequence_nr FROM $table_sr where source_opus=$source_opus");
#$num = $opus->num_rows($res);
#$mrow = $opus->fetch_row($res);
#$sr_id = $mrow[0];
#$sr_band = $mrow[1];


# UH 2005-11-10: auskommentiert wg. Fehlermeldung
#$res2 = $opus->query("SELECT sr_id, name FROM schriftenreihe");
#$num = $opus->num_rows($res2);
#$i = 0;

#print("<SELECT NAME=\"sr_id\" SIZE=1>\n");
#print("<OPTION VALUE=\"\">keine Schriftenreihe \n");
#while ( $i < $num ) {
#        $i++;
#        $mrow = $opus->fetch_row($res2);
#        print("<OPTION VALUE='$mrow[0]'");
#        if ($sr_id == "$mrow[0]") {
#                print(" SELECTED> $mrow[1] \n");
#        }
#        else {
#        print("> $mrow[1] \n");
#        }
#}

#print("</SELECT> \n");
#print("</TD>\n</TR> \n");
#print("<TR>\n  <TD>"); 
#print("Bandnummer:</TD>\n  <TD><INPUT TYPE=TEXT NAME=\"sr_band\" VALUE=\"$sr_band\" SIZE=10 MAXLENGTH=10> ");
#print("</TD>\n</TR> \n"); 

#$opus->free_result($res2);

#$opus->free_result($res);
/***** Schriftenreihe Stop *****/

# Zugriff auf Volltexte weltweit/campusweit/weitere Bereiche
#print("<TR>\n  <TD>");
#printf("Zugriffsbeschr&auml;nkung:</TD>\n  <TD>");
#if ($table == "$temp_table") { // Nur so lange ein Dokument den Temp-status hat ist es
#                               // moeglich zwischen campusweit und weltweit zu waehlen

#        $res = $opus->query("SELECT * FROM bereich_$la");
#        $num = $opus->num_rows($res);
#        if ($num > 0) {
#                printf("<select name=\"bereich_id\" size=1>\n");
#                $i = 0;
#                while ($i < $num) {
#                        $i++;
#                        $mrow = $opus->fetch_row($res);
#                        printf("<option value=\"$mrow[0]\"");
#                        if ($bereich_id == "$mrow[0]") {
#                                printf(" selected>$mrow[1]\n");
#                        }
#                        else {
#                                printf(">$mrow[1] \n");
#                        }
#                }
#                printf("</select>\n");
#                $opus->free_result($res);
#        }
#	$volltext_pfad = $conf->value("incoming_pfad");
#	$volltext_url = $conf->value("incoming_url");
#} 
#else {
	# Falls in Altbestaenden (< Opus 3.0) kein Bereich angegeben ist,
	# wird bereich_id auf 1 gesetzt = freier Zugriff auf die Dokumente,
	# sonst kommt eine Fehlermeldung der Datenbank
#	if ($bereich_id == "" || $bereich_id == 0) {
#		$bereich_id = 1;
#	}
#        $res = $opus->query("SELECT bereich, volltext_pfad, volltext_url FROM bereich_$la WHERE bereich_id = $bereich_id");
#        $num = $opus->num_rows($res);
#        if ($num > 0) {
#                $mrow = $opus->fetch_row($res);
#                printf("$mrow[0]");
#		$volltext_pfad = $mrow[1];
#		$volltext_url = $mrow[2];
#        }
#        $opus->free_result($res);
#}
#print("</TD>\n</TR> \n");
#print("<input type=\"hidden\" name=\"bereich_id\" value=\"$bereich_id\">");

## Ende Zugriff auf Volltexte weltweit/campusweit/weitere Bereiche

#if (file_exists("$volltext_pfad/$jahr/$source_opus/index.html") == 1) {
#	print("<TR>\n  <TD>");
#        print("Volltext:</TD>\n  <TD><A HREF=\"$volltext_url/$jahr/$source_opus/\">$source_opus-index.html</A> \n");
#	print("</TD>\n</TR> \n");
#}

print("<TR>\n  <TD>");
$date_creation_format = strftime("%d.%m.%Y", $date_creation);
print("Publikationsdatum:</TD>\n  <TD>$date_creation_format \n");
print("</TD>\n</TR> \n");

if ($date_modified_old != NULL) {
	print("<TR>\n  <TD>");
	$date_modified_old_format = strftime("%d.%m.%Y", $date_modified_old);
	print("Datum letzte &Auml;nderung:</TD>\n  <TD>$date_modified_old_format \n");
	print("</TD>\n</TR> \n");
}

if ($urn != "") {
	print("<TR>\n  <TD>");
	print("URN:</TD>\n  <TD>$urn \n");
	print("</TD>\n</TR> \n");
}

print("<TR>\n  <TD>");
print("$projekt-Ident-Nr.:</TD>\n  <TD>$source_opus \n");
print("</TD>\n</TR> \n");

# Start Lizenzvertrag
#$lic_active = $conf->value("license_active");
#if ($lic_active > 0) {
#    $admin_active_only = $conf->value("admin_active_only");
#    if ( $admin_active_only ) {
#      $licsql = "SELECT shortname,longname,link from license_$la where active = 1 order by shortname";
#    } else {
#      $licsql = "SELECT shortname,longname,link from license_$la order by shortname";
#    }
#    $licres = $opus->query ($licsql);
#    $licnum = $opus->num_rows($licres);
#    if ($licnum > 0) {
#        $lic_adminshow = $conf->value("license_admin");
#	print("<TR>\n  <TD>");
#        print ("<a href=\"$lic_adminshow\" target=\"_blank\">Lizenz / Vertrag:</a></TD>\n");
#        print ("  <TD><select name=\"lic\" size=\"1\">\n");
#        print ("<option value=\"\">(kein Vertrag)</option>\n");
#        $licount = 0; $lichit = 0;
#        while ($licount < $licnum) {
#            $licount++;
#            $licrow = $opus->fetch_row($licres);
#            $licname = $licrow[0];
#            if ($licname == $lic) {
#                print ("<option selected value=\"$licname\">");
#                $lichit = 1;
#            } else {
#                print ("<option value=\"$licname\">");
#            }
#            print $licrow[1];
#            print ("</option>\n");
#        }
#        print("</select>\n");
#        if ($lichit == 0) {
#            if (!$lic) {
#                $lic_err = "NULL";
#            } else {
#                $lic_err = $lic;
#            }
#            print("<small><font color=\"red\">\n&nbsp;Keine Lizenz ($lic_err).\n");
#            print("(license_active=".$lic_active.").</font></small>\n");
#        }
#	print("</TD>\n</TR> \n");
#    }
#}
# Ende Lizenzvertrag

if ($table == $temp_table) {
print("<TR>\n  <TD>");
print("Status:</TD>\n  <TD><SELECT NAME=\"status\" SIZE=1> \n
<OPTION SELECTED>$status");

if ($status != "neu") {
        print("<OPTION>neu");
}
if ($status != "in Bearbeitung") {
        print("<OPTION>in Bearbeitung");
}
if ($status != "o.k.") {
        print("<OPTION>o.k.");
}
print("</SELECT> \n");
print("</TD>\n</TR> \n");
}

print("</TABLE> \n");

print("\n<P>Bemerkung intern:<BR> \n");
print("<textarea NAME=\"bem_intern\" COLS=80 ROWS=4>$bem_intern</textarea> \n");

print("\n<P>Bemerkung extern:<BR> \n");
print("<textarea NAME=\"bem_extern\" COLS=80 ROWS=4>$bem_extern</textarea> \n");

print("\n<P> \n");


print("<INPUT TYPE=HIDDEN NAME=\"source_opus\" VALUE=\"$source_opus\">");
print("<INPUT TYPE=HIDDEN NAME=\"date_modified\" VALUE=\"$date_modified\">");
print("<INPUT TYPE=HIDDEN NAME=\"table\" VALUE=\"$table\">");

print("<TABLE BORDER = 0> \n");
print("<TR> \n");
print("<TD VALIGN = TOP> \n");
print("<INPUT TYPE=SUBMIT NAME=\"Aendern\" VALUE=\"&Auml;ndern\">");
print("</FORM> \n\n");
print("</TD> \n\n");

print("<TD VALIGN = TOP> \n");
print("<FORM METHOD=\"POST\" ACTION=\"$url/admin/druck.$php\"> \n");
print("<INPUT TYPE=\"hidden\" NAME=\"source_opus\" VALUE=\"$source_opus\"> \n");
print("<INPUT TYPE=\"hidden\" NAME=\"table\" VALUE=\"$table\"> \n");
print("<INPUT TYPE=SUBMIT VALUE=\"Drucken\"> ");
print("</FORM> \n");
print("</TD> \n\n");

if ($table == "$temp_table") {
$nbn = $nbn . $source_opus;
print("<TD VALIGN = TOP> \n");
print("<FORM METHOD=\"POST\" ACTION=\"$url/admin/nbn-pruefziffer.$php\"> \n");
print("<INPUT TYPE=\"hidden\" NAME=\"NBN\" VALUE=\"$nbn\"> \n");
print("<input type=\"submit\" name=\"berechnen\" value=\"URN berechnen\"> \n");
print("</FORM> \n");
print("</TD> \n\n");
}
print("<TD></TD>");
print("</TR> \n");

# UH/BD, 28.4.06, Volltext auf SciDok verffentlichen
print("<FORM METHOD=\"POST\" ACTION=\"http://scidok.sulb.uni-saarland.de/uni/uploadform.$php\">");
print("<INPUT TYPE=hidden NAME=\"anzahlfiles\" VALUE=\"1\">
<INPUT TYPE=hidden NAME=\"title\" VALUE=\"$title\">
<INPUT TYPE=hidden NAME=\"title_en\" VALUE=\"$title_en\">
<INPUT TYPE=hidden NAME=\"title_de\" VALUE=\"$title_de\">
<INPUT TYPE=hidden NAME=\"creator_corporate\" VALUE=\"$creator_corporate\">
<INPUT TYPE=hidden NAME=\"subject_swd\" VALUE=\"$subject_swd\">
<INPUT TYPE=hidden NAME=\"subject_uncontrolled_german\" VALUE=\"$subject_uncontrolled_german\">
<INPUT TYPE=hidden NAME=\"subject_uncontrolled_english\" VALUE=\"$subject_uncontrolled_english\">
<INPUT TYPE=hidden NAME=\"sachgruppe_ddc\" VALUE=\"$sachgruppe_ddc\">
<INPUT TYPE=hidden NAME=\"subject_type\" VALUE=\"$subject_type\">
<INPUT TYPE=hidden NAME=\"subject_value\" VALUE=\"$subject_value\">
<INPUT TYPE=hidden NAME=\"sr_id\" VALUE=\"$sr_id\">
<INPUT TYPE=hidden NAME=\"sr_band\" VALUE=\"$sr_band\">
<INPUT TYPE=hidden NAME=\"description\" VALUE=\"$description\">
<INPUT TYPE=hidden NAME=\"description2\" VALUE=\"$description2\">
<INPUT TYPE=hidden NAME=\"publisher_university\" VALUE=\"$publisher_university\">
<INPUT TYPE=hidden NAME=\"contributors_name\" VALUE=\"$contributors_name\">
<INPUT TYPE=hidden NAME=\"contributors_corporate\" VALUE=\"$contributors_corporate\">
<INPUT TYPE=hidden NAME=\"date_year\" VALUE=\"$date_year\">
<INPUT TYPE=hidden NAME=\"type\" VALUE=\"$type\">
<INPUT TYPE=hidden NAME=\"isbn\" VALUE=\"$isbn\">
<INPUT TYPE=hidden NAME=\"source_title\" VALUE=\"$source_title\">
<INPUT TYPE=hidden NAME=\"language\" VALUE=\"$language\">
<INPUT TYPE=hidden NAME=\"verification\" VALUE=\"$verification\">
<INPUT TYPE=hidden NAME=\"bem_intern\" VALUE=\"$bem_intern\">
<INPUT TYPE=hidden NAME=\"date_accepted\" VALUE=\"$date_accepted\">
<INPUT TYPE=hidden NAME=\"advisor\" VALUE=\"$advisor\">
<INPUT TYPE=hidden NAME=\"dauer\" VALUE=\"$dauer\">
<INPUT TYPE=hidden NAME=\"description_lang\" VALUE=\"$description_lang\">
<INPUT TYPE=hidden NAME=\"description2_lang\" VALUE=\"$description2_lang\">
<input type=hidden name=\"bereich\" value=\"$bereich\">
");
$i = 0;
$verf_name = array();
if ( $anzahl_creator_name  > 0 ) {
	$opus->data_seek($autor,0);
	while ($i < $anzahl_creator_name) {
	        $mrow = $opus->fetch_row($autor);
	        $verf_name[$i] = htmlspecialchars($mrow[0]);
	        print("<INPUT TYPE = hidden NAME =\"creator_name[]\" VALUE =\"$verf_name[$i]\"> \n");
	        $i++;
	}
}


# BD/UH, 28.4.06, publisher_inst muss gesetzt sein, ist im alten OPUS leer, muss spter noch korrekt bernommen werden!!!
print("
<INPUT TYPE=hidden NAME=\"publisher_faculty\" VALUE=\"$publisher_faculty\"> 
<INPUT TYPE=hidden NAME=\"publisher_inst\" VALUE=\"  \"> 
<INPUT TYPE=hidden NAME=\"zusatzfiles\" VALUE=\"0\">
<input type=\"hidden\" name=\"la\" value=\"$la\">
");

print("<INPUT TYPE=SUBMIT VALUE=\"Volltext auf SciDok verffentlichen\"> \n");
print("</FORM> \n");

print("<TR> \n");
print("<TD VALIGN = TOP> \n");
print("<FORM METHOD=\"POST\" ACTION=\"$url/admin/abfrage_loeschen.$php\"> \n");
print("<INPUT TYPE=\"submit\"  VALUE=\"L&ouml;schen\"> \n");
print("<INPUT TYPE=\"hidden\" NAME=\"table\" VALUE=\"$table\"> \n");
print("<INPUT TYPE=\"hidden\" NAME=\"title\" VALUE =\"$title\"> \n");

if ( $anzahl_creator_name  > 0 ) {
	$opus->data_seek($autor,0);
	$mrow = $opus->fetch_row($autor);
	$creator_name = htmlspecialchars($mrow[0]);
	$i = 1;
	while ($i < $anzahl_creator_name) {
	        $i++;
	        $mrow = $opus->fetch_row($autor);
		$mrow[0] = htmlspecialchars($mrow[0]);
		$creator_name = "$creator_name ; $mrow[0]";
	}
	print("<INPUT TYPE = hidden NAME = \"creator_name\" VALUE =\"$creator_name\"> \n");
}

print("<INPUT TYPE=\"hidden\" NAME=\"jahr\" VALUE=\"$jahr\"> \n");
print("<INPUT TYPE=\"hidden\" NAME=\"source_opus\" VALUE=\"$source_opus\"> \n");
print("<INPUT TYPE=\"hidden\" NAME=\"type\" VALUE=\"$type\"> \n");
print("</FORM> \n");
print("</TD> \n");

if ($table == $temp_table) {
print("<TD VALIGN = TOP colspan=3> \n");
print("<FORM METHOD=\"POST\" ACTION=\"$url/admin/sachgruppe.$php\"> \n");
print("<INPUT TYPE=\"hidden\" NAME=\"source_opus\" VALUE=\"$source_opus\"> \n");
print("<INPUT TYPE=\"hidden\" NAME=\"jahr_temp\" VALUE=\"$jahr\"> \n");
print("<INPUT TYPE=\"submit\"  VALUE=\"&Uuml;bernahme des Satzes in $opus_table\"> \n");
}
else {
print("<TD VALIGN = TOP> \n");
print("<FORM METHOD=\"POST\" ACTION=\"$url/admin/indexfile.$php\"> \n");
print("<INPUT TYPE=\"submit\"  VALUE=\"Indexdatei erstellen\"> \n");
print("<INPUT TYPE=\"hidden\" NAME=\"von\" VALUE =\"$source_opus\"> \n");
print("<INPUT TYPE=\"hidden\" NAME=\"bis\" VALUE =\"$source_opus\"> \n");
print("</FORM> \n");
print("<TD VALIGN = TOP> \n");
print("<FORM METHOD=\"POST\" ACTION=\"$url/admin/bereiche_auflisten.$php\"> \n");
print("<INPUT TYPE=\"submit\"  VALUE=\"Zugriffsbeschr&auml;nkung &auml;ndern\"> \n");
print("<INPUT TYPE=\"hidden\" NAME=\"source_opus\" VALUE=\"$source_opus\"> \n");
print("<INPUT TYPE=\"hidden\" NAME=\"jahr\" VALUE=\"$jahr\"> \n");
print("<INPUT TYPE=\"hidden\" NAME=\"bereich_id\" VALUE=\"$bereich_id\"> \n");
}
print("</FORM> \n");
print("</TD> \n");
print("</TR> \n");

if ($table == "$temp_table") {
print("<TR> \n");
print("<TD VALIGN = TOP> \n");
print("<FORM METHOD=\"POST\" ACTION=\"$url/admin/dateimanager.$php\"> \n");
print("<INPUT TYPE=\"submit\"  VALUE=\"Dateimanager\"> \n");
print("<INPUT TYPE=\"hidden\" NAME=\"creator_name\" VALUE=\"$creator_name\"> \n");
print("<INPUT TYPE=\"hidden\" NAME=\"title\" VALUE = \"$title\"> \n");
print("<INPUT TYPE=\"hidden\" NAME=\"source_opus\" VALUE=\"$source_opus\"> \n");
print("<INPUT TYPE=\"hidden\" NAME=\"jahr\" VALUE=\"$jahr\"> \n");
print("</FORM> \n");
print("</TD> \n");

print("<TD VALIGN = TOP colspan=2> \n");
print("<FORM METHOD=\"POST\" ACTION=\"$url/admin/klassifikationen_auflisten.$php\"> \n");
print("<INPUT TYPE=\"hidden\" NAME=\"source_opus\" VALUE=\"$source_opus\"> \n");
print("<INPUT TYPE=\"submit\"  VALUE=\"Klassifikationsfeld anlegen\"> \n");
print("</FORM> \n");
print("</TD> \n");

print("</TR> \n");
}

print("</TABLE> \n");

}

$opus->close($sock);
$design->foot("aendern.$php", $la);
?>

