<?
#############################################################
# letzte nderung:
#
# 22.4.2005, Annette Maile, UB Stuttgart
# Auslagerung Design in lib/design.php
# In Abhaengigkeit von $la kann das entsprechende Design eingelesen werden.
#
#############################################################

include ("../../lib/class.configFile.php");
$conf = new configFile ("../../lib/opus.conf");
$dbms = $conf->value("dbms");
$php = $conf->value("php");

include ("../../lib/class.opus_$dbms.$php");
$opus = new opus;

$db = $conf->value("db");
$table = $conf->value("opus_table");
$url = $conf->value("url");

$titel = $conf->value("titel_bereich_aaendern");
$ueberschrift = $conf->value("ueberschrift_bereiche_aendern");

include ("../../lib/stringValidation.php");
$source_opus = $_REQUEST['source_opus'];
if (! _is_valid($source_opus,1,10,"[0-9]+")) {die ("Fehler in Parameter source_opus");}
$volltext_pfad_alt = $_REQUEST['volltext_pfad_alt'];
$volltext_pfad_alt = eregi_replace("[`\n\r]","",$volltext_pfad_alt);
$jahr = $_REQUEST['jahr'];
if (! _is_valid($jahr,4,4,"[0-9]+")) {die ("Fehler in Parameter jahr");}
$bereich_id = $_REQUEST['bereich_id'];
if (! _is_valid($bereich_id,0,20,"[0-9]*")) {die ("Fehler in Parameter bereich_id");}
$la = $_REQUEST['la'];
if (! _is_valid($la,0,2,"[a-z]*")) {die ("Fehler in Parameter la");}


# A.Maile 22.4.05: Sprache einlesen aus opus.conf, falls nicht gesetzt
if (!$la){
       $la = $conf->value("la");
}

# Annette Maile, 22.4.05 Design aus lib/design.php einlesen
require ("../../lib/design.$php");
$design = new design;
$design->head_titel($titel);
$design->head_ueberschrift($ueberschrift, $la);

print("<FONT COLOR=red>");
$sock = $opus->connect();
if ( $sock < 0 ) { 
	echo ("Error: $ERRMSG\n"); 
} 
if ( $opus->select_db($db) < 0 ) {
	echo ("Error: $ERRMSG\n"); 
} 
print ("</FONT>\n");


$stat = $opus->query ("UPDATE $table SET bereich_id = $bereich_id WHERE source_opus = $source_opus");
if ( $stat < 0 ) {
	die("ERROR $table: $ERRMSG <p><HR>\nDatensatz wurde nicht ge&auml;ndert!");
}

$res = $opus->query ("SELECT bereich, volltext_pfad FROM bereich_$la where bereich_id = $bereich_id");
$num = $opus->num_rows($res);
if ($num > 0) {
	$mrow = $opus->fetch_row($res);
	$bereich = $mrow[0];
	$volltext_pfad_neu = $mrow[1];
	$opus->free_result($res);
}

$ret = $opus->system ("mv $volltext_pfad_alt/$jahr/$source_opus $volltext_pfad_neu/$jahr/$source_opus");
if ($ret > 0) {
	die("Das Verzeichnis $volltext_pfad_alt/$jahr/$source_opus konnte nicht nach $volltext_pfad_neu/$jahr/$source_opus verschoben werden!");
}


print("\nDie Zugriffsbeschr&auml;nkung zu IDN $source_opus wurde ge&auml;ndert auf: <b>$bereich</b>.\n<p>");
print("<a href=\"aendern.php?suchfeld=source_opus&suchwert=$source_opus&table=$table\">Zur&uuml;ck zum aktualisierten Datensatz</a><p>");
print("<a href=\"index.php\">Zur&uuml;ck zur Adminseite</a><br><br>\n");


$opus->close($sock);

$design->foot("bereiche_auflisten.$php", $la);
?>

