<?
#############################################################
# letzte nderung:
#
# 22.4.2005, Annette Maile, UB Stuttgart
# Auslagerung Design in lib/design.php
# In Abhaengigkeit von $la kann das entsprechende Design eingelesen werden.
#
#############################################################

include ("../../lib/class.configFile.php");
$conf = new configFile ("../../lib/opus.conf");
$dbms = $conf->value("dbms");
$php = $conf->value("php");

$db = $conf->value("db");
$url = $conf->value("url");
$home = $conf->value("home");

$projekt = $conf->value("projekt");
$opus_table = $conf->value("opus_table");
$temp_table = $conf->value("temp_table");
$opus_coll = $opus_table . "_coll";
$temp_coll = $temp_table . "_coll";


$titel = $conf->value("titel_collections_update");
$ueberschrift = $conf->value("ueberschrift_collections_update");

include ("../../lib/stringValidation.php");
$coll_id = $_REQUEST['coll_id'];
if (! _is_valid($coll_id,0,10,"[0-9]*")) {die ("Fehler in Parameter coll_id");}
$la = $_REQUEST['la'];
if (! _is_valid($la,0,2,"[a-z]*")) {die ("Fehler in Parameter la");}

# A.Maile 22.4.05: Sprache einlesen aus opus.conf, falls nicht gesetzt
if (!$la){
       $la = $conf->value("la");
}

# Annette Maile, 22.4.05 Design aus lib/design.php einlesen
require ("../../lib/design.$php");
$design = new design;
$design->head_titel($titel);
$design->head_ueberschrift($ueberschrift, $la);

include ("../../lib/class.opus_$dbms.$php");
$opus = new opus;

$sock = $opus->connect();
if ($sock < 0 ) {
	echo ("Error: $ERRMSG\n");
}

if ($opus->select_db($db) < 0 ) {
echo ("Error: $ERRMSG\n");
}
print("</FONT>");

//echo "<p>Id der Collection die weg muss $coll_id</p>";

// Wir brauchen verschiedene Werte aus der Datenbank

$query = "SELECT root_id, lft, rgt FROM collections WHERE coll_id = '$coll_id';";

//echo "<p>Query: $query</p>";

$res = $opus->query( $query );
$num = $opus->num_rows( $res );

if( $num < 1 ) {	// es gibt keinen Datenbankeintrag fr die Anfrage..
	echo "<p>Seltsames geht in der Datenbank vor. Der Eintrag coll_id $coll_id wurde nicht gefunden</p>";
} elseif( $num > 1 ) {	//es wurde mehr als einen Datenbankeintrag fr die Anfrage gefunden...
	echo "<p>Oh oh! Big problems! Es wurde mehr als ein Eintrag fr coll_id $coll_id gefunden!</p>"; 
} else {	// es gibt, wie es sich gehrt, nur einen Eintrag
	
	$mrow = $opus->fetch_row($res);
	$root_id = $mrow[0];
	$lft = $mrow[1];
	$rgt = $mrow[2];
	
	$opus->free_result( $res );
	
//	echo "<p>Root_id ist $root_id, lft ist $lft, rgt ist $rgt</p>";
	
	// Eine Variable, $move muss berechnet werden, die angibt, um welche Werte die $lft / $rgt-Attribute der Folgeknoten vermindert werden mssen
	
	$move = floor(( $rgt - $lft ) / 2 );
	$move = 2 * ( 1 + $move );
	
//	echo "<p>Move ist $move</p>";

	// Jetzt kann der Teilbaum entfernt werden
	
	$query_delete = "DELETE FROM collections
						WHERE root_id = '$root_id'
						AND lft BETWEEN '$lft' AND '$rgt';";
						
	$query_update1 = "UPDATE collections
						SET lft = lft - $move
						WHERE root_id = '$root_id' and lft > '$rgt';";
	
	$query_update2 = "UPDATE collections
						SET rgt = rgt - $move
						WHERE root_id = '$root_id' AND rgt > '$rgt';";
						
	$res = $opus->query( "LOCK TABLES collections WRITE" );
	$opus->free_result( $res );
	$delete_ok = $res = $opus->query( $query_delete );
	$opus->free_result( $res );
	$update1_ok = $res = $opus->query( $query_update1 );
	$opus->free_result( $res );
	$update2_ok = $res = $opus->query( $query_update2 );
	$opus->free_result( $res );
	$res = $opus->query( "UNLOCK TABLES" );
	$opus->free_result( $res );
	
	if( $delete_ok == 1 && $update1_ok == 1 && $update2_ok == 1 ) {
		echo "<p>Die Collection wurde aus der Datenbank entfernt</p>";
	} else {
		echo "<p>Die Collection konnte nicht aus der Datenbank entfernt werden. ($insert_ok/$update_ok)</p>";
	}

}

// Nun mssen noch eventuelle Verbindungen von Dokumenten mit der Collection entfernt werden

// Zuerst aus der Tabelle opus_coll

$stat_opus_coll = $opus->query("DELETE FROM $opus_coll WHERE coll_id = '$coll_id'");

// Dann aus der Tabelle temp_coll

$stat_temp_coll = $opus->query("DELETE FROM $temp_coll WHERE coll_id = '$coll_id'");

// Fertig!

echo "<p><a href=\"$url/admin/collections.php?la=$la\">Zur&uuml;ck zur Collection-Administration</a></p>";

$opus->close($sock);
$design->foot("collections_delete.$php", $la);
?>

