<?
#############################################################
# letzte nderung:
#
# 22.4.2005, Annette Maile, UB Stuttgart
# Auslagerung Design in lib/design.php
# In Abhaengigkeit von $la kann das entsprechende Design eingelesen werden.
#
#############################################################

include ("../../lib/class.configFile.php");
$conf = new configFile ("../../lib/opus.conf");
$dbms = $conf->value("dbms");
$php = $conf->value("php");

$db = $conf->value("db");
$url = $conf->value("url");
$home = $conf->value("home");

$projekt = $conf->value("projekt");

$titel = $conf->value("titel_collections_loeschen");
$ueberschrift = $conf->value("ueberschrift_collections_loeschen");

include ("../../lib/stringValidation.php");
$la = $_REQUEST['la'];
if (! _is_valid($la,0,2,"[a-z]*")) {die ("Fehler in Parameter la");}

# A.Maile 22.4.05: Sprache einlesen aus opus.conf, falls nicht gesetzt
if (!$la){
       $la = $conf->value("la");
}

# Annette Maile, 22.4.05 Design aus lib/design.php einlesen
require ("../../lib/design.$php");
$design = new design;
$design->head_titel($titel);
$design->head_ueberschrift($ueberschrift, $la);

include ("../../lib/class.opus_$dbms.$php");
$opus = new opus;

$sock = $opus->connect();
if ($sock < 0 ) {
	echo ("Error: $ERRMSG\n");
}

if ($opus->select_db($db) < 0 ) {
echo ("Error: $ERRMSG\n");
}
print("</FONT>");

// Zuerst machen wir eine Datenbankabfrage und checken, ob es Collections gibt, und wenn ja, welche:
$query = "SELECT * FROM collections";
		
$res = $opus->query ($query);
$num = $opus->num_rows($res);

if( $num > 0 ) {	// Es gibt bereits Eintrge in der Tabelle collections
	
	print("<form method=\"post\" action=\"$url/admin/collections_delete.$php\">
	<table border=0>	<tr><td colspan=2>
	<p>Bitte w&auml;hlen Sie die Collection aus, die gel&ouml;scht werden soll</p>
	<p>
	<p><b>Achtung: Alle Unter-Collectionen der Collection werden auch gel&ouml;scht!</b></p>
	");
	
	$query = "SELECT coll1.coll_id, coll1.coll_name, 
			IF (coll1.coll_id = coll1.root_id,
			round( (coll1.rgt - 2) / 2, 0),
			round( ( (coll1.rgt - coll1.lft - 1) / 2), 0)
		) AS children,
		COUNT(*) AS level 
		FROM collections as coll1, 
		collections as coll2 
		WHERE coll1.root_id = 1 
		AND coll2.root_id = 1 
		AND coll1.lft BETWEEN coll2.lft AND coll2.rgt
		GROUP BY coll1.lft;";
	
	$res2 = $opus->query( $query );
	$num = $opus->num_rows( $res2 );
	
	if( $num > 0 ) {
		$i = 0;
		while( $i < $num ) {
			$mrow = $opus->fetch_row($res2);
			$coll_id = $mrow[0];
			$coll_name = $mrow[1];
			$children = $mrow[2];
			$indent = str_repeat( "&nbsp;&nbsp;", $mrow[3] );
			print( "$indent <input type=\"radio\" name=\"coll_id\" value=\"$coll_id\">$coll_name (Anzahl Untercollections: $children)<br>
			");
			$i++;
		}

	} else {	// Vorhandene Eintrge werden mit der query nicht gefunden
		echo "<p>Houston, we have a problem</p>";
	}
	
	$opus->free_result( $res2 );
	
	print("</td></tr>
	<tr>
	<td><input type=\"submit\" value=\"Abschicken\"></td>
	<td><input type=\"reset\" value=\"L&ouml;schen\"></td>
	</tr></table>
	<input type=\"hidden\" name=\"la\" value=\"$la\">
	</form> 
	");

	
} else {			// Es gibt noch keine Eintrge in der Tabelle collections
	
	print("<p>Es gibt keine Collection, die man l&ouml;schen kann</p>
	");
}

$opus->free_result( $res );

$opus->close($sock);
$design->foot("collections_loeschen.$php", $la);
?>

