<?
#############################################################
# letzte nderung:
#
# 22.4.2005, Annette Maile, UB Stuttgart
# Auslagerung Design in lib/design.php
# In Abhaengigkeit von $la kann das entsprechende Design eingelesen werden.
#
#############################################################

include ("../../lib/class.configFile.php");
$conf = new configFile ("../../lib/opus.conf");
$dbms = $conf->value("dbms");
$php = $conf->value("php");

$db = $conf->value("db");
$url = $conf->value("url");
$home = $conf->value("home");

$projekt = $conf->value("projekt");

$titel = $conf->value("titel_collections_update");
$ueberschrift = $conf->value("ueberschrift_collections_update");

include ("../../lib/stringValidation.php");
$root = $_REQUEST['root'];
if ($root != "yes" && $root != "no") {die ("Fehler in Parameter root");}
$coll_name = $_REQUEST['coll_name'];
$coll_name = eregi_replace("[`\n\r]","",$coll_name);
$coll_before = $_REQUEST['coll_before'];
if (! _is_valid($coll_before,0,10,"[0-9]*")) {die ("Fehler in Parameter coll_before");}
$la = $_REQUEST['la'];
if (! _is_valid($la,0,2,"[a-z]*")) {die ("Fehler in Parameter la");}

# A.Maile 22.4.05: Sprache einlesen aus opus.conf, falls nicht gesetzt
if (!$la){
       $la = $conf->value("la");
}

# Annette Maile, 22.4.05 Design aus lib/design.php einlesen
require ("../../lib/design.$php");
$design = new design;
$design->head_titel($titel);
$design->head_ueberschrift($ueberschrift, $la);

include ("../../lib/class.opus_$dbms.$php");
$opus = new opus;

$sock = $opus->connect();
if ($sock < 0 ) {
	echo ("Error: $ERRMSG\n");
}

if ($opus->select_db($db) < 0 ) {
echo ("Error: $ERRMSG\n");
}
print("</FONT>");

if( $root == "yes" ) { // Dies ist der allererste Eintrag in die Tabelle collections

	$query_insert = "INSERT INTO collections( coll_name, lft, rgt )
						VALUES( \"$coll_name\", 1, 2 );";
	$query_update = "UPDATE collections
						SET root_id = LAST_INSERT_ID()
						WHERE coll_id = LAST_INSERT_ID();";
	
	$res = $opus->query( "LOCK TABLES collections WRITE" );
	$opus->free_result( $res );
	$insert_ok = $res = $opus->query( $query_insert );
	$opus->free_result( $res );
	$update_ok = $res = $opus->query( $query_update );
	$opus->free_result( $res );
	$res = $opus->query( "UNLOCK TABLES" );
	$opus->free_result( $res );
	
	if( $insert_ok == 1 && $update_ok == 1 ) {
		echo "<p>Die Collection wurde in der Datenbank aufgenommen</p>";
	} else {
		echo "<p>Die Collection konnte nicht in der Datenbank aufgenommen werden. ($insert_ok/$update_ok)</p>";
	}

} elseif( $root == "no" ) { // es gibt schon Eintrge in der Datenbank

	if( $position && $coll_id_sibling ) { // es gibt Geschwister, die bercksichtigt werden mssen
		
		$root_id = 1;
		
		// Wir mssen lft und rgt der Geschwister-Collection ermitteln
		
		$query = "SELECT lft, rgt FROM collections WHERE coll_id = \"$coll_id_sibling\";";
		$res = $opus->query( $query );
		$mrow = $opus->fetch_row($res);
		$lft_sibling = $mrow[0];
		$rgt_sibling = $mrow[1];
		$opus->free_result( $res );
		
		if( $position == "vor" ) { // Die neue Collection soll ber dem Sibling stehen
			
			$query_update1 = "UPDATE collections
								SET lft = lft + 2
								WHERE root_id = '$root_id' AND lft >= $lft_sibling;";
								
			$query_update2 = "UPDATE collections
								SET rgt = rgt + 2
								WHERE root_id = '$root_id' AND rgt > $lft_sibling;";

			$query_insert = "INSERT INTO collections( root_id, coll_name, lft, rgt )
								VALUES( $root_id, '$coll_name', $lft_sibling, $lft_sibling + 1 );";

		} elseif( $position == "nach" ) { // Die neue Collection soll unter dem Sibling stehen
			
			$query_update1 = "UPDATE collections
								SET lft = lft + 2
								WHERE root_id = '$root_id' AND lft > $rgt_sibling;";
								
			$query_update2 = "UPDATE collections
								SET rgt = rgt + 2
								WHERE root_id = '$root_id' AND rgt > $rgt_sibling;";

			$query_insert = "INSERT INTO collections( root_id, coll_name, lft, rgt )
								VALUES( $root_id, '$coll_name', $rgt_sibling + 1, $rgt_sibling + 2 );";

		} else {
			echo "<p>Was fr ein seltsamer Wert fr \$position!!! $position</p>";
		}
	} else { // es gibt keine Geschwister
		
		// Nun mssen wir lft und rgt der Collection darber ermitteln
		
		$query = "SELECT lft, rgt FROM collections WHERE coll_id = \"$coll_before\";";
		$res = $opus->query( $query );
		$num = $opus->num_rows( $res );
		
		if( $num <= 0 ) {
			echo "<p>Warum werden die Werte nicht gefunden? Sie muessen da sein. Query ist: $query</p>";	
		} elseif( $num > 1 ) {
			echo "<p>Es gibt einen schwerwiegenden Fehler mit der Datenbank. Bitte checken!</p>";
		} else {
				
			$mrow = $opus->fetch_row($res);
			$lft = $mrow[0];
			$rgt = $mrow[1];
			$root_id = 1;
			
			
			$query_update1 = "UPDATE collections
								SET lft = lft + 2
								WHERE root_id = $root_id
								AND lft > $rgt
								AND rgt >= $rgt;";
			
			$query_update2 = "UPDATE collections
								SET rgt = rgt + 2
								WHERE root_id = $root_id
								AND rgt >= $rgt;";
			$query_insert = "INSERT INTO collections( root_id, coll_name, lft, rgt )
								VALUES( \"$root_id\", \"$coll_name\", $rgt, $rgt + 1 );";
			
		}
		$opus->free_result( $res );
			
	}
	
	// Die Queries werden ausgefhrt
	
	$res = $opus->query( "LOCK TABLES collections WRITE" );
	$opus->free_result( $res );
	$update1_ok = $res = $opus->query( $query_update1 );
	$opus->free_result( $res );
	$update2_ok = $res = $opus->query( $query_update2 );
	$opus->free_result( $res );
	$insert_ok = $res = $opus->query( $query_insert );
	$opus->free_result( $res );
	$res = $opus->query( "UNLOCK TABLES" );
	$opus->free_result( $res );
		
	if( $insert_ok == 1 && $update1_ok == 1 && $update2_ok ) {
		echo "<p>Die Collection wurde in der Datenbank aufgenommen</p>";
	} else {
		echo "<p>Die Collection konnte nicht in der Datenbank aufgenommen werden. ($insert_ok/$update1_ok/$update2_ok)</p>";
	}

}
echo "<p><a href=\"$url/admin/collections_anlegen.php?la=$la\">Neue Collection anlegen</a></p>";
echo "<p><a href=\"$url/admin/collections.php?la=$la\">Zur&uuml;ck zur Collection-Administration</a></p>";

$opus->close($sock);
$design->foot("collections_update.$php", $la);
?>

