<?
#############################################################
# letzte nderung:
#
# 22.4.2005, Annette Maile, UB Stuttgart
# Auslagerung Design in lib/design.php
# In Abhaengigkeit von $la kann das entsprechende Design eingelesen werden.
#
#############################################################

include ("../../lib/class.configFile.php");
$conf = new configFile ("../../lib/opus.conf");
$dbms = $conf->value("dbms");
$php = $conf->value("php");
$url = $conf->value("url");

$db = $conf->value("db");
$table = $conf->value("temp_table");

$titel = $conf->value("titel_klassifikationsfeld_anlegen");
$ueberschrift = $conf->value("ueberschrift_klassifikationsfeld_anlegen");

include ("../../lib/stringValidation.php");
$source_opus = $_REQUEST['source_opus'];
if (! _is_valid($source_opus,0,10,"[0-9]*")) {die ("Fehler in Parameter source_opus");}
$subject_type = $_REQUEST['subject_type'];
$subject_type = eregi_replace("[`\n\r]","",$subject_type);
$la = $_REQUEST['la'];
if (! _is_valid($la,0,2,"[a-z]*")) {die ("Fehler in Parameter la");}

# A.Maile 22.4.05: Sprache einlesen aus opus.conf, falls nicht gesetzt
if (!$la){
       $la = $conf->value("la");
}

# Annette Maile, 22.4.05 Design aus lib/design.php einlesen
require ("../../lib/design.$php");
$design = new design;
$design->head_titel($titel);
$design->head_ueberschrift($ueberschrift, $la);

include ("../../lib/class.opus_$dbms.$php");
$opus = new opus;

print("<FONT COLOR=red>");
$sock = $opus->connect();
if ($sock < 0 ) {
	echo ("Error: $ERRMSG\n</TABLE></TABLE>");
}

if ($opus->select_db($db) < 0 ) {
	echo ("Error: $ERRMSG\n</TABLE></TABLE>");
} 
print ("</FONT>");

$res = $opus->query("SELECT subject_type FROM $table WHERE source_opus= $source_opus " );
$num = $opus->num_rows($res);
$mrow = $opus->fetch_row($res);
if ($num > 0) {
	if ($mrow[0] != "") {
		print("Es besteht bereits ein Klassfikationsfeld f&uuml;r IDN $source_opus. Pro Datensatz kann nur ein Klassifikatonsfeld angelegt werden.<br>\n");
		print("<a href=\"aendern.php?suchfeld=source_opus&suchwert=$source_opus&table=$table&la=$la\">Zur&uuml;ck zum aktualisierten Datensatz</a><br>");
	}
	else {
		$stat = $opus->query("UPDATE $table SET subject_type = '$subject_type' WHERE source_opus= $source_opus " );
		header("Location: $url/admin/aendern.php?table=$table&suchfeld=source_opus&suchwert=$source_opus&la=$la");
	}
}
else {
	print("Datensatz $source_opus nicht vorhanden.<br>\n");
	print("<a href=\"index.php?la=$la\">Zur&uuml;ck zur Adminseite</a><br><br>\n");
}		


$opus->free_result ($res);
$opus->close($sock);
$design->foot("klassifikationsfeld_anlegen.$php", $la);
?>

