<?
// Gibt die OPUS-DDC-Tabelle aus.
// Aufruf am besten aus einer anderen HTML-/PHP-Seite mit dem Link 
// <a HREF="show_ddc.php" target="new">Link</a>
// 
#############################################################
# letzte Aenderung:
#
# 22.4.2005, Annette Maile, UB Stuttgart
# Auslagerung Design in lib/design.php
# In Abhaengigkeit von $la kann das entsprechende Design eingelesen werden.
#
#############################################################

include ("../../lib/class.configFile.php");
$conf = new configFile ("../../lib/opus.conf");
$dbms = $conf->value("dbms");
$php = $conf->value("php");
$db = $conf->value("db");
$projekt = $conf->value("projekt");

$titel = "DDC suchen in ".$projekt;
$ueberschrift = "DDC suchen in ".$projekt;

include ("../../lib/stringValidation.php");
$sort =  $_REQUEST['sort'];
$sort = eregi_replace("[`\n\r]","",$sort);
$la = $_REQUEST['la'];
if (! _is_valid($la,0,2,"[a-z]*")) {die ("Fehler in Parameter la");}

# A.Maile 22.4.05: Sprache einlesen aus opus.conf, falls nicht gesetzt
if (!$la){
       $la = $conf->value("la");
}

# Annette Maile, 22.4.05 Design aus lib/design.php einlesen
require ("../../lib/design.$php");
$design = new design;
$design->head_titel($titel);
$design->head_ueberschrift($ueberschrift, $la);

include ("../../lib/class.opus_$dbms.$php");
$opus = new opus;

$sock = $opus->connect();
if ($sock < 0 ) {
        echo ("Error: $ERRMSG\n");
}

if ($opus->select_db($db) < 0 ) {
echo ("Error: $ERRMSG\n");
}

if ( !$sort ) {
    $sort = "nr";  // default-Sortierung nach nr (alternativ: sachgruppe, sachgruppe_en)
}
$res = $opus->query("SELECT * FROM sachgruppe_ddc_$la ORDER BY $sort");
$num = $opus->num_rows($res);
echo "<small>Mit Klick auf die entsprechende Tabellen&uuml;berschrift sortieren oder <strong>&lt;STRG-F&gt; zum Suchen</strong>.</small>\n";
echo "<table border=\"1\" cellpadding=\"2\" cellspacing=\"1\">\n";
echo "<tr>";
echo "<th>\n";
echo "Nr.\n";
echo "</th><th>\n";
echo "<a href=\"".basename($SCRIPT_NAME)."?sort=nr\">DDC-ID</a>\n";
echo "</th><th>\n";
echo "<a href=\"".basename($SCRIPT_NAME)."?sort=sachgruppe\">Sachgruppe</a>\n";
echo "</th><th>\n";
echo "<a href=\"".basename($SCRIPT_NAME)."?sort=sachgruppe_en\">Sachgruppe Englisch</a>\n";
echo "</th></tr>\n";
$i=0;
while ($i < $num) {
    $i++;
    $row = $opus->fetch_row($res);
    echo "<tr><small>\n";
    $tmp_nr = "<td>".$i."</td>\n<td>".$row[0]."</td>\n";
    $tmp_sd = "<td>".$row[1]."</td>\n";
    $tmp_se = "<td>".$row[2]."</td>\n";
    echo $tmp_nr.$tmp_sd.$tmp_se;
    echo "</small></tr>\n";
}
echo "</table><p />\n";
$opus->free_result($res);

$design->foot("show_ddc.$php", $la);
?>
