<?
#############################################################
# letzte nderung:
#
# 22.4.2005, Annette Maile, UB Stuttgart
# Auslagerung Design in lib/design.php
# In Abhaengigkeit von $la kann das entsprechende Design eingelesen werden.
#
#############################################################

include ("../../lib/class.configFile.php");
$conf = new configFile ("../../lib/opus.conf");
$dbms = $conf->value("dbms");
$php = $conf->value("php");

$db = $conf->value("db");
$url = $conf->value("url"); 

$titel = "Schriftenreihen: Neue Schriftenreihe hinzuf&uuml;gen";
$ueberschrift = $titel;

include ("../../lib/stringValidation.php");
$la = $_REQUEST['la'];
if (! _is_valid($la,0,2,"[a-z]*")) {die ("Fehler in Parameter la");}

# A.Maile 22.4.05: Sprache einlesen aus opus.conf, falls nicht gesetzt
if (!$la){
       $la = $conf->value("la");
}

# Annette Maile, 22.4.05 Design aus lib/design.php einlesen
require ("../../lib/design.$php");
$design = new design;
$design->head_titel($titel);
$design->head_ueberschrift($ueberschrift, $la);

include ("../../lib/class.opus_$dbms.$php");
$opus = new opus;

?>
<p>
Bitte den Namen der neuen Schriftenreihe eingeben:
<form method="post" action="sr_add.php" name="AddForm">
<input type="text" name="new_sr" size="60" maxlength="255">
<?
print("<input type=\"hidden\" name=\"la\" value=\"$la\">");
?>
<input type="submit" value="Hinzuf&uuml;gen">
</form>
<script type="text/javascript">
<!--
document.AddForm.new_sr.focus();
//-->
</script>
<p>

<?
print("
<UL>
<LI><A HREF=\"schriftenreihen.php?la=$la\">Zur&uuml;ck</A></LI>
</UL>
");

$design->foot("sr_hinzufuegen.$php", $la)
?>
