<?
#############################################################
# letzte nderung:
#
# 22.4.2005, Annette Maile, UB Stuttgart
# Auslagerung Design in lib/design.php
# In Abhaengigkeit von $la kann das entsprechende Design eingelesen werden.
#
#############################################################

include ("../../lib/class.configFile.php");
$conf = new configFile ("../../lib/opus.conf");
$dbms = $conf->value("dbms");
$php = $conf->value("php");

$db = $conf->value("db");
$opus_table = $conf->value("opus_table");
$temp_table = $conf->value("temp_table");
$url = $conf->value("url");

$opus_table_sr = $opus_table . "_schriftenreihe";
$temp_table_sr = $temp_table . "_schriftenreihe";

$titel = $conf->value("titel_sr_loeschen");
$ueberschrift = $conf->value("ueberschrift_sr_loeschen");

include ("../../lib/stringValidation.php");
$sr_id = $_REQUEST['sr_id'];
if (! _is_valid($sr_id,0,10,"[0-9]*")) {die ("Fehler in Parameter sr_id");}
$la = $_REQUEST['la'];
if (! _is_valid($la,0,2,"[a-z]*")) {die ("Fehler in Parameter la");}

# A.Maile 22.4.05: Sprache einlesen aus opus.conf, falls nicht gesetzt
if (!$la){
       $la = $conf->value("la");
}

# Annette Maile, 22.4.05 Design aus lib/design.php einlesen
require ("../../lib/design.$php");
$design = new design;
$design->head_titel($titel);
$design->head_ueberschrift($ueberschrift, $la);

include ("../../lib/class.opus_$dbms.$php");
$opus = new opus;

print("<FONT COLOR=red>");
$sock = $opus->connect();
if ($sock < 0 ) {
        echo ("Error: $ERRMSG\n");
}

if ($opus->select_db($db)  < 0 ) {
        echo ("Error: $ERRMSG\n");
}
print("</FONT>");

$res = $opus->query("SELECT name FROM schriftenreihen WHERE sr_id=$sr_id" );
$num = $opus->num_rows($res);
if ( $num > 0 ) {
	$mrow = $opus->fetch_row($res);
	$sr_name = htmlspecialchars($mrow[0]);
}
else {
	print("<H3> Es existiert keine Schriftenreihe mit der ID $sr_id.</H3>");
	print("<P><A HREF=\"$url/admin/\">Adminseite</A> \n");
	$design->foot("sr_loeschen.$php", $la);
        exit();
}


$res = $opus->query ("SELECT source_opus, sr_id, sequence_nr FROM $opus_table_sr
                        WHERE sr_id = '$sr_id' ");
$res2 = $opus->query ("SELECT source_opus, sr_id, sequence_nr FROM $temp_table_sr
                         WHERE sr_id = '$sr_id' ");
$num = $opus->num_rows($res);
$num2 = $opus->num_rows($res2);
if (($num + $num2) > 0) {
	print("Es existieren B&auml;nde zur Schriftenreihe <b>$sr_name</b>, daher kann Sie nicht geloescht werden.</H3>");
	print("<P><A HREF=\"$url/admin/\">Adminseite</A> \n");
}
else {	
	print("<H3>Soll die Schriftenreihe $sr_name wirklich gel&ouml;scht werden</H3> <br>
<table>
<tr>
<td>
<FORM METHOD = \"POST\" ACTION = \"$url/admin/sr_delete.$php\">
<INPUT TYPE = submit  VALUE=\"L&ouml;schen\">
<INPUT TYPE = hidden NAME = \"sr_id\" VALUE = \"$sr_id\">
</FORM>
</td>

<td>
<FORM METHOD = \"POST\" ACTION = \"$url/admin/\">
<INPUT TYPE = submit  VALUE=\"Nein\">
</FORM>
</td>
</tr>
</table>
");
}

$design->foot("sr_loeschen.$php", $la);
?>

