<?
#############################################################
# letzte nderung:
#
# 22.4.2005, Annette Maile, UB Stuttgart
# Auslagerung Design in lib/design.php
# In Abhaengigkeit von $la kann das entsprechende Design eingelesen werden.
#
#############################################################

include ("../../lib/class.configFile.php");
$conf = new configFile ("../../lib/opus.conf");
$dbms = $conf->value("dbms");
$php = $conf->value("php");
$db = $conf->value("db");
$opus_table = $conf->value("opus_table");
$url = $conf->value("url");
$projekt = $conf->value("projekt");

$titel = $conf->value("titel_statistik_abfrage");
$ueberschrift = $conf->value("ueberschrift_statistik_abfrage");

include ("../../lib/stringValidation.php");
$la = $_REQUEST['la'];
if (! _is_valid($la,0,2,"[a-z]*")) {die ("Fehler in Parameter la");}

# A.Maile 22.4.05: Sprache einlesen aus opus.conf, falls nicht gesetzt
if (!$la){
       $la = $conf->value("la");
}

# Annette Maile, 22.4.05 Design aus lib/design.php einlesen
require ("../../lib/design.$php");
$design = new design;
$design->head_titel($titel);
$design->head_ueberschrift($ueberschrift, $la);

print("<FORM METHOD=GET ACTION=\"$url/admin/statistik.$php?la=$la\">

Statistik &uuml;ber die in $projekt ver&ouml;ffentlichten Dokumente");

include ("../../lib/class.opus_$dbms.$php");
$opus = new opus;

$sock = $opus->connect();
if ($sock < 0 ) {
        echo ("Error: $ERRMSG\n");
}

if ($opus->select_db($db) < 0 ) {
echo ("Error: $ERRMSG\n");
}

$res = $opus->query("SELECT date_creation,source_opus FROM $opus_table order by date_creation");
$num = $opus->num_rows($res);
$last = $num - 1;
$opus->data_seek ($res, 0);
$mrow = $opus->fetch_row($res);
$date1 = $mrow[0];
$jahr1 = date("Y", $date1);
$opus->data_seek ($res, $last);
$mrow = $opus->fetch_row($res);
$date2 = $mrow[0];
$jahr2 = date("Y", $date2);

print("
<P> 
Jahr:
<SELECT NAME=\"jahr\" SIZE=1>
");
$jahr = $jahr1;
while ($jahr <= $jahr2) {
	print("<OPTION>$jahr");
	$jahr++;
}

print("
</SELECT>
<P>
<input type=\"hidden\" name=\"la\" value=\"$la\">
<INPUT TYPE=\"submit\" VALUE=\"Abfrage starten\">
</FORM>
");

$design->foot("statistik_abfrage.$php", $la);
?>

