<?
#############################################################
# letzte nderung:
#
# 22.4.2005, Annette Maile, UB Stuttgart
# Auslagerung Design in lib/design.php
# In Abhaengigkeit von $la kann das entsprechende Design eingelesen werden.
#
#############################################################

include ("../../lib/class.configFile.php");
$conf = new configFile ("../../lib/opus.conf");
$dbms = $conf->value("dbms");
$php = $conf->value("php");

$db = $conf->value("db");
$url = $conf->value("url");
$temp_table = $conf->value("temp_table");
$temp_table_autor = $temp_table . "_autor";

$titel = $conf->value("titel_temp_browsen");
$ueberschrift = $conf->value("ueberschrift_temp_browsen");

include ("../../lib/stringValidation.php");
$la = $_REQUEST['la'];
if (! _is_valid($la,0,2,"[a-z]*")) {die ("Fehler in Parameter la");}

# A.Maile 22.4.05: Sprache einlesen aus opus.conf, falls nicht gesetzt
if (!$la){
       $la = $conf->value("la");
}

# Annette Maile, 22.4.05 Design aus lib/design.php einlesen
require ("../../lib/design.$php");
$design = new design;
$design->head_titel($titel);
$design->head_ueberschrift($ueberschrift, $la);

include ("../../lib/class.opus_$dbms.$php");
$opus = new opus;

print("<FONT COLOR=red>");
$sock = $opus->connect();
if ($sock < 0 ) { 
	echo ("Error: $ERRMSG\n"); 
} 

if ($opus->select_db($db)  < 0 ) {
	echo ("Error: $ERRMSG\n"); 
}
print("</FONT>");

$res = $opus->query("SELECT title, source_opus, date_year, status FROM $temp_table ORDER BY  source_opus" );
$num = $opus->num_rows($res);
if ( $num > 0 ) {
	print("<TABLE BORDER=1> \n");
	print("    <TH VALIGN=TOP>Status </TH>\n");
	print("    <TH VALIGN=TOP>TEMP-IDN </TH>\n");
	print("    <TH VALIGN=TOP>Titel </TH>\n");
	print("    <TH VALIGN=TOP>Autor </TH>\n");
        print("    <TH VALIGN=TOP>Jahr </TH>\n");
	print("    <TR> \n");

	$i = 0;
	while ( $i < $num  ) {
	    	$i++;
	        $mrow = $opus->fetch_row($res);
		$titel = htmlspecialchars($mrow[0]);
		$source_opus = $mrow[1];
		$date_year = $mrow[2];
		$status = $mrow[3];
		$creator_name = "&nbsp;";
		print("<TD VALIGN=TOP>$status</TD>");
		print("<TD VALIGN=TOP>$source_opus</TD>");
		print( "<TD VALIGN=TOP>" );
		print( "<A HREF=\"$url/admin/aendern.$php?suchfeld=source_opus&suchwert=$source_opus&table=temp\">$titel</A></TD>\n");

		$res2 = $opus->query("SELECT creator_name, reihenfolge FROM $temp_table_autor where source_opus = '$source_opus' ORDER BY  reihenfolge" );

		$num2 = $opus->num_rows($res2);
		if ( $num2 > 0 ) {
			$mrow2 = $opus->fetch_row($res2);
			$creator_name = htmlspecialchars($mrow2[0]);
		}
		$opus->free_result($res2);

		if ($num2 > 1) {
			$creator_name = $creator_name . " et al.";
		}
		print( "<TD VALIGN=TOP>$creator_name</TD>");
		print( "<TD VALIGN=TOP>$date_year</TD>");
		print( "</TR><TR>\n " );
	}
	print("</TR></TABLE> \n");

}

else {
	print ("Keine Dokumente gefunden.\n");
}

$opus->free_result($res);
$opus->close($sock);

$design->foot("temp_browsen.$php", $la);
?>

