<script language="php">
//==============================================================
//
//  opusinterface.php
//  
//  Read in opus configuration into global variables. This file should
//  be included by subsequent php-code to have full access to opus
//  internal structures.
//
//  This file does not generate any web page output!
//  
//  $Id: opusinterface.inc,v 1.14 2006/04/12 13:02:57 arwagner Exp $
//  
//  Last change: <Tue, 2006/04/25 10:18:37 arwagner wubi101>
//  
//  Author     : Alexander Wagner
//  Language   : PHP 4, HTML 4.01
//
//----------------------------------------------------------------
//
//    Copyright (C) 2006 by Universitaetsbibliothek Wuerzburg
//
//    This is free software; you can redistribute it and/or modify it
//    under the terms of the GNU Genereal Public License as published
//    by the Free Software Foundation; either version 2, or (at your
//    option) any later version.
//
//    This program is distributed in the hope that it will be usefull,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
//    General Public License for more details.
//
//    You should have recieved a copy of the GNU General Public 
//    License along with this program; if not, write to the 
//    Free Software Foundation Inc., 675 Mass Ave, Cambridge, MA 
//    02139, USA.
//
//============================================================== -->

   // This is an include file. Do not allow stand alone call -->
   if (!defined('APPLICATION')) exit;

//----------------------------------------------------------------------
// how to find other required files:
$project = "jahrbib";
$opuslibpath  = "../../../$project/lib";
$opustextpath = "../../../$project/texte";
//----------------------------------------------------------------------

//--------------------------------------------------
// ReindexArray()
// Gives $array subsequent indicees.
//--------------------------------------------------
function ReindexArray(&$array)
{
   $j = 0;
   foreach ($array as $i=>$t) {
      $tmp[$j] = $t;
      $j++;
   }
   $array = $tmp;
}

// from here on mainly direct source from OPUS, to use the same
// variables and so on.
require_once ("$opuslibpath/stringValidation.php");
require_once ("$opuslibpath/class.configFile.php");
   $conf                    = new configFile ("$opuslibpath/opus.conf");
   $dbms                    = $conf->value("dbms");
   $php                     = $conf->value("php");
   $projekt                 = $conf->value("projekt");
   $db                      = $conf->value("db");
   $url                     = $conf->value("url");
   $doku_pfad               = $conf->value("doku_pfad");
   $home                    = $conf->value("home");
   $opt_inst                = $conf->value("opt_institute"); 
   $gueltig_anzeigen        = $conf->value("gueltig_anzeigen");
// Some are some not... What's OPUS concept here?
//   $schriftenreihe_user     = $conf->value("schriftenreihe_user");
   $opustable               = $conf->value("opus_table");
   $mehrsprachig            = $conf->value("mehrsprachig");
   $opustable_inst          = $opustable . "_inst";
   $fakultaet_alle_anzeigen = $conf->value("fakultaet_alle_anzeigen");
   $alle_doks_anzeigen      = $conf->value("alle_doks_anzeigen");
   $bemerkung_datei_user    = $conf->value("bemerkung_datei_user");


require_once ("$opuslibpath/class.opus_$dbms.$php");
   $opus                    = new opus;

   $la                      = $_REQUEST['la'];
   // check it
   if (! _is_valid($la,0,2,"[a-z]*")) { 
         die ("Fehler in Parameter la: $la");
   }
   // otherwise use the default value
   if (!$la){
          $la = $conf->value("la");
   }

// connect to OPUS database
$sock = $opus->connect();
if ( $sock < 0 ) {
        echo ("Error: $ERRMSG\n");
}
if ( $opus->select_db($db) < 0 ) {
        echo ("Error: $ERRMSG\n");
}
//----------------------------------------------------------------------
// [I]t's to late to make an improvement now.
// The universe is finished: the copestone is on,
// and the chips were carted off a million years ago.
//                Herman Melville, "Moby Dick" (1851)
//
//... pass over to the including script ...


// vim: ft=php 
</script>
