<?

#############################################################
# mail_senden.php - Mail zum Empfehlen eines Dokumentes versenden 
#
# 15.6.2005, Ulrich Herb, SULB Saarbrcken
# Textdatei: texte/$la/mail_senden.conf
#
#############################################################


include ("../lib/class.configFile.php");
$conf = new configFile ("../lib/opus.conf");
$dbms = $conf->value("dbms");
$php = $conf->value("php");

$email = $conf->value("email"); 
$db = $conf->value("db");
$opustable = $conf->value("opus_table");
$homepage = $conf->value("url");
$url_anzeigen = $conf->value("url_anzeigen");
$urn_anzeigen = $conf->value("urn_anzeigen");
$volltext_pfad = $conf->value("volltext_pfad");
$volltext_url = $conf->value("volltext_url");
$doku_pfad = $conf->value("doku_pfad");

include ("../lib/stringValidation.php");
$source_opus = $_REQUEST['source_opus'];
if (! _is_valid($source_opus,1,10,"[0-9]+")) {die ("Fehler in Parameter source_opus");}
$empfaenger = $_REQUEST['empfaenger'];
$empfaenger = eregi_replace("[`\n\r]","",$empfaenger);
$empfaengermail = $_REQUEST['empfaengermail'];
$empfaengermail= eregi_replace("[`\n\r]","",$empfaengermail);
$sender = $_REQUEST['sender'];
$sender = eregi_replace("[`\n\r]","",$sender);
$sendermail = $_REQUEST['sendermail'];
$sendermail = eregi_replace("[`\n\r]","",$sendermail);
$kommentar = $_REQUEST['kommentar'];
$kommentar = eregi_replace("[`\n\r]","",$kommentar);
$url = $_REQUEST['url'];
$url = eregi_replace("[`\n\r]","",$url);
$la = $_REQUEST['la'];
if (! _is_valid($la,0,2,"[a-z]*")) {die ("Fehler in Parameter la");}

# A.Maile 10.2.05: Sprache einlesen aus opus.conf, falls nicht gesetzt
if (!$la){
       $la = $conf->value("la");
}

# BDressler Texte aus Textdatei in Programmvariablen fllen 
$texte = new configFile ("../texte/$la/mail_senden.conf");
$titel = $texte->value("titel");
$ueberschrift = $texte->value("ueberschrift");
$text1 = $texte->value("text1");
$text2 = $texte->value("text2");
$text3 = $texte->value("text3");
$text4 = $texte->value("text4");
$text5 = $texte->value("text5");
$text6 = $texte->value("text6");
$text7 = $texte->value("text7");
$text8 = $texte->value("text8");
$text9 = $texte->value("text9");
$text10 = $texte->value("text10");
$text11 = $texte->value("text11");
$text12 = $texte->value("text12");
$text13 = $texte->value("text13");
$text14 = $texte->value("text14");
$text15 = $texte->value("text15");
$t_fehler1 = $texte->value("t_fehler1");
$t_fehler2 = $texte->value("t_fehler2");
$t_sendmail = $texte->value("t_sendmail");
$t_sendname = $texte->value("t_sendname");
$t_empfmail = $texte->value("t_empfmail");
$t_kommentar = $texte->value("t_kommentar");
$t_internetadr = $texte->value("t_internetadr");

include ("../lib/class.opus_$dbms.$php");
$opus = new opus;

# Annette Maile, 18.3.05 Design aus lib/design.php einlesen
require ("../lib/design.$php");
$design = new design;
$design->head_titel($titel);
$design->head_ueberschrift($ueberschrift, $la);

print("<FONT COLOR=red>");

## Pruefung: sind Emailadressen eingetragen 
$ok = 1;

if (!ereg("^.+@.+\\..+$", $empfaengermail))
{
	#print "Die eingegebene Emailadresse fr den Empf&auml;nger ist nicht korrekt!<br>";
	print ("$text1");
	$ok = 0;

}


if (($sendermail != "") AND (!ereg("^.+@.+\\..+$", $sendermail)))
{
        #print "Die eingegebene Emailadresse fr den Sender ist nicht korrekt!<br>";
	print ("$text2");
	$ok = 0;

}

if ($ok == 0) 
{
        #print "<H3>Bitte mit Back-Button zur&uuml;ck zum Formular.</H3>";
	print ("$text3");
}
else 
{
        $sock = $opus->connect();
        if ( $sock < 0 ) 
        {
        	echo ("Error: $ERRMSG\n");
        }
        if ( $opus->select_db($db) < 0 ) 
        {
        	echo ("Error: $ERRMSG\n");
        }
        print("</FONT> \n");

        $res = $opus->query("SELECT * FROM $opustable WHERE source_opus = $source_opus ");

        $num_res = $opus->num_rows($res);
        if ($num_res > 0) 
        {
            $mrow = $opus->fetch_row($res);

            $title  = htmlspecialchars($mrow[0]);
            $opus->free_result($res); 

            $res = $opus->query("SELECT dokumentart FROM resource_type_$la WHERE typeid='$type'");
            $mrow = $opus->fetch_row($res);
            $dokumentart=$mrow[0];
            $opus->free_result($res);

            #mail ("$empfaengermail", "Dokumentempfehlung: $title", "Hallo $empfaenger:\n ein Besucher des Volltextservers $projekt der Saarlndischen Universitts- und Landesbibliothek empfiehlt Ihnen das Dokument \"$title\" \nZu finden unter: $url \n \nKommentar des Absenders:\n$kommentar\n\nDas empfohlene Dokument ist auf dem kostenlosen Volltextserver $projekt der Saarlndischen Universitts- und Landesbibliothek verffentlicht.\n\nEmailadresse des Absenders: $sendermail\nName des Absenders: $sender", "FROM: $email");
            mail ("$empfaengermail", "$dokumentempfehlung $title", "$text5 $empfaenger:\n$text6 $text7 \"$title\" \n$text8 $url \n \n$text9 \n$kommentar\n\n$text10 \n\n\n\n$t_sendmail $sendermail \n$t_sendname $sender", "FROM: $email");

            #print("<P>Das Dokument <b>\"$title\"</b>\nwurde <b>$empfaenger</b> von Ihnen empfohlen.\n<P>\n");
            print("<P>$text11 \"$title\" \n $text12 $empfaenger</b> $text13 \n");
            print("<P>$t_empfmail   $empfaengermail \n<P> \n");
            print("<P>$t_kommentar \n$kommentar \n<P> \n");
            print("<P>$t_internetadr  $url \n<P> \n");
            #print("<P>Zur&uuml;ck zur <b><a href=/>Homepage </a></b><P>");
            print("$text14 <b> <a href=\"$homepage/index.php?la=$la\">$text15 </a></b>");

        }
        else 
        {
            #print("IDN $source_opus nicht vorhanden.");
            print("$t_fehler1 $source_opus $t_fehler2");
        }
        $opus->close($sock);
}
$design->foot("frontdoor.$php", $la);
?>
