<?
# T. Leidinger, 06.03.2007 - definieren des Font-Ordners + Einbinden der lib fpdf
define('FPDF_FONTPATH','fpdf/font/');
require('fpdf/fpdf.php');

# T. Leidinger, 06.03.2007 - PDF-Grundgerst definieren
class PDF extends FPDF
{

# T. Leidinger, 06.03.2007 - Standard-Funktion Header berschreiben (Datumsausgabe)
function Header()
{
    //Arial fett 15
    $this->SetFont('Arial','B',15);
    //nach rechts gehen
    $this->Cell(155);
    //Titel
    $this->Cell(30,10,date("d.m.Y"),0,0,'R');
    //Zeilenumbruch
    $this->Ln(20);
}

# T. Leidinger, 06.03.2007 - Einfache Tabelle erstellen
function Table($title,$data)
{
    $this->SetFont('arial','B',16);
    $this->Cell(40,10,'Report der Jahresbibliographie');
    $this->ln();
    $this->SetFont('arial','',10);
    $this->Cell(40,10,$title);
    $this->ln();
    //Spaltenbreite
    $w = array(158,25);
    //Data
    $summe = 0;
    foreach($data as $row)
    {
        $this->Cell($w[0],6,$row[0],1);
        $this->Cell($w[1],6,number_format($row[1]),1,0,'R');
        $this->Ln();
        $summe += $row[1];
    }
    $this->Cell($w[0],6,'',0);
    $this->Cell($w[1],6,'Summe: '.number_format($summe),1,0,'R');
    
}
}

# T. Leidinger, 06.03.2007 - bermittelte Variablen einlesen

/*$title = urldecode($_GET['title']);
$datastring = urldecode($_GET['data']);
$data_arr = explode(";",$datastring);

#$data[] = "";
for ($i = 1; $i < count($data_arr); $i=$i+2) {
	$data1[] = array($data_arr[$i],$data_arr[$i+1]);
}*/
?>