<?
#############################################################
#
# Funktion: uni/neu_allg.php Veroeffentlichungsformular
# 
# letzte Aenderung:
# 8.4..2005, Birgit Dressler, SULB Saarbruecken
# Einfuehrung der Mehrsprachigkeit (Variable $la)
# Textdatei: texte/$la/neu_allg.conf
#
# 17.3.2005, Annette Maile, UB Stuttgart
# Auslagerung Design in lib/design.php
# In Abhaengigkeit von $la kann das entsprechende Design eingelesen werden.
#
# 18.4.2005, Annette Maile, UB Stuttgart
# Zugriff auf Volltexte weltweit/campusweit/weitere Bereiche
#
# 28.7.2005, Annette Maile, UB Stuttgart
# Einfuegen Lizenzvertrag ($lic)
#
# 12, 2005: BD/UH: Anpassung für Jahresbibliographie
# 12.05.2006: BD/UH: Fehlerüberprüfung aus neu.php in neu_allg.php integriert
#############################################################
include ("../../lib/class.configFile.php");
$conf = new configFile ("../../lib/opus.conf");
$dbms = $conf->value("dbms");
$php = $conf->value("php");
$db = $conf->value("db");
$url = $conf->value("url");
$projekt = $conf->value("projekt");
$doku_pfad = $conf->value("doku_pfad");
$projekt = $conf->value("projekt");
$home = $conf->value("home");
$opt_inst = $conf->value("opt_institute"); 
$gueltig_anzeigen = $conf->value("gueltig_anzeigen");
$schriftenreihe_user = $conf->value("schriftenreihe_user");


include ("../../lib/stringValidation.php");
$type = $_REQUEST['type'];
if (! _is_valid($type,0,5,"[0-9]*")) {die ("Fehler in Parameter type");}
$title = $_REQUEST['title'];
$title = eregi_replace("[`\n\r]","",$title);
$title_en = $_REQUEST['title_en'];
$title_en = eregi_replace("[`\n\r]","",$title_en);
$title_de = $_REQUEST['title_de'];
$title_de = eregi_replace("[`\n\r]","",$title_de);
$creator_name = $_REQUEST['creator_name'];
if (is_array($creator_name)) {
  array_walk($creator_name, '_array_zeichen_loeschen');
}
else {$creator_name = array();}
$anzahl_creator_name = $_REQUEST['anzahl_creator_name'];
if (! _is_valid($anzahl_creator_name,0,10,"[0-9]*")) {die ("Fehler in Parameter anzahl_creator_name");}
$publisher_inst = $_REQUEST['publisher_inst'];
if (is_array($publisher_inst)) {
        foreach ($publisher_inst as $i) {
          if (! _is_valid($i,0,10,"[A-Za-z0-9]*")) {die ("Fehler in Parameter publisher_inst");}
        }
}
else {$publisher_inst = array();}
$anzahl_publisher_inst = $_REQUEST['anzahl_publisher_inst'];
if (! _is_valid($anzahl_publisher_inst,0,10,"[0-9]*")) {die ("Fehler in Parameter anzahl_publisher_inst");}
$creator_corporate = $_REQUEST['creator_corporate'];
$creator_corporate = eregi_replace("[`\n\r]","",$creator_corporate);
$contributors_name = $_REQUEST['contributors_name'];
$contributors_name = eregi_replace("[`\n\r]","",$contributors_name);
$contributors_corporate = $_REQUEST['contributors_corporate'];
$contributors_corporate = eregi_replace("[`\n\r]","",$contributors_corporate);
$publisher_faculty = $_REQUEST['publisher_faculty'];
if (! _is_valid($publisher_faculty,0,5,"[A-Za-z0-9\-]*")) {die ("Fehler in Parameter publisher_faculty");}
$advisor = $_REQUEST['advisor'];
$advisor = eregi_replace("[`\n\r]","",$advisor);
$subject_swd = $_REQUEST['subject_swd'];
$subject_swd = eregi_replace("[`\n\r]","",$subject_swd);
$subject_uncontrolled_german = $_REQUEST['subject_uncontrolled_german'];
$subject_uncontrolled_german = eregi_replace("[`\n\r]","",$subject_uncontrolled_german);
$subject_uncontrolled_english = $_REQUEST['subject_uncontrolled_english'];
$subject_uncontrolled_english = eregi_replace("[`\n\r]","",$subject_uncontrolled_english);
$subject_type = $_REQUEST['subject_type'];
$subject_type = eregi_replace("[`\n\r]","",$subject_type);
$subject_value = $_REQUEST['subject_value'];
$subject_value = eregi_replace("[`\n\r]","",$subject_value);
$description_lang = $_REQUEST['description_lang'];
if (! _is_valid($description_lang,0,3,"[A-Za-z]*")) {die ("Fehler in Parameter description_lang");}
$description = $_REQUEST['description'];
$description = eregi_replace("[`]","",$description);
$description2_lang = $_REQUEST['description2_lang'];
if (! _is_valid($description2_lang,0,3,"[A-Za-z]*")) {die ("Fehler in Parameter description2_lang");}
$description2 = $_REQUEST['description2'];
$description2 = eregi_replace("[`]","",$description2);
$publisher_university = $_REQUEST['publisher_university'];
$publisher_university = eregi_replace("[`\n\r]","",$publisher_university);
$date_year = $_REQUEST['date_year'];
if (! _is_valid($date_year,0,4,"[0-9]*")) {die ("Fehler in Parameter date_year");}
$tag_pruef = $_REQUEST['tag_pruef'];
if (! _is_valid($tag_pruef,0,2,"[0-9]*")) {die ("Fehler in Parameter tag_pruef");}
$monat_pruef = $_REQUEST['monat_pruef'];
if (! _is_valid($monat_pruef,0,2,"[0-9]*")) {die ("Fehler in Parameter monat_pruef");}
$jahr_pruef = $_REQUEST['jahr_pruef'];
if (! _is_valid($jahr_pruef,0,4,"[0-9]*")) {die ("Fehler in Parameter jahr_pruef");}
$language = $_REQUEST['language'];
if (! _is_valid($language,0,3,"[A-Za-z]*")) {die ("Fehler in Parameter language");}
$isbn = $_REQUEST['isbn'];
if (! _is_valid($isbn,0,30,"[0-9xX-]*")) {die ("Fehler in Parameter isbn");}
$source_title = $_REQUEST['source_title'];
$source_title = eregi_replace("[`]","",$source_title);
$anzahlfiles = $_REQUEST['anzahlfiles'];
if (! _is_valid($anzahlfiles,0,10,"[0-9]*")) {die ("Fehler in Parameter anzahlfiles");}
$verification = $_REQUEST['verification'];
$verification = eregi_replace("[`\n\r]","",$verification);
$dauer = $_REQUEST['dauer'];
if (! _is_valid($dauer,0,10,"[0-9]*")) {die ("Fehler in Parameter dauer");}
$bereich = $_REQUEST['bereich'];
if (! _is_valid($bereich,0,20,"[0-9]*")) {die ("Fehler in Parameter bereich");}
$la = $_REQUEST['la'];
if (! _is_valid($la,0,2,"[a-z]*")) {die ("Fehler in Parameter la");}
$bem_intern = $_REQUEST['bem_intern'];
$bem_intern = eregi_replace("[`\n\r]","",$bem_intern);


# BDressler, 8.7.04: Sprache einlesen aus opus.conf, falls nicht gesetzt
if (!$la){
       $la = $conf->value("la");
}
$texte = new configFile ("../../texte/$la/neu_allg.conf");

# BDressler Texte aus Textdatei in Programmvariablen fuellen 
$titel = $texte->value("titel");
$ueberschrift = "Hinzufügen von Instituten";
$text1 = $texte->value("text1");
$text2 = $texte->value("text2");
$text3 = $texte->value("text3");
$text4 = $texte->value("text4");
$text5 = $texte->value("text5");
$text6 = $texte->value("text6");
$text7 = $texte->value("text7");
$dokumentart = $texte->value("dokumentart");
$doktitel = $texte->value("doktitel");
$doktitel_zu = $texte->value("doktitel_zu");
$doktitel_en = $texte->value("doktitel_en");
$doktitel_de = $texte->value("doktitel_de");
$verfasser = $texte->value("verfasser");
$verfasser2 = $texte->value("verfasser2");
$text8 = $texte->value("text8");
$text9 = $texte->value("text9");
$text10 = $texte->value("text10");
$text11 = $texte->value("text11");
$institut = $texte->value("institut");
$text12 = $texte->value("text12");
$text13 = $texte->value("text13");
$text14 = $texte->value("text14");
$text15 = $texte->value("text15");
$text16 = $texte->value("text16");
$urheber = $texte->value("urheber");
$sonstige_personen = $texte->value("sonstige_personen");
$sonstige_institution = $texte->value("sonstige_institution");
$text17 = $texte->value("text17");
$text18 = $texte->value("text18");
$text19 = $texte->value("text19");
$fakultaet = $texte->value("fakultaet");
$hauptberichter = $texte->value("hauptberichter");
$sachgruppe_ddc = $texte->value("sachgruppe_ddc");
$text_ddc = $texte->value("text_ddc");
$schlagwoerter_swd = $texte->value("schlagwoerter_swd");
$text20 = $texte->value("text20");
$buttontext = $texte->value("buttontext");
$text21 = $texte->value("text21");
$text22 = $texte->value("text22");
$schlagwoerter_frei = $texte->value("schlagwoerter_frei");
$text23 = $texte->value("text23");
$schlagwoerter_engl = $texte->value("schlagwoerter_engl");
$text24 = $texte->value("text24");
$fachklassifikation = $texte->value("fachklassifikation");
$text25 = $texte->value("text25");
$text26 = $texte->value("text26");
$text27 = $texte->value("text27");
$text28 = $texte->value("text28");
$text29 = $texte->value("text29");
$text30 = $texte->value("text30");
$text31 = $texte->value("text31");
$schriftenreihe = $texte->value("schriftenreihe");
$text_schriftenreihe = $texte->value("text_schriftenreihe");
$schriftenreihe_auswahl = $texte->value("schriftenreihe_auswahl");
$bandnummer = $texte->value("bandnummer");
$inhalt_orig = $texte->value("inhalt_orig");
$zeichen  = $texte->value("zeichen");
$inhalt_zusatz = $texte->value("inhalt_zusatz");
$hochschule = $texte->value("hochschule");
$jahr = $texte->value("jahr");
$pruefung_muendlich = $texte->value("pruefung_muendlich");
$form_sprache = $texte->value("form_sprache");
$januar = $texte->value("januar");
$februar = $texte->value("februar");
$maerz = $texte->value("maerz");
$april = $texte->value("april");
$mai = $texte->value("mai");
$juni = $texte->value("juni");
$juli = $texte->value("juli");
$august = $texte->value("august");
$september = $texte->value("september");
$oktober = $texte->value("oktober");
$november = $texte->value("november");
$dezember = $texte->value("dezember");
$text_isbn1 = $texte->value("text_isbn1");
$text_isbn2 = $texte->value("text_isbn2");
$quelle1 = $texte->value("quelle1");
$quelle2 = $texte->value("quelle2");
$anzahl_dateien = $texte->value("anzahl_dateien");
$email_adr = $texte->value("email_adr");
$text32 = $texte->value("text32");
$gueltigkeit = $texte->value("gueltigkeit");
$zugriff = $texte->value("zugriff");
$anmelden = $texte->value("anmelden");
$formular_loeschen = $texte->value("formular_loeschen");
$patent_titel = $texte->value("patent_titel");
$patent_applikation = $texte->value("patent_applikation");
$patent_erfinder = $texte->value("patent_erfinder");
$patent_erfinder2 = $texte->value("patent_erfinder2");
$patent_anmelder = $texte->value("patent_anmelder");
$patent_anmeldejahr = $texte->value("patent_anmeldejahr");
$patent_erteilung = $texte->value("patent_erteilung");
$patent_laender = $texte->value("patent_laender");
$patent_nummer = $texte->value("patent_nummer");
$bemerk_int = $texte->value("bemerk_int");

#BD/UH, 12.5.06, Integration der Fehlerüberprüfung aus neu.php
$backbutton = $texte->value("backbutton");
$dokartfehlt = $texte->value("dokartfehlt");
$anzverffehlt = $texte->value("anzverffehlt");
$anzinstfehlt = $texte->value("anzinstfehlt");
$lizenzfehlt = $texte->value("lizenzfehlt");

include ("../../lib/class.opus_$dbms.$php");
$opus = new opus;


# Annette Maile, 17.3.05 Design aus lib/design.php einlesen
require ("../../lib/design.$php");
$design = new design;
$design->head_titel($titel);
$design->head_javascript();
$design->head_ueberschrift($ueberschrift, $la);


print("<FONT COLOR=red>");
$sock = $opus->connect();
if ($sock < 0 ) {
        echo ("Error: $ERRMSG\n");
}
if ($opus->select_db($db) < 0 ) {
        echo ("Error: $ERRMSG\n");
}

print("</FONT>\n");

$res = $opus->query("SELECT f.nr, i.nr, f.fakultaet, i.name
	FROM faculty_$la = f, institute_$la = i
	WHERE f.nr = i.fakultaet
	ORDER BY i.nr, f.nr");

 
$num = $opus->num_rows($res);
$anzahl_publisher_inst = $anzahl_publisher_inst;
if ($num > 0) {
	        print("<B>Bitte ein Institut auswählen, HINTER welches das neue Institut eingefügt werden soll</B><BR> \n");
# BD/UH 12.5.06 wenn publisher_inst aus vorheriger Ausgabe übernommen wird, diesen Wert anzeigen
                print("<SELECT NAME=\"publisher_inst[]\" SIZE=1> \n");
                if ($publisher_inst[0] == "")
                {
                    print("<OPTION VALUE=\"0\">$text12 \n");
                }
	
		$opus->data_seek ( $res, 0);
		$fak_alt = "";
		$i = 0;
		while ($i < $num) {
			$i++;
			$mrow = $opus->fetch_row($res);
			# Steuerung Institute: wenn Institute angezeigt werden sollen (opt_inst = 1) 
			# werden Fakultaet und Institut ausgegeben, sonst nur die Fakultaet.        
			if($opt_inst > 0) {
				if ($mrow[0] != $fak_alt) {
					print("<OPTION VALUE=\"0\">$mrow[2] \n");
					$fak_alt = $mrow[0];
				}
				print("<OPTION VALUE=\"$mrow[1]\" \n");
				if (($mrow[1] == $publisher_inst[$j])OR ($mrow[1] == $publisher_inst))  { 
					print("SELECTED");
				}
				print(">&nbsp;&nbsp;- $mrow[3] \n");
			}
			else {
				if ($mrow[0] == $fak_alt) {
					print("<OPTION VALUE=\"0\">$mrow[2] \n");
					$fak_alt = $mrow[0];
				}
				print("<OPTION VALUE=\"$mrow[1]\" \n");
				if (($mrow[1] == $publisher_inst[$j]) OR ($mrow[1] == $publisher_inst)) {
					print("SELECTED"); 
				}
				print(">&nbsp;&nbsp; $mrow[3] \n");
			}
		}
                print("</SELECT><BR> \n\n");
                 
}
$x = "blaaabla";
$y = "blublaaa";
$xo = $x ^ $y;
print("<p>");
print(($x ^ $xo) . "<br><br>");
print($y ^ $xo);
print("</p>");

$opus->close($sock);
$design->foot("add_inst.$php", $la);


?>

