<?
#############################################################
#
# Funktion: uni/meta.php
#           gibt Metadaten der Veroeffentlichungsmaske nochmals zur Kontrolle aus
# letzte Aenderung: 
# 10.1.2005, Birgit Dressler, SULB Saarbruecken
# Einfuehrung der Mehrsprachigkeit (Variable $la)
#
# 17.3.2005, Annette Maile, UB Stuttgart
# Auslagerung Design in lib/design.php
# In Abhaengigkeit von $la kann das entsprechende Design eingelesen werden.
#
# 18.4.2005, Annette Maile, UB Stuttgart
# Zugriff auf Volltexte weltweit/campusweit/weitere Bereiche
#
# 28.7.2005, Annette Maile, UB Stuttgart
# Einfuegen Lizenzvertrag ($lic)
#
#1.12.2005, BD/UH, SULB Saarbrcken
# Variablenumbesetung fr Dokumenttyp Patent
# Auskommenieren von Feldberprfungen, die fr jahrbib nicht wichtig
#############################################################
include ("../../lib/class.configFile.php");
$conf = new configFile ("../../lib/opus.conf");
$dbms = $conf->value("dbms");
$php = $conf->value("php");
$db = $conf->value("db");
$url = $conf->value("url");
$projekt = $conf->value("projekt");
$doku_pfad = $conf->value("doku_pfad");
$uni = $conf->value("uni");
$home = $conf->value("home");
include ("../../lib/stringValidation.php");
$type = $_REQUEST['type'];
if (! _is_valid($type,0,5,"[0-9]*")) {die ("Fehler in Parameter type");}
# Titel, Zusatztitel der Jahresbibliographie werden in OPUS in das Feld title geschrieben
$title_1 = $_REQUEST['title_1'];
$title_1 = eregi_replace("[`\n\r]","",$title_1);
$title_2 = $_REQUEST['title_2'];
$title_2 = eregi_replace("[`\n\r]","",$title_2);

# BD/UH, 15.12.05: Das Feld title setzt sich aus 2 Eingabefelder "Titel" und 
# "Titelzusatz" zusammen, die durch " : " getrennt werden
# auer bei doktype = 56 (Patent) oder falls Titelzusatz leer
if ($title_2 != "")
{
  $title = $title_1 . " : " . $title_2;
}
else
{
  $title = $title_1;
}

$title_en = $_REQUEST['title_en'];
$title_en = eregi_replace("[`\n\r]","",$title_en);
$title_de = $_REQUEST['title_de'];
$title_de = eregi_replace("[`\n\r]","",$title_de);
$creator_name = $_REQUEST['creator_name'];
if (is_array($creator_name)) {
  array_walk($creator_name, '_array_zeichen_loeschen');
}
else {$creator_name = array();}
$anzahl_creator_name = $_REQUEST['anzahl_creator_name'];
if (! _is_valid($anzahl_creator_name,0,10,"[0-9]*")) {die ("Fehler in Parameter anzahl_creator_name");}
$publisher_inst = $_REQUEST['publisher_inst'];
foreach ($publisher_inst as $i) {
  if (! _is_valid($i,0,10,"[A-Za-z0-9]*")) {die ("Fehler in Parameter publisher_inst");}
}
$anzahl_publisher_inst = $_REQUEST['anzahl_publisher_inst'];
if (! _is_valid($anzahl_publisher_inst,0,10,"[0-9]*")) {die ("Fehler in Parameter anzahl_publisher_inst");}
$creator_corporate = $_REQUEST['creator_corporate'];
$creator_corporate = eregi_replace("[`\n\r]","",$creator_corporate);
$contributors_name = $_REQUEST['contributors_name'];
$contributors_name = eregi_replace("[`\n\r]","",$contributors_name);
$contributors_corporate = $_REQUEST['contributors_corporate'];
$contributors_corporate = eregi_replace("[`\n\r]","",$contributors_corporate);
$publisher_faculty = $_REQUEST['publisher_faculty'];
if (! _is_valid($publisher_faculty,0,5,"[A-Za-z0-9\-]*")) {die ("Fehler in Parameter publisher_faculty");}
$advisor = $_REQUEST['advisor'];
$advisor = eregi_replace("[`\n\r]","",$advisor);
$subject_swd = $_REQUEST['subject_swd'];
$subject_swd = eregi_replace("[`\n\r]","",$subject_swd);
$subject_uncontrolled_german = $_REQUEST['subject_uncontrolled_german'];
$subject_uncontrolled_german = eregi_replace("[`\n\r]","",$subject_uncontrolled_german);
$subject_uncontrolled_english = $_REQUEST['subject_uncontrolled_english'];
$subject_uncontrolled_english = eregi_replace("[`\n\r]","",$subject_uncontrolled_english);
$sachgruppe_ddc = $_REQUEST['sachgruppe_ddc'];
if (! _is_valid($sachgruppe_ddc,0,10,"[A-Za-z0-9\.]*")) {die ("Fehler in Parameter sachgruppe_ddc");}
$subject_type = $_REQUEST['subject_type'];
$subject_type = eregi_replace("[`\n\r]","",$subject_type);
$subject_value = $_REQUEST['subject_value'];
$subject_value = eregi_replace("[`\n\r]","",$subject_value);
$sr_id = $_REQUEST['sr_id'];
if (! _is_valid($sr_id,0,10,"[0-9]*")) {die ("Fehler in Parameter sr_id");}
$sr_band = $_REQUEST['sr_band'];
$sr_band = eregi_replace("[`\n\r]","",$sr_band);
$description_lang = $_REQUEST['description_lang'];
if (! _is_valid($description_lang,0,3,"[A-Za-z]*")) {die ("Fehler in Parameter description_lang");}
$description = $_REQUEST['description'];
$description = eregi_replace("[`]","",$description);
$description2_lang = $_REQUEST['description2_lang'];
if (! _is_valid($description2_lang,0,3,"[A-Za-z]*")) {die ("Fehler in Parameter description2_lang");}
$description2 = $_REQUEST['description2'];
$description2 = eregi_replace("[`]","",$description2);
$publisher_university = $_REQUEST['publisher_university'];
$publisher_university = eregi_replace("[`\n\r]","",$publisher_university);
$date_year = $_REQUEST['date_year'];
if (! _is_valid($date_year,0,4,"[0-9]*")) {die ("Fehler in Parameter date_year");}
$tag_pruef = $_REQUEST['tag_pruef'];
if (! _is_valid($tag_pruef,0,2,"[0-9]*")) {die ("Fehler in Parameter tag_pruef");}
$monat_pruef = $_REQUEST['monat_pruef'];
if (! _is_valid($monat_pruef,0,2,"[0-9]*")) {die ("Fehler in Parameter monat_pruef");}
$jahr_pruef = $_REQUEST['jahr_pruef'];
if (! _is_valid($jahr_pruef,0,4,"[0-9]*")) {die ("Fehler in Parameter jahr_pruef");}
$language = $_REQUEST['language'];
if (! _is_valid($language,0,3,"[A-Za-z]*")) {die ("Fehler in Parameter language");}
$isbn = $_REQUEST['isbn'];
if (! _is_valid($isbn,0,30,"[0-9xX-]*")) {die ("Fehler in Parameter isbn");}
#$source_title = $_REQUEST['source_title'];
#$source_title = eregi_replace("[`]","",$source_title);

# neue Variablen fr die zustzlichen Felder der Jahresbibliogrphie einlesen 
$quelle_jahr = $date_year;
$quelle_title = $_REQUEST['quelle_titel'];
$quelle_title = eregi_replace("[`]","",$quelle_titel);
$quelle_werktitel_1 = $_REQUEST['quelle_werktitel_1'];
$quelle_werktitel_1 = eregi_replace("[`]","",$quelle_werktitel_1);
$quelle_werktitel_2 = $_REQUEST['quelle_werktitel_2'];
$quelle_werktitel_2 = eregi_replace("[`]","",$quelle_werktitel_2);
$quelle_werktitel = $_REQUEST['quelle_werktitel'];
$quelle_werktitel = eregi_replace("[`]","",$quelle_werktitel);
$quelle_band = eregi_replace("[`]","",$quelle_band);
$quelle_band = $_REQUEST['quelle_band'];
$quelle_auflage = eregi_replace("[`]","",$quelle_auflage);
$quelle_auflage = $_REQUEST['quelle_auflage'];
$quelle_gestitel = eregi_replace("[`]","",$quelle_gestitel);
$quelle_gestitel = $_REQUEST['quelle_gestitel'];
$quelle_heft = eregi_replace("[`]","",$quelle_heft);
$quelle_heft = $_REQUEST['quelle_heft'];
$quelle_verlag = $_REQUEST['quelle_verlag'];
$quelle_verlag = eregi_replace("[`]","",$quelle_verlag);
$quelle_ort = $_REQUEST['quelle_ort'];
$quelle_ort = eregi_replace("[`]","",$quelle_ort);
$quelle_startseite = $_REQUEST['quelle_startseite'];
$quelle_startseite = eregi_replace("[`]","",$quelle_startseite);
$quelle_endseite = $_REQUEST['quelle_endseite'];
$quelle_endseite = eregi_replace("[`]","",$quelle_endseite);
$quelle_seiten = $_REQUEST['quelle_seiten'];
$quelle_seiten = eregi_replace("[`]","",$quelle_seiten);


$anzahlfiles = $_REQUEST['anzahlfiles'];
if (! _is_valid($anzahlfiles,0,10,"[0-9]*")) {die ("Fehler in Parameter anzahlfiles");}
$bem_intern = $_REQUEST['bem_intern'];
$bem_intern = eregi_replace("[`\n\r]","",$bem_intern);
$verification = $_REQUEST['verification'];
$verification = eregi_replace("[`\n\r]","",$verification);
$dauer = $_REQUEST['dauer'];
if (! _is_valid($dauer,0,10,"[0-9]*")) {die ("Fehler in Parameter dauer");}
$button = $_REQUEST['button'];
if (! _is_valid($button,0,10,"[A-Za-z]*")) {die ("Fehler in Parameter button");}
$bereich = $_REQUEST['bereich'];
if (! _is_valid($bereich,0,20,"[0-9]*")) {die ("Fehler in Parameter bereich");}
$la = $_REQUEST['la'];
if (! _is_valid($la,0,2,"[a-z]*")) {die ("Fehler in Parameter la");}


# BDressler, 8.7.04: Sprache einlesen aus opus.conf, falls nicht gesetzt
if (!$la){
       $la = $conf->value("la");
}
$texte = new configFile ("../../texte/$la/meta.conf");

# BDressler Texte aus Textdatei in Programmvariablen fllen 
$titel = $texte->value("titel");
$ueberschrift = $texte->value("ueberschrift");
$titelfehlt = $texte->value("titelfehlt");
$autorfehlt = $texte->value("autorfehlt");
$schlagwofehlt = $texte->value("schlagwofehlt");
$abstractfehlt = $texte->value("abstractfehlt");
$institutfehlt = $texte->value("institutfehlt");
$fakfehlt = $texte->value("fakfehlt");
$jahrfertigfehlt = $texte->value("jahrfertigfehlt");
$jahrprueffehlt = $texte->value("jahrprueffehlt");
$ungueltigdatum = $texte->value("ungueltigdatum");
$ungueltigschaltjahr = $texte->value("ungueltigschaltjahr");
$emailfehlt = $texte->value("emailfehlt");
$anzfilesfehlt = $texte->value("anzfilesfehlt");
$anzfileseins = $texte->value("anzfileseins");
$titengfehlt = $texte->value("titengfehlt");
$titdefehlt = $texte->value("titdefehlt");
$hauptberfehlt = $texte->value("hauptberfehlt");
$frengschlagwofehlt = $texte->value("frengschlagwofehlt");
$inhaltengfehlt = $texte->value("inhaltengfehlt");
$inhaltsprache = $texte->value("inhaltsprache");
$backbutton = $texte->value("backbutton");
$text11 = $texte->value("text11");
$text12 = $texte->value("text12");
$schritt = $texte->value("schritt");
$text21 = $texte->value("text21");
$text22 = $texte->value("text22");
$fileupload = $texte->value("fileupload");
$doktitel = $texte->value("doktitel");
$doktitel_en = $texte->value("doktitel_en");
$doktitel_de = $texte->value("doktitel_de");
$verfasser = $texte->value("verfasser");
$verfasser2 = $texte->value("verfasser2");
$institut_anz = $texte->value("institut_anz");
$fakultaet = $texte->value("fakultaet");
$hauptberichter = $texte->value("hauptberichter");
$urheber = $texte->value("urheber");
$sonstige_personen = $texte->value("sonstige_personen");
$sonstige_institution = $texte->value("sonstige_institution");
$schlagwoerter_swd = $texte->value("schlagwoerter_swd");
$schlagwoerter_frei = $texte->value("schlagwoerter_frei");
$schlagwoerter_engl = $texte->value("schlagwoerter_engl");
$text_ddc = $texte->value("text_ddc");
$schriftenreihe = $texte->value("schriftenreihe");
$bandnummer = $texte->value("bandnummer");
$jahr = $texte->value("jahr");
$anmelden = $texte->value("anmelden");
$gueltigkeit = $texte->value("gueltigkeit");
$pruefung_muendlich = $texte->value("pruefung_muendlich");
$dokumentart = $texte->value("dokumentart");
$form_sprache = $texte->value("form_sprache");
$text_isbn = $texte->value("text_isbn");
$quelle = $texte->value("quelle");
$anzahl_dateien = $texte->value("anzahl_dateien");
$zugriff = $texte->value("zugriff");
$inhalt_orig = $texte->value("inhalt_orig");
$inhalt_zusatz = $texte->value("inhalt_zusatz");
$text3 = $texte->value("text3");
$text4 = $texte->value("text4");
$text5 = $texte->value("text5");
$text6 = $texte->value("text6");
$buttontext = $texte->value("buttontext");

$email = $texte->value("email");
$bemerk_int = $texte->value("bemerk_int");


$patent_titel = $texte->value("patent_titel");
$patent_applikation = $texte->value("patent_applikation");
$patent_erfinder = $texte->value("patent_erfinder");
$patent_erfinder2 = $texte->value("patent_erfinder2");
$patent_anmelder = $texte->value("patent_anmelder");
$patent_anmeldejahr = $texte->value("patent_anmeldejahr");
$patent_erteilung = $texte->value("patent_erteilung");
$patent_laender = $texte->value("patent_laender");
$patent_nummer = $texte->value("patent_nummer");

# BD/UH, 11/2005
# wenn Dokumenttyp = 56 = Patent, besetzt man die Variablen mit den 
# Werten der Patentvariablen um, damit z.B. statt Verfasser Erfinder erscheint
if ($type == "56") 
{
  $verfasser = $patent_erfinder;
  $verfasser2 = $patent_erfinder2;
  $inhalt_orig = $patent_applikation;
  $inhalt_zusatz = $patent_laender;
  $sonstige_personen = $patent_anmelder;
  $jahr = $patent_anmeldejahr;
  $schlagwoerter_engl = $patent_erteilung;
  $quelle = $patent_nummer;
}
# BD, 8.7.04, steht nun in der Textdatei, nicht mehr in opus.conf
#$titel = $conf->value("titel_neu_allg");
#$ueberschrift = $conf->value("ueberschrift_neu_allg");

# Annette Maile, 17.3.05 Design aus lib/design.php einlesen
require ("../../lib/design.$php");
$design = new design;
$design->head_titel($titel);
$design->head_ueberschrift($ueberschrift, $la);

include ("../../lib/class.opus_$dbms.$php");
$opus = new opus;

print("<FONT COLOR=red>");
$sock = $opus->connect();
if ( $sock < 0 ) {
        echo ("Error: $ERRMSG\n");
}

if ( $opus->select_db($db) < 0 ) {
        echo ("Error: $ERRMSG\n");
}
print("</FONT> \n");

$title = stripslashes(htmlspecialchars($title));
$title_en = stripslashes(htmlspecialchars($title_en));
$title_de = stripslashes(htmlspecialchars($title_de));
$description = stripslashes(htmlspecialchars($description));
$description2 = stripslashes(htmlspecialchars($description2));
$source_title = stripslashes(htmlspecialchars($source_title));
$subject_swd  = stripslashes(htmlspecialchars($subject_swd));
$subject_uncontrolled_german = stripslashes(htmlspecialchars($subject_uncontrolled_german));
$subject_uncontrolled_english = stripslashes(htmlspecialchars($subject_uncontrolled_english));
$advisor  = stripslashes(htmlspecialchars($advisor));
$creator_corporate = stripslashes(htmlspecialchars($creator_corporate));
$contributors_name = stripslashes(htmlspecialchars($contributors_name));
$contributors_corporate = stripslashes(htmlspecialchars($contributors_corporate));

if ($button == "SWD") {
        weiterleitungsformular($_POST);
}
else {


# Umwandlung der Dokumentart-ID in Text fuer die Ausgabe am Bildschirm 
$res = $opus->query("select dokumentart from resource_type_$la where typeid='$type' ");
$mrow = $opus->fetch_row($res);
$type_name = $mrow[0];
$opus->free_result($res);

# Umwandlung der Fakultaets-ID in Text fuer die Ausgabe am Bildschirm
$res = $opus->query("select fakultaet from faculty_$la where nr='$publisher_faculty' ");
$mrow = $opus->fetch_row($res);
$fakultaet = $mrow[0];
$opus->free_result($res);

# Umwandlung der Sprache in Text fuer die Ausgabe am Bildschirm
$res = $opus->query("select sprache from language_$la where code='$language' ");
$mrow = $opus->fetch_row($res);
$sprache = $mrow[0];
$opus->free_result($res);

# Umwandlung der Sprache des Abstracts in Text fuer die Ausgabe am Bildschirm
$res = $opus->query("select sprache from language_$la where code='$description_lang' ");
$mrow = $opus->fetch_row($res);
$desc_sprache = $mrow[0];
$opus->free_result($res);

$res = $opus->query("select sprache from language_$la where code='$description2_lang' ");
$mrow = $opus->fetch_row($res);
$desc2_sprache = $mrow[0];
$opus->free_result($res);

# Zugriff auf Volltexte weltweit/campusweit/weitere Bereiche
# Umwandlung Veroeffentlichungsbereich-ID in Text fuer die Ausgabe am Bildschirm
$res = $opus->query("select bereich from bereich_$la where bereich_id='$bereich' ");
$mrow = $opus->fetch_row($res);
$text_bereich = $mrow[0];
# Ende Zugriff auf Volltexte weltweit/campusweit/weitere Bereiche

#################################################################################
# Feldinhalte auf leer ueberpruefen. Wenn ein Pflichtfeld leer ist,
# so wird eine entsprechende Meldung auf dem Bildschirm ausgegeben und eine
# Variable ok wird auf 0 gesetzt. Wenn alle Felder ausgefuellt sind, so bleibt
# die Variable ok auf 1. Wenn ok=1 so wird der Formularinhalt nochmals zur
# Kontrolle auf dem Bildschirm ausgegeben.
################################################################################
$ok = 1;
if ($title == "") {
	print "<H3>$titelfehlt </H3>";
	$ok = 0;
}

# Bei Pruefungsarbeiten muss ein Autor angegeben sein.
# type  7: Diplomarbeit ; type  8: Dissertation
# type 24: Habilitation ; type 19: Studienarbeit
# type 25: Bachelor Thesis
if ($type == 7 or $type == 8 or $type == 24 or $type == 19 or $type == 25) {
	if  ($creator_name[0] == "") {
	print "<H3>$autorfehlt </H3>";
	$ok = 0;
	}
}

# UH 2005-11-14 Ueberpruefung, ob SWD-Schlagworte vergeben sind auskommentiert
#if ($subject_swd == "") {
#	print "<H3>$schlagwofehlt </H3>";
#	$ok = 0;
#}

# UH 2005-11-14 Ueberpruefung, ob Abstract eingetragen wurde auskommentiert 
#if ($description == "") {
#	print "<H3>$abstractfehlt </H3>";
#	$ok = 0;
#}

# UH 2005-11-14 bei Buchbeitrgen (type 53) muss ein Herausgeber angegeben werden
if ($type == 53) {
	if  ($contributors_name == "") {
	print "<H3>Herausgeber fehlt </H3>";
	$ok = 0;
	}
}


if ($publisher_inst[0] == "0") {
	print "<H3>$institutfehlt</H3>";
	$ok = 0;
}

if ($publisher_faculty == "-1") {
	print "<H3>$fakfehlt </H3>";
	$ok = 0;
}

if ($date_year == "200") {
	print "<H3>$jahrfertigfehlt  </H3>";
	$ok = 0;
}

if ($jahr_pruef == "200") {
	print "<H3>$jahrprueffehlt </H3>";
	$ok = 0;
}

        if (($monat_pruef == 4  or $monat_pruef == "6" or $monat_pruef == 9 or $monat_pruef == 11) and $tag_pruef > 30) {
                print "<H3>$ungueltigdatum </H3>";
                $ok = 0;
        }

        if ($monat_pruef == 2) {
                ######################################################################################
                # Pruefung, ob Jahr ein Schaltjahr ist (ein durch 4 teilbares Jahr, mit Ausnahme der #
                # Jahrhundertjahre, die nicht durch 400 teilbar sind. (% bed. modulo)                #
                ######################################################################################
                $schaltjahr = $jahr_pruef % 4;
                if ($schaltjahr == 0) {
                        $schaltjahr_100= $jahr_pruef % 100;
                        if ($schaltjahr_100 == 0) {
                                $schaltjahr_400 = $jahr_pruef % 400;
                                if ($schaltjahr_400 == 0) {
                                        $schaltjahr = 0;
                                }
                                else {
                                        $schaltjahr = 1;
                                }
                        }
                }

                if ($tag_pruef > 29) {
                        print "<H3>$ungueltigdatum </H3>";
                        $ok = 0;
                }
                else {
                        if ($tag_pruef == 29 && $schaltjahr > 0) {
                                print "<H3>$ungueltigschaltjahr</H3>";
                                $ok = 0;
                        }
                }
        }

#if ($verification == "") {
#	print "<H3>$emailfehlt </H3>";
#	$ok = 0;
#}
#else
#{
#        if (!ereg("^.+@.+\\..+$", $verification))
#        {
#        	print "<H3>Die eingegebene Emailadresse fr den Empf&auml;nger ist nicht korrekt!</H3><br>";
#        	$ok = 0;
#        }
#}

# UH 2005-11-14 Fehlerueberpruefung fuer Anzahl der Hochzuladenden Dateien auskommentiert 

#if ($anzahlfiles == "") {
#	print "<H3>$anzfilesfehlt</H3>";
#	$ok = 0;
#}

#if ($anzahlfiles == "0") {
#	print "<H3>$anzfileseins </H3>";
#	$ok = 0;
#}
/* 15.3.06, BD/UH fr Jahrbib keine Fehlerberprfung
if ($type == 8 or $type == 24) {
	if ($language == "ger") {
		if ($title_en == "") {
			print "<H3>$titengfehlt </H3>";
			$ok = 0;
		}
	}
	else {
		if ($language == "eng") {
			if ($title_de == "") {
				print "<H3>$titdefehlt </H3>";
				$ok = 0;
			}
		}
		else {
			if ($title_en == "") {
				print "<H3>$titengfehlt</H3>";
				$ok = 0;
			}
			
			if ($title_de == "") {
				print "<H3>$titdefehlt </H3>";
				$ok = 0;
			}
		}
	}

	if ($advisor == "") {
		print "<H3>$hauptberfehlt </H3>";
		$ok = 0;
	}
	if ($subject_uncontrolled_english == "") {
		print "<H3>$frengschlagwofehlt</H3>";
		$ok = 0;
	}
	if ($description2 == "") {
		print "<H3>$inhaltengfehlt </H3>";
		$ok = 0;
	}
	if ($description_lang != "eng" && $description2_lang != "eng") {
		print "<H3>$inhaltsprache </H3>";
		$ok = 0;
	}	 
} */

if ($ok == 0) {
	print "<H3>$backbutton </H3>";

}
else {

# BD/UH, 23.10.08, Tag der muendlichen Pruefung in Unix-Format bringen, wenn Dissertation
#if ($date_accepted != -1) {
if ($type == "8") {
     $date_accepted = mktime(0,0,0,$monat_pruef,$tag_pruef,$jahr_pruef);
}

# fuer die Dublettenabfrage muessen evtl. ' im Titel maskiert werden.
$title_select = str_replace("'","\'",$title);
$res = $opus->query("select title, source_opus from opus where title='$title_select' ");
$mrow = $opus->fetch_row($res);
$opustitle = $mrow[0];
$source_opus= $mrow[1];

if ($opustitle != "") {
        print("<H3>$text11");
	print(" $opustitle ");
	print("$text12");
#        print("<H3>Warnung: Es existiert schon ein Eintrag mit dem<BR>Titel: $opustitle.<BR>Bitte &uuml;berpr&uuml;fen Sie <A HREF=$url/frontdoor.$php?source_opus=$source_opus>hier</A>, ob es sich um das gleiche Dokument handelt und entscheiden Sie danach, ob Sie mit dem Anmeldevorgang fortfahren wollen.</H3><HR>");
}

print("
$schritt (1)&nbsp;-&nbsp;<font color=red>(2)</font>
<P>");
print $text21;
print $text22;


# Jahresbibliographie
# Zusammensetzung des einzigen Feldes "Quelle" in der OPUS-Datenbank aus den
# einzelnen Feldern der Anzeige je nach Dokumenttyp
# wenn kein Patent (Patent schreibt direkt in Feld Quelle ohne Zusastzfelder)

# Zeitschriftenartikel
if ($type == "51" || $type == "52" || $type == "57")
# source_title soll laut H. Abel so aussehen:
# (aber nur, wenn die einzelnen Felder nicht leer sind, daher zuerst die Felder
# berprfen, wenn nicht leer, die Trennzeichen zum vorhergehenden Feld
#  davor schreiben)
# $source_title = $quelle_werktitel .  ". - " . $quelle_band . ". " . $date_year . ", " . $quelle_heft . ", " . $quelle_startseite . "-" . $quelle_endseite;
{
     if ($quelle_band != "")
     {
          $quelle_band = ". - " . $quelle_band;
     }
     if ($quelle_jahr != "")
     {
          $quelle_jahr = ". " . $quelle_jahr;
     }
     if ($quelle_heft != "")
     {
          $quelle_heft = ", " . $quelle_heft;
     }
     if ($quelle_startseite != "")
     {
          $quelle_startseite = ", " . $quelle_startseite;
     }
     if ($quelle_endseite != "")
     {
          $quelle_endseite = "-" . $quelle_endseite;
     }
     $source_title = $quelle_werktitel . $quelle_band . $quelle_jahr . $quelle_heft . $quelle_startseite . $quelle_endseite;
}

# Buchbeitrag, Lexikon
if ($type == "53" || $type == "58" || $type == "59")
# source_title soll laut H. Abel so aussehen:
# $source_title = $quelle_werktitel_1 . " : " . $quelle_werktitel_2  . " / " .  $quelle_herausgeber 
{
     if ($quelle_herausgeber != "") {
          $quelle_herausgeber = " / " . $quelle_herausgeber;
     }
     if ($quelle_werktitel_2 != "") {
     $source_title = $quelle_werktitel_1 . " : " . $quelle_werktitel_2 . $quelle_herausgeber;
     }
     elseif ($quelle_werktitel_1 != "") {
     $source_title = $quelle_werktitel_1 . $quelle_herausgeber;
     }
     else {
     $source_title = $quelle_herausgeber;
     }
# nur bei Buchbeitrag gibt es einen Herausgeber, daher Trenner ntig
     if ($quelle_auflage != "") {
          $quelle_auflage = ". - " . $quelle_auflage;
     }
}

# Buch als Autor oder Herausgeber oder Zeitschrift Herausgeberschaft oder Buchbeitrag, Lexikon 
if ($type == "53" || $type == "54" || $type == "50" || $type == "55" || $type == "58" || $type == "59")
# source_title soll laut H. Abel so aussehen:
# $source_title =  $quelle_auflage . ". - " . $quelle_band . ". - " . $quelle_ort . ": " . $quelle_verlag . ", " . $quelle_jahr . " - " . "(" . $quelle_gestitel . ")";
{
     if ($quelle_auflage != "") {
          $quelle_auflage = $quelle_auflage . ". - ";
     }
     if ($quelle_band != "") {
          $quelle_band = $quelle_band . ". - ";
     }
     if ($quelle_ort != "") {
          $quelle_ort = $quelle_ort;
     }
     if ($quelle_verlag != "") {
          $quelle_verlag = " : " . $quelle_verlag;
     }
     if ($quelle_jahr != "") {
          $quelle_jahr = ", " . $quelle_jahr;
     }
     if ($quelle_gestitel != "") {
          $quelle_gestitel = " .- (" . $quelle_gestitel . ")";
     }
     $source_title =  $source_title . $quelle_auflage . $quelle_band . $quelle_ort . $quelle_verlag . $quelle_jahr . $quelle_gestitel;
}
# Dok.typ 50, 54, 55
# source_title soll laut H. Abel so aussehen:
# als Letztes: $source_title = $source_title . ". - " . $quelle_seiten;
if ($type == "54" || $type == "50" || $type == "55")
{
     if ($quelle_seiten != "") {
          $quelle_seiten = ". - " . $quelle_seiten;
     }
     $source_title = $source_title . $quelle_seiten;
}
# Buchbeitrag, Lexikon, Dok.typ 53, 58, 59
# Seite startseite-endseite  als Letztes ausgeben
if ($type == "53" || $type == "58" || $type == "59")
{
     if ($quelle_startseite != "")
     {
          $quelle_startseite = ", " . $quelle_startseite;
     }
     if ($quelle_endseite != "")
     {
          $quelle_endseite = "-" . $quelle_endseite;
     }
     $source_title = $source_title . $quelle_startseite . $quelle_endseite;
}

# Ende Zusammensetzung des Feldes Quelle

print("
<FORM METHOD=\"POST\" ACTION=\"$url/uni/jahrbib_einfuegen.$php\">
<INPUT TYPE=hidden NAME=\"action\" VALUE=\"no_file_upload\">
<INPUT TYPE=hidden NAME=\"title\" VALUE=\"$title\">
<INPUT TYPE=hidden NAME=\"title_en\" VALUE=\"$title_en\">
<INPUT TYPE=hidden NAME=\"title_de\" VALUE=\"$title_de\">
<INPUT TYPE=hidden NAME=\"creator_corporate\" VALUE=\"$creator_corporate\">
<INPUT TYPE=hidden NAME=\"subject_swd\" VALUE=\"$subject_swd\">
<INPUT TYPE=hidden NAME=\"subject_uncontrolled_german\" VALUE=\"$subject_uncontrolled_german\">
<INPUT TYPE=hidden NAME=\"subject_uncontrolled_english\" VALUE=\"$subject_uncontrolled_english\">
<INPUT TYPE=hidden NAME=\"sachgruppe_ddc\" VALUE=\"$sachgruppe_ddc\">
<INPUT TYPE=hidden NAME=\"subject_type\" VALUE=\"$subject_type\">
<INPUT TYPE=hidden NAME=\"subject_value\" VALUE=\"$subject_value\">
<INPUT TYPE=hidden NAME=\"sr_id\" VALUE=\"$sr_id\">
<INPUT TYPE=hidden NAME=\"sr_band\" VALUE=\"$sr_band\">
<INPUT TYPE=hidden NAME=\"description\" VALUE=\"$description\">
<INPUT TYPE=hidden NAME=\"description2\" VALUE=\"$description2\">
<INPUT TYPE=hidden NAME=\"publisher_university\" VALUE=\"$publisher_university\">
<INPUT TYPE=hidden NAME=\"contributors_name\" VALUE=\"$contributors_name\">
<INPUT TYPE=hidden NAME=\"contributors_corporate\" VALUE=\"$contributors_corporate\">
<INPUT TYPE=hidden NAME=\"date_year\" VALUE=\"$date_year\">
<INPUT TYPE=hidden NAME=\"type\" VALUE=\"$type\">
<INPUT TYPE=hidden NAME=\"anzahlfiles\" VALUE=\"$anzahlfiles\">
<INPUT TYPE=hidden NAME=\"isbn\" VALUE=\"$isbn\">
<INPUT TYPE=hidden NAME=\"source_title\" VALUE=\"$source_title\">
<INPUT TYPE=hidden NAME=\"language\" VALUE=\"$language\">
<INPUT TYPE=hidden NAME=\"verification\" VALUE=\"$verification\">
<INPUT TYPE=hidden NAME=\"bem_intern\" VALUE=\"$bem_intern\">
<INPUT TYPE=hidden NAME=\"date_accepted\" VALUE=\"$date_accepted\">
<INPUT TYPE=hidden NAME=\"advisor\" VALUE=\"$advisor\">
<INPUT TYPE=hidden NAME=\"dauer\" VALUE=\"$dauer\">
<INPUT TYPE=hidden NAME=\"description_lang\" VALUE=\"$description_lang\">
<INPUT TYPE=hidden NAME=\"description2_lang\" VALUE=\"$description2_lang\">
<input type=hidden name=\"bereich\" value=\"$bereich\">
");

$i = 0;
while ($i < $anzahl_creator_name) {
	if ($creator_name[$i] != "") {
		$creator_name[$i] = stripslashes(htmlspecialchars($creator_name[$i]));
	        print("<INPUT TYPE=hidden NAME=\"creator_name[]\" VALUE=\"$creator_name[$i]\"> \n");
	}
	$i++;
}

$i = 0;
while ($i < $anzahl_publisher_inst) {
        if ($publisher_inst[$i] != "0") {
                print("<INPUT TYPE=hidden NAME=\"publisher_inst[]\" VALUE=\"$publisher_inst[$i]\"> \n");
        }
        $i++;
}

print("
<INPUT TYPE=hidden NAME=\"publisher_faculty\" VALUE=\"$publisher_faculty\"> 
<INPUT TYPE=hidden NAME=\"zusatzfiles\" VALUE=\"0\">
<input type=\"hidden\" name=\"la\" value=\"$la\">
");

# Start Lizenzvertrag
$lic_active = $conf->value("license_active");
if ($lic_active > 0) {
        $lic = $_REQUEST['lic'];
        $lic = eregi_replace("[`\n\r]","",$lic);
        print("\n<input type=\"hidden\" name=\"lic\" value=\"$lic\">\n");
}
# Ende Lizenzvertrag

print("
<TABLE BORDER=1>
");

# HTML-Codierung von < und >
$title= str_replace("<", "&lt;", $title);
$title= str_replace(">", "&gt;", $title); 
print("<TR><TD>$doktitel</TD><TD>$title</TD></TR> \n");

if ($title_en != "") {
	# HTML-Codierung von < und > 
	$title_en= str_replace("<", "&lt;", $title_en); 
	$title_en= str_replace(">", "&gt;", $title_en);
	print("<TR><TD>$doktitel_en</TD><TD>$title_en</TD></TR> \n");
}

if ($title_de != "") {
        print("<TR><TD>$doktitel_de</TD><TD>$title_de</TD></TR> \n");
}

# Ausgabe der Verfasser
$i = 0;
$j = 0;
while ($i < $anzahl_creator_name) {
	if ($creator_name[$i] != "") {
		$j++;
		print "<TR><TD>$j. $verfasser </TD><TD>$creator_name[$i]</TD></TR>\n";
	}
	$i++;
}


# Umwandlung der internen Institutsnr. in Text fuer die Ausgabe am Bildschirm
$i = 0;
$j = 0;
while ($i < $anzahl_publisher_inst) {
        $inst = $publisher_inst[$i];
	if ($inst != 0) {
		$j++;
	        $res = $opus->query("select name from institute_$la where nr='$inst' ");
		$mrow = $opus->fetch_row($res);
		$institut = $mrow[0];
		$opus->free_result($res);
		print ("<TR><TD>$institut_anz $j</TD><TD>$institut</TD></TR> \n");
	}
	$i++;
}

if ($publisher_faculty != "") {
        print ("<TR><TD>$fakultaet</TD><TD>$fakultaet</TD></TR> \n");
}

if ($advisor != "") {
	print ("<TR><TD>$hauptberichter</TD><TD>$advisor</TD></TR> \n");
}

if ($creator_corporate != "") {
	print ("<TR><TD>$urheber</TD><TD>$creator_corporate</TD></TR> \n");
}

if ($contributors_name != "") {
	print ("<TR><TD>$sonstige_personen</TD><TD>$contributors_name</TD></TR> \n");
}

if ($contributors_corporate != "") {
	print ("<TR><TD>$sonstige_institution</TD><TD>$contributors_corporate</TD></TR> \n");
}

# UH 2005-11-14 Anzeige der SWD-Schlagworte in der Metadatenuebersicht auskommentiert 
# HTML-Codierung von < und >
#$schlagwort = $subject_swd;
#$schlagwort = str_replace("<", "&lt;", $schlagwort);
#$schlagwort = str_replace(">", "&gt;", $schlagwort);
#print ("<TR><TD>$schlagwoerter_swd</TD><TD>$schlagwort</TD></TR> \n");

if ($subject_uncontrolled_german != "") {
	print ("<TR><TD>$schlagwoerter_frei</TD><TD>$subject_uncontrolled_german</TD></TR> \n");
}
if ($subject_uncontrolled_english != "") {
        print ("<TR><TD>$schlagwoerter_engl</TD><TD>$subject_uncontrolled_english</TD></TR> \n");
}
if ($sachgruppe_ddc != "") {
	$res = $opus->query ("SELECT sachgruppe FROM sachgruppe_ddc_$la where nr = '$sachgruppe_ddc'");
	$num = $opus->num_rows($res);
	if ($num > 0) {
		$mrow = $opus->fetch_row($res);
		$sachgruppe = $mrow[0];
		print ("<TR><TD>$text_ddc</TD><TD>$sachgruppe_ddc $sachgruppe</TD></TR> \n");
	}
	$opus->free_result($res);
}
if ($subject_type != "" && $subject_value != "") {
        $res = $opus->query("select name from klassifikation_$la where table_name = '$subject_type' ");
	$mrow = $opus->fetch_row($res);
	$class_name = $mrow[0];
	$opus->free_result($res);
        print ("<TR><TD>$class_name</TD><TD>$subject_value</TD></TR> \n");
}

if ($sr_id != "") {
        $res = $opus->query("select name from schriftenreihen where sr_id = '$sr_id' ");
        $mrow = $opus->fetch_row($res);
        $sr_name = $mrow[0];
        $opus->free_result($res);
        print ("<TR><TD>$schriftenreihe</TD><TD>$sr_name</TD></TR> \n");
}

if ($sr_band != "") {
	print ("<TR><TD>$bandnummer</TD><TD>$sr_band</TD></TR> \n");
}


print("<TR><TD>$jahr</TD><TD>$date_year</TD></TR> \n");

if ($dauer != "0") {
	$res = $opus->query("select name from gueltig_$la where wert = $dauer ");
	$mrow = $opus->fetch_row($res);
	$dauer = $mrow[0];
	$opus->free_result($res);
	print ("<TR><TD>$gueltigkeit </TD><TD>$dauer</TD></TR> \n");
}

# BD/UH, 23.10.2008, Tag der muendl. Pruefung nur fuer Dissertationen
if ($date_accepted != -1 & $type == "8") {
   print ("<TR><TD>$pruefung_muendlich </TD><TD>" . date("d.m.Y", $date_accepted) . "</TD></TR>\n");
}

print ("<TR><TD>$dokumentart</TD><TD>$type_name</TD></TR> \n");

# UH 2005-11-14 Anzeige der Sprache in der Metadatenuebersicht auskommentiert 
# print ("<TR><TD>$form_sprache</TD><TD>$sprache</TD></TR> \n");

if ($isbn != "") {
        print ("<TR><TD>$text_isbn</TD><TD>$isbn</TD></TR> \n");
}

print ("<TR><TD>$quelle</TD><TD>$source_title</TD></TR> \n");

# UH 2005-11-14 Anzeige der Anzahl der hochzuladenden Dateien in der Metadatenuebersicht auskommentiert 
# print("<TR><TD>$anzahl_dateien </TD><TD>$anzahlfiles</TD></TR> \n");

if ($description2 != "") {
print "<TR><TD>$inhalt_zusatz</TD><TD>$description2</TD></TR> \n";
}

# HTML-Codierung von < und >
$verification= str_replace("<", "&lt", $verification);
$verification= str_replace(">", "&gt", $verification);
print "<TR><TD>$email</TD><TD>$verification</TD></TR> \n";
print "<TR><TD>$bemerk_int</TD><TD>$bem_intern</TD></TR> \n";

# UH 2005-11-14 Anzeige der Zugriffsbeschraenkung in der Metadatenuebersicht auskommentiert 
# Zugriff auf Volltexte weltweit/campusweit/weitere Bereiche
# print "<tr><td>$zugriff</td><td>$text_bereich</td><tr>\n";
#  Ende Zugriff auf Volltexte weltweit/campusweit/weitere Bereiche


print("
</TABLE>
<HR>
");

# UH 2005-11-14: Abstract wird nur angezeigt, wenn das Feld gefuellt ist
if ($description != "") {
print("$inhalt_orig ($desc_sprache)");

$laenge = strlen($description);
if ($laenge > 5000) {
	print $text3;
}
}

print("<P>".nl2br($description));


print("
<CENTER><INPUT TYPE=submit VALUE=\"$fileupload\"></CENTER> 
</FORM> 
");
}
}

$opus->close($sock);
$design->foot("meta.$php", $la);

function weiterleitungsformular($parameter) {
        global $creator_name, $publisher_inst, $text4, $text5, $text6, $buttontext;
        print("<html>\n<head></head>\n<body>\n");
        include("../../lib/font.html");
        print $text4;
        print("$text5");
        print("$text6");
        print(" <FORM NAME=weiter METHOD=POST ACTION=\"http://www.bsz-bw.de/cgi-bin/oswd-suche.pl\"> \n");
        reset($parameter);
        while (list($name, $value) = each($parameter)) {
                if ($name == "button"){}
                elseif($name == "creator_name") {
                        $i = 0;
                        $n = count($creator_name);
                        while ($i < $n) {
                                $creator_name[$i] = stripslashes(htmlspecialchars($creator_name[$i]));
                                print("<input type=hidden name=\"creator_name[]\" value=\"$creator_name[$i]\"> \n");
                                $i++;
                        }
                }
                elseif($name == "publisher_inst") {
                        $i = 0;
                        $n = count($publisher_inst);
                        while ($i < $n) {
                                print("<input type=hidden name=\"publisher_inst[]\" value=\"$publisher_inst[$i]\">\n");
                                $i++;
                        }
                }
                else {
			$value = stripslashes(htmlspecialchars($value));
                        print("<input type=hidden name=\"$name\" value=\"$value\"> \n");
                }
        }

        print("<input type=submit value=\"$buttontext\">\n</FORM>\n");
        print("</body>\n</html>");

}

?>

