<?
#############################################################
#
# Funktion: uni/neu.php
#           gibt Fehlermeldungen zu 1. Veroeff.maske aus
# letzte Aenderung: 
# 10.1.2005, Birgit Dressler, SULB Saarbruecken
# Einfuehrung der Mehrsprachigkeit (Variable $la)
# Textdatei: texte/$la/neu.conf
#
# 28.7.2005, Annette Maile, UB Stuttgart
# Einfuegen Lizenzvertrag ($lic)
#
#############################################################
include ("../../lib/class.configFile.php");
$conf = new configFile ("../../lib/opus.conf");
$dbms = $conf->value("dbms");
$php = $conf->value("php");
$db = $conf->value("db");
$url = $conf->value("url");
$projekt = $conf->value("projekt");
$doku_pfad = $conf->value("doku_pfad");
$uni = $conf->value("uni");

include ("../../lib/stringValidation.php");
$type = $_REQUEST['type'];
if (! _is_valid($type,0,10,"[0-9]*")) {die ("Fehler in Parameter type");}
$anzahl_creator_name = $_REQUEST['anzahl_creator_name'];
if (! _is_valid($anzahl_creator_name,0,10,"[0-9]*")) {die ("Fehler in Parameter anzahl_creator_name");}
$anzahl_publisher_inst = $_REQUEST['anzahl_publisher_inst'];
if (! _is_valid($anzahl_publisher_inst,0,10,"[0-9]*")) {die ("Fehler in Parameter anzahl_publisher_inst");}
$la = $_REQUEST['la'];
if (! _is_valid($la,0,2,"[a-z]*")) {die ("Fehler in Parameter la");}
$lic = $_REQUEST['lic'];
$lic = eregi_replace("[`\n\r]","",$lic);


# BDressler, 10.1.05: Sprache einlesen aus opus.conf, falls nicht gesetzt
if (!$la){
       $la = $conf->value("la");
}
$texte = new configFile ("../../texte/$la/neu.conf");

# BDressler Texte aus Textdatei in Programmvariablen fllen 
$backbutton = $texte->value("backbutton");
$dokartfehlt = $texte->value("dokartfehlt");
$anzverffehlt = $texte->value("anzverffehlt");
$anzinstfehlt = $texte->value("anzinstfehlt");
$lizenzfehlt = $texte->value("lizenzfehlt");

if ($type == "0") {
	print ("<H3>$dokartfehlt <P>");
	print("$backbutton</H3>");
	exit();
}

if ($type == "7" || $type == "8" || $type == "19" || $type == "24" || $type == "25") {
	if ($anzahl_creator_name < 1) {
	        print ("<H3>$anzverffehlt<P>");
	        print("$backbutton</H3>");
	        exit();
	}
}

if ($anzahl_publisher_inst < 1) {
        print ("<H3>$anzinstfehlt <P>");
        print("$backbutton</H3>");
        exit();
}

$lic_active = $conf->value("license_active");
if($lic_active > 0 && $lic == "") { 
        print ("<H3>$lizenzfehlt <P>");
        print("$backbutton</H3>");
        exit();
}


/* Weiterleitung # Autoren und # Institute an neu_allg.php */
header("Location: $url/uni/neu_allg.$php?la=$la&type=$type&anzahl_creator_name=$anzahl_creator_name&anzahl_publisher_inst=$anzahl_publisher_inst&date_year=200&description2_lang=eng&jahr_pruef=200&lic=$lic");
?>
